i-doit Changelog

36
--------------------------------------------------------------------------------
[Task][Code (Internal)]                   PHP 8.4 compatibility
[Task][Code (Internal)]                   Introduce "cmdb.factory" service in order to establish a unified internal API
[Task][Usage of self-signed certificates] Allow configuration of self-signed certificate in ldap configuration
[Task][Usage of self-signed certificates] Use self-signed certificate in ldap communication
[Improvement][Adjustments i-doit cloud]   Enable Tenant related expert settings in i-doit ui instead of admin-center
[Improvement][Monitoring]                 Livestatus via TLS/SSL
[Bug][Category folders]                   Missing categories, when using "Category Folders" feature
[Bug][Category folders]                   Layer-2-net category folder is marked as empty even though it has content
[Bug][Categories]                         When saving Database hierarchy - Database information entry the title is empty which leads to a PHP fatal error
[Bug][Code (Internal)]                    Add-on breaks usage of console even when the add-on is deactivated
[Bug][Code (Internal)]                    View rights for administration are not working correctly
[Bug][Code (Internal)]                    Category is not displayed or the category list is empty and a PHP Fatal error is logged
[Bug][Code (Internal)]                    Fix wrong crypto hash usage in "Forgot password" feature
[Bug][Code (Internal)]                    Show the correct log update when Archive, Recycle, or deleting an entry logical ports category.
[Bug][Code (Internal)]                    Cannot read properties of null (reading 'remove')
[Bug][CSV Import]                         Logbook entries do not include changes on ranking  (CSV Import)
[Bug][CSV Import]                         CSV import does not work when using object type assignment with the object type constant
[Bug][CSV Import]                         Layer 3 nets do not have a ip list if imported via csv import
[Bug][CSV Import]                         CSV-Content empty error message
[Bug][CSV Import]                         Attributes Pivot and speaker not selectable at csv import matching
[Bug][Add-on & Subscription Center]       Setting date format to german breaks license duration calculation
[Bug][Report-Manager]                     Only one custom category is displayed in Report Manager conditions if the categories have the same title
[Bug][Report-Manager]                     Wrong port speed displayed at report
[Bug][Report-Manager]                     Using geolocations for sql reports does not work with MySQL 8
[Bug][LDAP]                               Ldap-sync can not update person object
[Bug][LDAP]                               Remove unnecessary spaces for retrieving the AD Salutation attribute
[Bug][Lists]                              SQL error when displaying "position in rack" for objects that exceed the rack height
[Bug][XML]                                XML export/import does not work properly when data with FC port and HBA are included
[Bug][Custom categories]                  Using a apostrophe in a field name breaks
[Bug][CMDB settings]                      TypeError when saving User interface
[Bug][Connector cabling]                  Connecting a cable while creating a connector ignores the cmdb status change for the cable
[Bug][Export]                             CSV Export from a multivalue category list displays Object ID
[Bug][Installation]                       Author rights are not correctly displayed or saved
[Bug][Logging]                            SMTP log has unnecessary new lines
[Bug][CMDB]                               Description field is wrongly displayed at overview page for category contact assignment
[Bug][CMDB-Explorer]                      When double clicking object at cmdb explorer the info popup is displayed repeatedly
[Bug][CMDB-Explorer]                      Double click on object duplicates the relations
[Bug][Notifications]                      Typo in the notification Interval configuration
[Bug][Notifications]                      The threshold fields in the notifications are too small

35
--------------------------------------------------------------------------------
[Task][Code (Internal)]              Allow switching tenant without redirecting to the base location of i-doit
[Task][Code (Internal)]              Remove unnecessary 'isys_library_simplepie' class, use '\SimplePie\SimpliePie' instead
[Task][Code (Internal)]              Remove unnecessary 'isys_library_smarty' class, use '\Smarty\Smarty' instead
[Task][CMDB]                         Create event to modify map-buttons in location category
[Task][Dashboard]                    Unblock session while loading dashboard widgets
[Task][QR-Codes]                     Remove old QR-Code library
[Improvement][Report-Manager]        Report view for CMDB Status changes
[Bug][Report-Manager]                The query of a report is not updated across different versions
[Bug][Report-Manager]                Create an selection to filter objects from assignment categories in the Report manager
[Bug][Report-Manager]                Using certain combination of attributes for a report causes database error
[Bug][Report-Manager]                Price per unit for licenses always only displays the price for the first result at report manager
[Bug][Report-Manager]                Display data from Relation category in Report manager
[Bug][Report-Manager]                Using guest systems (virtual host) at condition block causes SQL error at report manager
[Bug][Report-Manager]                Display Cable connection from Network Port
[Bug][Lists]                         “Define as standard” overwrites default list configuration
[Bug][Lists]                         Variables from Access category are not replaced in list view
[Bug][Lists]                         Attribute State from Virtual machine should display a string in the object list
[Bug][Lists]                         Allow all properties to be sorted by default (Reports, Lists)
[Bug][CMDB]                          Trying to assign a object causes 500 error
[Bug][CMDB]                          Setting CMDB rights for create, view, edit also grants delete rights for attribute settings
[Bug][CMDB]                          Deselecting an object in "Guest systems" category leads to Fatal Error, if Forms add-on is installed
[Bug][CMDB]                          Fix the assignment of a Software object in the Software assignment category.
[Bug][CMDB]                          Can’t purge the assigned Workplaces in the category Assigned Workplaces
[Bug][CMDB]                          Location path in object browser is displayed as number
[Bug][CMDB]                          Date fields with a time input are not being validated correctly
[Bug][CMDB]                          Field "Type" in category "Device" should be Dialog+
[Bug][CMDB]                          Filtering for location path is not working with apostrophes
[Bug][CMDB]                          Searching for a location displayed non existent character
[Bug][CMDB]                          Configured user language is ignored
[Bug][CMDB]                          Using cmdb.external.push.v2 twice causes http 500 error
[Bug][CMDB]                          Using cmdb.external.push.v2 twice with multi-value object browser causes http 500 error
[Bug][Console]                       The console command 'report-export' fails when using relative paths for PDF exports
[Bug][Code (Internal)]               Entries in lists are not counted
[Bug][Code (Internal)]               Setting object list status to template and switching to empty object list causes 500error
[Bug][Code (Internal)]               PHP Fatal Error when saving "Multiselect" fields
[Bug][Code (Internal)]               Deleting a File version leads to error without deleting the file
[Bug][Code (Internal)]               No scrollbar for all ticket page when using low resolution
[Bug][Code (Internal)]               "Enable / Disable Chassis view" button is missing in racks category for room objects
[Bug][Code (Internal)]               Variable is not resolved in the category Remote Management Controller
[Bug][Code (Internal)]               Entry Disappears from 'Service Relation' Category After User Archives It
[Bug][Code (Internal)]               Show the correct log change in the logbook when create, edit or delete the Entry in the Object picture
[Bug][Code (Internal)]               Show the correct log change when edit the QinQ CE-VLAN category
[Bug][Code (Internal)]               Show the correct log update when Archive, Recycle, or deleting an entry in the Assigned Objects (Organization) category.
[Bug][Code (Internal)]               Custom counters start the count at 2
[Bug][Code (Internal)]               Relocating a location resets treeview type setting for location view
[Bug][Code (Internal)]               Custom counter gets duplicated when set as automatic inventory number
[Bug][Code (Internal)]               Do not reset/ignore cloud parameter if --enable is used
[Bug][Code (Internal)]               Allow user to purge "Assigned sim card" entries
[Bug][Update]                        Version 34 migrations fail because of foreign key constraints
[Bug][Installation]                  Do not use constants from PHP module pcntl
[Bug][Installation]                  Warning when viewing admin user rights for Administration
[Bug][LDAP]                          Archiving a person group (via ldap-sync) does not create logbook entry
[Bug][LDAP]                          OpenLDAP error when ldap-sync is triggered via console
[Bug][LDAP]                          Incorrect creation of persons in other tenants if the person uses Active Directory user data
[Bug][Permission system]             User Permissions are not working correctly for Systemtools and Dashboard
[Bug][Permission system]             The right to view the overview page with the condition Category in object-type does not grant view right
[Bug][Permission system]             Permission 'Documents' and 'Documents in Categories' don't allow users to download documents from categories
[Bug][Logbook]                       Missing logbook entry when a contact assignment entry is archived
[Bug][Logbook]                       Logbook entry for accounting attributes contain random values when created with template
[Bug][Logbook]                       Log multi object browser changes correctly
[Bug][Logbook]                       Show ranking information in logbook for category assinged objects (persons)
[Bug][Logbook]                       Also show longitude and latitude adjustments in the logbook
[Bug][Logbook]                       Do not hash changed password field in logbook
[Bug][Logbook]                       Log all changes from device category
[Bug][Logbook]                       Show ranking information of assigned clusters category in logbook
[Bug][Logbook]                       Log assigned logical port category when port is linked
[Bug][Logbook]                       Dialog changes for "SLA service level" fields are not properly set in the logbook for category SLA
[Bug][Logbook]                       adjust the logbook for the category "Emergency plan components"
[Bug][Logbook]                       Show the correct log change when editing the "Assigned Workplaces" in "Assigned Workplaces" category
[Bug][Logbook]                       Show the correct log change when edit the Routing category.
[Bug][Logbook]                       Adjust the logbook for the category "Raid-Array"
[Bug][Logbook]                       Certificate date fields should not show time values in the logbook
[Bug][Connector cabling]             Automatically created cables do not have any logbook entries
[Bug][Connector cabling]             List editing in patch panel cabling not working when trying to remove assignments or cables
[Bug][CSV Import]                    Sorting for a rack causes vertical slots to be seen already taken when importing via csv import
[Bug][CSV Import]                    When assigning a object via CSV with "Object Type: Automatic" not all assigned object types are searched
[Bug][CSV Import]                    Time is logged when importing Date attribute in Accounting category
[Bug][CSV Import]                    Values in custom categories are not overwritten by the CSV import option "adopt empty values"
[Bug][CSV Import]                    CSV Import - stated CMDB Status in import mapping does not overwrite the default template status of the entry
[Bug][CSV Import]                    Importing property "Assigned Port" from category "Hostaddress" is not possible
[Bug][CSV Import]                    CSV Import does not match an operating system - variant when importing
[Bug][CSV Import]                    cmdb.registry.sysid_readonly being set to 1 prevents import.csv.overwrite-objecttype from working
[Bug][CSV Import]                    CSV import mapping shows error, when a request is not completed in time
[Bug][API]                           Reading category Network Port does respond with Interface as a array instead of a object
[Bug][List editing]                  File assignment via list edit not working
[Bug][List editing]                  Object suggestion does not seem to trigger callbacks in list-edit
[Bug][List editing]                  Allow user to assign files in the file browser
[Bug][List editing]                  'Port Allocation' selection is cut in Listedit
[Bug][List editing]                  Layer 2 nets cannot be added via listedit in logical ports and even clear out existing layer 2 nets
[Bug][List editing]                  Dropdown not visible when listediting despite attribute settings
[Bug][List editing]                  Assigning a file to multiple object via list edit causes a TypeError
[Bug][List editing]                  Adding a file via the file assignment category is not possible at list edit
[Bug][Search]                        Search index is not updated after deleting a Add-on
[Bug][Categories]                    Changing the "Assigned workstation" also changes the "Logical location" and does not generate an event signal and logbook entry
[Bug][Categories]                    Attribute "Assigned mobile phone" in category "SIM card" does not show up in logbook after change
[Bug][Categories]                    Error Message when saving a entry in 'form factor' for example
[Bug][Categories]                    PHP error when Quickpurge a Assigned SIM cards entry
[Bug][Categories]                    Editing an archived primary host address resets primary field
[Bug][Categories]                    When changing an archived primary host address to non primary or the other way around it gets moved to normal
[Bug][JDisc]                         Selecting operating system and software assignment at JDisc profile causes duplicate software assignment entries
[Bug][JDisc]                         JDisc import without a selected category in the profile fails with error message
[Bug][JDisc]                         JDisc import creates new object when the object is archived
[Bug][JDisc]                         JDisc does not import Microsoft IIS Application
[Bug][JDisc]                         When importing Cloud users via JDisc the log is empty
[Bug][JDisc]                         The JDisc profiles list header and values do not match
[Bug][Custom categories]             Setting custom field to date and time results in field to reset
[Bug][Validation]                    Duplicating an entry in an object while automatic inventory counter is set causes errors and faulty entry creation
[Bug][Validation]                    "Empty only the affected attributes on validation errors?" does not work properly
[Bug][Validation]                    Do not allow user to save categories with invalid field value validation errors
[Bug][Validation]                    Using a custom counter ignores validation unique check for titles in mass-change
[Bug][Validation]                    Using a custom counter ignores validation unique check for titles in list edit
[Bug][Add-on & Subscription Center]  Unable to install add-on via Add-on & Subscription Center on windows
[Bug][Relations]                     Setting for "Relationship master" in object type configuration does not work
[Bug][License installation (i-doit)] Correct error message when trying to license i-doit when lizenzen.i-doit.com is not reachable
[Bug][Object type configuration]     Pager does not work for the Object browser configuration
[Bug][Object type configuration]     Do not consider non-image files on object type creation page to prevent route requirement errors
[Bug][Notifications]                 Send notifications, even if no default template for a language exists

34
--------------------------------------------------------------------------------
[Task][i-doit cloud]                     Use proxy in context of "Trouble Ticket System" (TTS)
[Task][Update]                           API needs to be updated to 2.3 (symfony 6.4 compatibility)
[Task][Forgot Password]                  Ensure correct styling and layout of sent mails in GMAIL client
[Task][Forgot Password]                  Extend "tenant-create" command to send e-mail for initial password set
[Task][Forgot Password]                  Create a ResetPassword service
[Task][Forgot Password]                  Make smtp configuration in admin-center more user-friendly
[Task][Forgot Password]                  Check for system level smtp configuration in "Forgot Password" settings section
[Task][Lists]                            Better Object list loading performance
[Task][Notifications]                    Improved notifications logging when there is a difference between assigned and  to be notified objects
[Task][System settings]                  Correct kb links in system config check settings section
[Task][CMDB]                             Replace old favicon with new favicon
[Improvement][Forgot Password]           Field to set the e-mail address for a user's password reset request
[Improvement][Code (Internal)]           Implement Maintenance Screen that is shown for Maintenance Windows
[Improvement][Native JDisc device view]  Add support for new JDisc GraphQL schema
[Improvement][System settings]           Allow user to expand and collapse all tenant settings
[Improvement][JDisc]                     New categories for the connection of "Access points" and "Access point controllers"
[Bug][Custom categories]                 Masked textfields are overwritten with the censor characters when custom category is saved
[Bug][Custom categories]                 Use 'Chosen' to select reports in custom category configuration
[Bug][Custom categories]                 Object relation on the overview page is not detached despite success message
[Bug][Custom categories]                 Custom dialog+ fields with values are presented as empty in category view/edit mode
[Bug][Monitoring]                        Monitoring data is requested even for objects with monitoring deactivated
[Bug][LDAP]                              Login via LDAP credentials when using PHP 8.3.16
[Bug][LDAP]                              Change LDAP filter field from input to textarea
[Bug][LDAP]                              LDAP sync archives persons when AD is not available
[Bug][Report-Manager]                    Adding multiple reports in category rights to a user causes inconsistent behavior
[Bug][Report-Manager]                    Wrong report results when using Cluster > Guest system > Title
[Bug][Report-Manager]                    SQL error when using location path as a condition block at report manager
[Bug][Report-Manager]                    Information for Services are not reportable via Software assignment
[Bug][Report-Manager]                    Report Manager uses the same temp table for different conditions
[Bug][Report-Manager]                    Condition without value empties other conditions
[Bug][Report-Manager]                    Variable reports cannot be selected in the custom category field Report
[Bug][Report-Manager]                    Unknown column error in report manager
[Bug][Report-Manager]                    A Report Manager query condition is not refreshed when switching between "placeholder" and "="
[Bug][Report-Manager]                    SQL Syntax Error when watching report with Location and operator below as condition
[Bug][Report-Manager]                    When saving a new SQL-Editor report it creates a duplicate for each time save is pressed
[Bug][Report-Manager]                    Do not cut off remove chosen attribute button in reports
[Bug][Update]                            i-doit is marked as Cloud instance after update
[Bug][Update]                            MySQL is checking foreign keys when altering a Table
[Bug][Code (Internal)]                   Can’t  delete an Entry in the Category Remote Management Controller
[Bug][Code (Internal)]                   Empty a custom multi object browser attribute in a custom single value category causes an error
[Bug][Code (Internal)]                   Can’t edit the Entry in the category Database installation
[Bug][Code (Internal)]                   Can’t edit the Entry in the category software assignment
[Bug][Code (Internal)]                   Allow user to import xml files via console
[Bug][Code (Internal)]                   isys_cmdb_dao_list_objects::get_object_count() should return int value
[Bug][Code (Internal)]                   Hiding attribute "Aliases" from overview page for category hostaddress does not work
[Bug][Code (Internal)]                   CSS rendering inconsistency for Chrome Browser
[Bug][Code (Internal)]                   "Show / Hide Details" button is not working at racks category of room objects
[Bug][Code (Internal)]                   Update not possible when update files are missing
[Bug][Code (Internal)]                   Incorrect Calculation in RAID Array Category for RAID Levels 0, 1, and 2
[Bug][Code (Internal)]                   Selecting a DBMS at DBMS Information category throws TypeErrors
[Bug][Lists]                             Entries of a category list are not counted
[Bug][Lists]                             Entries of a object list are not counted
[Bug][Lists]                             Variable %ipaddress#1% is not translated correctly when viewed at object list
[Bug][Lists]                             State of virtual machine is not displayed correctly at object list
[Bug][Lists]                             Exporting a list with dialog+ multi selection entries causes csv file to break
[Bug][Lists]                             Negativ numbers are wrongly displayed in list view
[Bug][Categories]                        Assigning a Service via Software assignment is not possible despite a Success message
[Bug][Categories]                        Save data in category logical port
[Bug][Categories]                        Setting numeric format to german causes error at category object vitality
[Bug][Categories]                        Contract assignment > Reaction rate does not display the correct value
[Bug][Categories]                        Using CSV Import to update a object does not change the "Date of change"
[Bug][Categories]                        It is not possible to select a date in the past when using Status-Planning
[Bug][Categories]                        Allow user to update audit category entries
[Bug][Categories]                        Software assignment not deleted when changing version of DBMS
[Bug][Categories]                        Link in LDAP category leads to empty page
[Bug][Categories]                        Cannot update Layer2-net category entry when Layer-3-net assignment is filled
[Bug][Logbook]                           Logbook entries does not include changes on ranking
[Bug][Logbook]                           No Logbook entry when changing CMDB Status
[Bug][Logbook]                           Create a logbook entry when changing the Object type
[Bug][Logbook]                           Field changes for Host address category are not correct
[Bug][Logbook]                           A custom field change of type Time is not logged in the Logbook
[Bug][Logbook]                           A custom field change of type Yes-no-field is not logged in the Logbook
[Bug][Logbook]                           Changes to yes-no-fields type are not written to the logbook
[Bug][Logbook]                           Fix empty / confusing changes for "hostaddress" category in logbook
[Bug][Logbook]                           Service logbook fields should not move when filtering
[Bug][Logbook]                           Show correct from values for logbook changes
[Bug][Relations]                         Relation is not deleted when a SIM card is detached
[Bug][Relations]                         Adding a object to a object group set the assigned object as relation master
[Bug][Permission system]                 H-Inventory permissions also deny or grant permission for SMTP configuration (e-mail)
[Bug][Permission system]                 System permission set to Read grants permission to read, write and delete Livestatus NDO and Export configuration
[Bug][Permission system]                 Report on the Dashboard can be viewed despite the rights for the report are revoked
[Bug][Permission system]                 Improve performance of location tree when considering user rights
[Bug][XML]                               Category "Network Port" is missing when exporting a template
[Bug][XML]                               When importing XML a Apache HTTP Server error is logged and the import does not finish
[Bug][CSV Import]                        CSV Import Error message with Multi-valued categories option set to "row" or "comma-separated" in combination with a "Location (Location)" mapping
[Bug][CSV Import]                        CSV Import doesn't set "Yes/No" Fields in custom categories
[Bug][CSV Import]                        CSV import attribute assignment is not saved when editing the assignment again
[Bug][CMDB]                              When duplicate a object the assigned Network-Interface at Network Port is not duplicated
[Bug][CMDB]                              Object type sorting via "Edit data structure" displays error
[Bug][CMDB]                              Browsing to i-doit/?load=property_infos leads to 500er HTTP error
[Bug][CMDB]                              Server error when swapping category Connectors with Replacement add-on
[Bug][CMDB]                              Dialog changes for Yes/No fields are not properly set in the logbook for category Database links
[Bug][CMDB]                              Unblock session while processing tree
[Bug][CMDB]                              Typo in German language "Übersicht der Netzwerports"
[Bug][JDisc]                             JDisc import matching profile is displayed as Default
[Bug][JDisc]                             Logbook does not contain a fully set of changes to the object and each change after JDisc import
[Bug][JDisc]                             The Software filter for JDisc does import Software when the whitelist is empty
[Bug][JDisc]                             Unable to archive outdated objects from JDisc
[Bug][JDisc]                             Unable to update objects via JDisc Discovery category
[Bug][JDisc]                             Allow re-editing of jdisc server
[Bug][API]                               cmdb.reports request that contains '&' outputs '&' instead
[Bug][Mass editing]                      Cancel mass change when memory limit is reached
[Bug][Mass editing]                      Mass change without a template not possible
[Bug][Configure Apache HTTPD, PHP & Co.] Using 0 values at PHP.ini causes error when uploading files
[Bug][Validation]                        Using a custom counter ignores validation unique check for titles
[Bug][List editing]                      Some attributes  from "connectors" category are missing for object lists and reports
[Bug][List editing]                      List editing version number/patchlevel for category operating system does not show patchlevel
[Bug][QR-Codes]                          text-aligning is not working for QR-Codes
[Bug][Logging]                           Proper information how to fix error message for General error: The given value is not unserializable!

33
--------------------------------------------------------------------------------
[Task][JDisc]                              System settings for SMTP server settings are empty
[Task][Code (Internal)]                    Add PHP 8.3 compatibility
[Task][Code (Internal)]                    Remove PHP 8.0 support
[Task][Code (Internal)]                    Rename i-doit pro to i-doit
[Task][Code (Internal)]                    Widgets return wrong protocol (http instead of https)
[Task][Code (Internal)]                    Add missing sales information to the support banner
[Task][Code (Internal)]                    Prevent 404 breadcrumb content on breakout from admin-center
[Task][CMDB]                               cmdb.reports.read shows html brakes at output
[Task][Adjustments i-doit cloud]           Category folder Monitoring is not listed as empty
[Task][Adjustments i-doit cloud]           Add-ons with included cmdb-status use wrong hexcode when installed after updating to i-doit 31
[Improvement][JDisc]                       After the installation the settings are not set
[Improvement][JDisc]                       Allow the user to select the root location via text search
[Improvement][CSV Import]                  No Permissions after quick purge an Entry in the category "SOA-Stacks"
[Improvement][Code (Internal)]             HTTP 500 error when a object is added via object browser
[Improvement][Code (Internal)]             TypeError when creating a Virtual devices entry
[Improvement][Code (Internal)]             Ensure that content is not incorrectly identified as HTML
[Improvement][Adjustments i-doit cloud]    Despite not owning the according rights you can still see and use the "New" and "edit" buttons
[Improvement][Adjustments i-doit cloud]    Saving value "-" for attribute speaker and pivot is not saved for monitors
[Bug][Validation]                          Adding #Number to a counter set for automatic inventory number creates a new custom counter when creating a object
[Bug][Validation]                          HTTP 500 error when an contact (person(-group) or orga) is created which has a default template set
[Bug][Templates]                           Language constant names of reports in custom categories do not get translated
[Bug][System settings]                     Notify user about disabled "Last Login" function
[Bug][System settings]                     Double slash in path at Rights & Directories
[Bug][System settings]                     Spelling mistake in the German translation of the person group members
[Bug][Search]                              Using contact assignment at csv import creates wrong logbook entries
[Bug][Relations]                           CSV import throws database error when importing locally assigned objects
[Bug][Permission system]                   CSV import does not create or assign a Cellular Phone to a SIM card via SIM card > Assigned mobile phone
[Bug][Permission system]                   CSV import helper unable to split multi value dialog entries containing 0 values
[Bug][Permission system]                   HTML entity is translated after applying it to html field and than marked as wrong
[Bug][Permission system]                   It is possible to add a object multiple times to a multi-value field
[Bug][Notifications]                       Exporting a object lists as csv adds weird symbols to entries
[Bug][Notifications]                       CSV export with symbols
[Bug][New document templates]              CSV Export of Object lists containing a location path result in ajax code being put out
[Bug][New document templates]              Login not possible when log file is not writable
[Bug][Mass editing]                        PHP error when importing from JDisc
[Bug][Logbook]                             JDisc-Group filter is ignored
[Bug][Lists]                               JDisc import stops with an error message
[Bug][Lists]                               Location path is always displaying object title even when no location is set
[Bug][JDisc]                               Sorting for Virtual machine at virtual server list view causes database error
[Bug][JDisc]                               Fix missing changes for "Memory" category in logbook
[Bug][JDisc]                               Selecting around 1500 objects for mass change leads to type error
[Bug][Export]                              Guarantee date unit is missing
[Bug][Export]                              Use default value if setSortDirection is not set
[Bug][Export]                              Using 2 reports with assigned subscriptions > assigned object condition for notification causes error
[Bug][Custom categories]                   Dialog Admin "read" permission also grants user to delete
[Bug][Custom categories]                   View right for objects of a type allows to create a unfinished object
[Bug][CSV Import]                          Category Persons is not hidden when the right is missing
[Bug][CSV Import]                          Categories are displayed without the right to view them
[Bug][CSV Import]                          Relation from Person to Organization is not deleted
[Bug][CSV Import]                          Searching for custom category "numbers only" entry gives no results
[Bug][Code (Internal)]                     Upload of images not possible
[Bug][Code (Internal)]                     Provide correct default settings in tenant settings
[Bug][Code (Internal)]                     Location path orientation does not consider object browser
[Bug][Code (Internal)]                     Location path orientation does not show the path correctly in list overview
[Bug][Code (Internal)]                     Do not display archive, delete and recycle button in the Template object list
[Bug][Code (Internal)]                     Attribute settings are not hiding description attribute
[Bug][Code (Internal)]                     HTTP 500 Error when creating a host address entry after setting field to mandatory in attribute settings
[Bug][Code (Internal)]                     Enable environment variable for default url
[Bug][Code (Internal)]                     Enable user creation during setup
[Bug][Code (Internal)]                     Allow access to standalone version of Admin Center 2.0
[Bug][Code (Internal)]                     Disable checks if the client/request comes from the same IP address.
[Bug][Code (Internal)]                     Addon CSV-Importhelper Methode um den Logger erweitern
[Bug][Code (Internal)]                     Patch Prototype to solve CVE-2020-27511
[Bug][Code (Internal)]                     Always save TB values in databases category
[Bug][CMDB]                                Option to cancel an JDisc import
[Bug][CMDB]                                Deleting objects in JDisc when they are set to a defined state in i-doit
[Bug][CMDB]                                Expose health check URL
[Bug][Categories]                          Use local QR-Code generation instead of external service for TFA
[Bug][Categories]                          Create guard page for "unauthorized" error while opening admin-center 2.0
[Bug][API]                                 Improve location tree performance
[Bug][Adjustments i-doit cloud]            Update 'environment' file
[Bug][Adjustments i-doit cloud]            Update the default JDisc-Profiles

32
--------------------------------------------------------------------------------
[Bug][Logbook]           The logbook uses data from other objects for the Changed Of data when edited via overview page
[Bug][Categories]        Creating a new connection at category Network listener does not create a new connection
[Bug][Categories]        Allow user to update linked service in installation category
[Bug][Categories]        Category list for Direct Attached Storage > Device is missing attributes
[Bug][Categories]        Eye not working correct
[Bug][Categories]        Identically named switch port groups are assigned
[Bug][Categories]        Object lists > SIM card has wrong Assigned mobile phone attribute selected
[Bug][Categories]        Wrong name for categories
[Bug][Documents]         HTTP 500 error when creating a document or a revision
[Bug][CSV Import]        Assigning location to object via csv import only uses first entry of csv
[Bug][CSV Import]        CSV import using comma-separated or row causes only values from first entry to be used
[Bug][CSV Import]        Inform the user about the required object title for csv imports
[Bug][CSV Import]        CSV import causes error when importing/updating database schema
[Bug][CMDB]              Counter skips a number when duplicating objects
[Bug][CMDB]              File browser data is not saved properly in custom categories
[Bug][CMDB]              Duplicate single-value entry when creating a Person group
[Bug][CMDB]              Altering data in Network > Port entry which has a Interface assigned are not saved
[Bug][CMDB]              End of Period in Category Contract > Contract is not calculated
[Bug][CMDB]              "Host in cluster" and "Running on host" in "Virtual servers" category is switched
[Bug][CMDB]              Remove filter field role from category contact assignment
[Bug][CMDB]              Links in search for description fields are added with "<p>"
[Bug][CMDB]              Object browser displays german text while using english
[Bug][JDisc]             Do not display an error message if an incorrectly configured jdisc server exists
[Bug][JDisc]             JDisc updates archived objects
[Bug][JDisc]             Remove duplicated "JDisc Profile" field in JDisc Profile Details Page
[Bug][JDisc]             TypeError when switching JDisc Server in JDisc profile
[Bug][Code (Internal)]   No complete display of fields when the wiki link is activated
[Bug][Code (Internal)]   CKEditor loads update on WYSIWYG editor
[Bug][Code (Internal)]   Remove multiple entries in single-value categories deletes wrong entries
[Bug][Code (Internal)]   Custom category is incorrectly marked as empty or filled
[Bug][Code (Internal)]   Table in description field is not deleted when marked (Firefox)
[Bug][Code (Internal)]   System setting > Welcome message for login displays language constant as placeholder
[Bug][Connector cabling] Editing or importing "assigned connector" causes HTTP 500 error
[Bug][Update]            Update via console.php from <29 to v30
[Bug][Update]            Execute missing migration from pre v30
[Bug][Export]            Exporting a object list via csv has no results
[Bug][Security]          Fix security issue regarding possible SQL-Injection
[Bug][Security]          Fix security issue regarding possible XSS
[Bug][Security]          Fix broken menu tree (possible XSS)
[Bug][List editing]      List editing Ports does not select Default VLAN
[Bug][Console]           admin-center-password-reset triggers an exception if the license is missing for more than 30 days
[Bug][Validation]        Validation does check automatic inventory number when creating objects
[Bug][Permission system] Person without the permission has purge and duplicate button displayed in the report manager and can delete self created reports
[Bug][Notifications]     SQL error when using reports with custom categories for report based notifications
[Bug][Lists]             Do not show db error when adding access attributes to server list view
[Bug][Lists]             Cable connection in overview empty with same source/destination object
[Bug][Custom categories] Wrong field data when field has been altered to report
[Bug][Custom categories] Numbers only field saves whitespaces
[Bug][Active Directory]  Renaming LDAP AD Group does not rename category person group entry
[Bug][Report-Manager]    Unassigned objects with no position in rack are given slot# value at report
[Bug][Report-Manager]    Amount value is not displayed for category "invoice" in report
[Bug][Report-Manager]    Export Report button without function
[Bug][Report-Manager]    Grouped multivalue presentation stops working for reports with a lot of results
[Bug][Report-Manager]    Report manager crashes with error when using NOT LIKE %...%
[Bug][Category folders]  Reordering categories with category folders feature causes specific category folders to disappear
[Bug][Search]            Only the General > Tag with the highest ID is found via searching
[Bug][Search]            Show archived/deleted strings in search results
[Bug][i-doit Login]      The User is not able to login into every active tenant if there is another instance running on the same server
[Bug][CMDB settings]     Category title for Operating Systems is not equal when added to Hide attributes
[Bug][CMDB settings]     Category title for Operating System is not equal when added to Hide attributes
[Bug][CMDB settings]     Object type configuration is not accessible when a thumbs.db file is in images folder
[Bug][CMDB-Explorer]     GraphML export should not be black

31
--------------------------------------------------------------------------------
[Task][Import]                       Improve CSV-Import to not block the current user-session
[Task][Console]                      Allow uninstall of add-ons over the console app
[Task][Console]                      Enable user to set system settings over the console app
[Task][Code (Internal)]              Allow API parameters to have multiple types
[Task][JDisc]                        Refactor "Data source" usage in JDisc code
[Task][JDisc]                        Create a tooltip info for importing connection endpoints
[Task][CMDB]                         Rename Remainder warranty to Remaining warranty
[Improvement][LDAP]                  Insert ldap filter directly
[Bug][Validation]                    Allow user to search for attributes in attributes settings
[Bug][Validation]                    Do not save empty category entries in case of validation errors
[Bug][Update]                        Wrong i-doit version is downloaded at updater
[Bug][Update]                        In i-doit 29 is displaying that i-doit 28 is newer version to download
[Bug][LDAP]                          Empty LDAP attribute extension title sets the unique attribute empty
[Bug][LDAP]                          Empty Person group assignments after openLDAP login
[Bug][CMDB]                          Using a custom counter with N digits does not create N digits
[Bug][CMDB]                          The "Relations" item is missing in updated extras menu
[Bug][CMDB]                          Specific category organization can not be removed from overview page
[Bug][CMDB]                          Linking the same object to two different Remote Management Controller via Managed devices leads to SQL error
[Bug][CMDB]                          Fix PHP error when requesting a non-existing category
[Bug][CMDB]                          Sub-locations remain hidden when user lacks view rights for intermediate location nodes
[Bug][JDisc]                         JDisc discovery needs IP address for matching
[Bug][JDisc]                         JDisc import is not matching for serialnumber and mac address
[Bug][JDisc]                         Using log level 'less' creates no log level for JDisc imports
[Bug][JDisc]                         JDisc matches non existent object id
[Bug][JDisc]                         Cannot access offset of type string on string when importing from JDisc
[Bug][JDisc]                         Serial number is displayed without using GraphQL
[Bug][JDisc]                         Allow user to delete multiple jdisc servers at once
[Bug][JDisc]                         Clean up and refactor the "Data source" category
[Bug][JDisc]                         Do not always show tooltips when removing matching row of jdisc profile
[Bug][Report-Manager]                Cable connections are not displayed in reports
[Bug][Report-Manager]                Report import not possible
[Bug][Report-Manager]                Report Manager - Runtime displaying wrong operators
[Bug][Report-Manager]                500 error code when importing demo reports into i-doit
[Bug][Report-Manager]                Cluster service assignment attributes are not selectable at report manager
[Bug][Report-Manager]                Report with attributes from Persons category causes error
[Bug][Permission system]             Person without rights can view object lists when using direct link
[Bug][Permission system]             Update user permissions placeholder for CMDB > Objects with assigned role in contact assignment
[Bug][License installation (i-doit)] Error message when saving license and tenant is not existent
[Bug][Code (Internal)]               Make username field unique
[Bug][Code (Internal)]               TypeError: Cannot read properties of null (reading 'tagName')
[Bug][Code (Internal)]               Error message when installing without database connection is incomprehensible
[Bug][Code (Internal)]               Wrong subquery for attribute 'remote management controller' causes error at list view
[Bug][Code (Internal)]               Wiki button is not working properly for list view
[Bug][Categories]                    Category Assigned Objects (person groups) is also used for Persons
[Bug][Console]                       Console command description wrong or typo
[Bug][Lists]                         Your given configuration is malformed
[Bug][Lists]                         When filtering 'net with suffix' no results are displayed
[Bug][Lists]                         Typerror shown when accessing file versions category list
[Bug][Lists]                         Filtering a string for attribute location also filter for attribute location path
[Bug][CMDB settings]                 Can't hide description of cluster
[Bug][Notifications]                 Saving notifications displays no saving message and stays in editor window
[Bug][CSV Import]                    Skip empty contact fields during csv import
[Bug][Import]                        Format xml import log correctly

30
--------------------------------------------------------------------------------
[Task][Update]                        i-doit 30 is only updateable from i-doit 29
[Task][Two-Factor Authentication]     Make TFA only available in i-doit pro
[Task][Code (Internal)]               Replace all places where the old replace_placeholder method is being used with the new Replacer Component
[Task][Code (Internal)]               Deprecate WYSIWYG Smarty plugin parameter "p_image_upload_handler", please use "fileUploadUrl"
[Task][Code (Internal)]               Deprecate WYSIWYG Smarty plugin parameter "p_image_browser_handler", please use "fileBrowseUrl"
[Task][Code (Internal)]               Update WYSIWYG editor to use proper upload and browse URLs
[Task][CMDB]                          Restructure nested 'Extras' menu
[Task][Console]                       Add additional way to perform i-doit update with admin center credentials
[Task][Validation]                    Add checkbox to attribute settings to delete multiple attributes at once
[Task][CMDB settings]                 Make object type sorting alphabetically for new installations
[Task][License installation (i-doit)] Notification when license is successfully installed
[Improvement][Code (Internal)]        Support MariaDB 10.11
[Improvement][CMDB]                   Add object type to list of "Assigned Objects (person groups)" (in Organization)
[Improvement][Validation]             Create a configuration page to combine validation and attribute visibility
[Improvement][JDisc]                  JDisc - AccessPoint Filter
[Improvement][JDisc]                  Import of power state from JDisc
[Improvement][JDisc]                  Ignore default MAC addresses
[Improvement][JDisc]                  More information about the reason for a failed connection to the JDisc Server
[Bug][Lists]                          Date field info when searching with all field option
[Bug][Lists]                          Filter for reports is not properly removed
[Bug][Lists]                          Cannot edit list view for assigned clusters
[Bug][Report-Manager]                 Dates in reports are not sorted correct for german language
[Bug][Report-Manager]                 Using != operator for dialog+ fields does not include empty(Null) objects
[Bug][Report-Manager]                 500error when selecting certain report in object browser
[Bug][Report-Manager]                 Location path LIKE %...% not working correctly
[Bug][Report-Manager]                 CSV or TXT file from report displaying breaks
[Bug][Report-Manager]                 Duplicating reports causes umlaut at title to be displayed as HTML
[Bug][Report-Manager]                 Report for contact assignment shows 0 matches but actually has matches
[Bug][Report-Manager]                 Report Manager - Service Relation (description) causes sql error
[Bug][Report-Manager]                 Templates are not displayed when the for e.g. Nagios Add-on is installed
[Bug][Report-Manager]                 The encoding of umlauts are displayed in report titles at the database
[Bug][Code (Internal)]                Counter are not counting
[Bug][Code (Internal)]                After importing a custom language a login is no longer possible
[Bug][Code (Internal)]                Object type icons are not loaded
[Bug][Code (Internal)]                Wrong date format popup is displayed for every date attribute in the object list
[Bug][Code (Internal)]                Installing an add-on displays a unhelpful error message when the rights are not set correct
[Bug][Code (Internal)]                Date of change not updated for contact assignment(role/primary)
[Bug][Code (Internal)]                FQDN Objekt Matching Key finds duplicate entries
[Bug][Code (Internal)]                Javascript rounding error in 'Memory' category
[Bug][Code (Internal)]                Existing templates takes a long time to load
[Bug][Code (Internal)]                Wiki-URL icon messes up field width at accounting
[Bug][Code (Internal)]                Correctly display changed logbook values
[Bug][API]                            SQL error when reading dialog via API
[Bug][API]                            Enable user to fill custom dialog+ fields via push api
[Bug][API]                            When using cmdb.dialog.read for category = C__CATG__IP and property = zone, one level too much and a empty entry is output
[Bug][API]                            Do not re-create already existing multi dialog+ values
[Bug][CMDB]                           Properties "Size" and "Max size" in category "Databases" contain unrounded values
[Bug][CMDB]                           Saving tags in the general category via api does not create a logbook entry
[Bug][CMDB]                           Segmented slots are not displayed correctly in the rack
[Bug][CMDB]                           Segment does not provide slots for the back
[Bug][CMDB]                           Syntax error when loading a ip network in the host address category
[Bug][CMDB]                           Saving ip address with space at the end api
[Bug][CMDB]                           Creating CPU with frequency 3.5 and no unit via API leads to wrong data
[Bug][CMDB]                           Allow user to access person group objects
[Bug][CMDB]                           The end of a contract field can not be emptied
[Bug][CMDB]                           Cluster service assignment throws TypeError
[Bug][CMDB]                           It is not possible to save memory values above 90.95 TB
[Bug][CMDB]                           Network - Port entries are not displayed on overview page
[Bug][CMDB]                           Category 'Certificate' does not use labels
[Bug][Security]                       Cache rights after a change
[Bug][CSV Import]                     Assigning a Layer 3-Net to a Layer 2 Net via Layer-3-net assignment leads to general error
[Bug][CSV Import]                     Setting "Multi-valued categories" to row for CSV Import causes some data to not get imported
[Bug][CSV Import]                     Umlauts and special characters are not processed correctly in the csv export of the list view when in the description field
[Bug][CSV Import]                     CSV-Import does not count objects correctly
[Bug][System settings]                The expert settings show some internal settings
[Bug][LDAP]                           Cant login via ldap when ldap.default-group has a string value
[Bug][LDAP]                           LDAP sync groupsynchronisation fills up log without any changes
[Bug][LDAP]                           Import_rooms via ldap-sync does not work with camelCase
[Bug][JDisc]                          Import objects from JDisc objects via file with IPv6 addresses
[Bug][JDisc]                          Importing a JDisc profile leads to foreign key constraint fails error message which is not logged
[Bug][JDisc]                          Import does not include all IPv4 addresses when Import type for DHCP IP addresses is set to with update
[Bug][JDisc]                          JDisc mapping error
[Bug][JDisc]                          default cmdb status is not set during jdisc import
[Bug][JDisc]                          JDISC Profile Setting "Include Clusters" does have no affect
[Bug][Import]                         A duplicate is created despite the error message from validation
[Bug][Import]                         XML Import runs into php error
[Bug][Custom categories]              Custom categories are viewed as empty in the category tree when newly filled and when hide button is active
[Bug][Custom categories]              Show html code from html editor correctly
[Bug][Validation]                     Textarea in 'Address' category can not save multiline content
[Bug][Validation]                     Categories and attributes missing for cluster when hiding attributes
[Bug][Validation]                     Do not allow user to resize attribute settings table
[Bug][Validation]                     Validate entries for standard LDAP group -> Only numbers and commas
[Bug][Validation]                     Reset attribute settings filter correctly
[Bug][Console]                        PHP error when command configuration is malformed
[Bug][Console]                        Adjust result status of tenant creation command
[Bug][Notifications]                  Some placeholder not working in notifications
[Bug][Notifications]                  Use default value if setSortDirection is not set
[Bug][List editing]                   TypeError when list editing objects
[Bug][QR-Codes]                       Using report for a QR Code template not possible at object browser
[Bug][QR-Codes]                       HTML in QR-Code templates not saved
[Bug][Categories]                     There are two Specific categories Installation available
[Bug][Categories]                     Rename category "Chassis cabeling" to "Chassis cabling"
[Bug][Categories]                     Rename category and folder "Database hierachy" to "Database hierarchy"
[Bug][CMDB settings]                  Allow user to use breadcrumb when editing object types
[Bug][CMDB settings]                  The description of "Display passwords" setting is incorrect
[Bug][Templates]                      Mass change template information can be dragged vertically
[Bug][Dashboard]                      Info popups when removing widgets is not going away
[Bug][CMDB-Explorer]                  Image file in the CMDB-Explorer is not loaded

29
--------------------------------------------------------------------------------
[Task][Service]                    Add link to customer satisfaction survey in i-doit pro
[Task][Code (Internal)]            Integrate enhanced color picker component
[Task][Code (Internal)]            Clean up color usages
[Task][Permission system]          Improve authorization performance for locations
[Task][Integrated customer portal] Integrate i-doit and Add-on specific download packages into i-doit
[Task][i-doit Login]               Disable 'autocomplete' for password field on login page
[Task][CMDB]                       Improve UI element for rack statistics
[Improvement][Code (Internal)]     PHP 8.2 Compatibility
[Improvement][Code (Internal)]     Improved login for SSO
[Improvement][JDisc]               New console.php command: Configure JDisc common settings
[Improvement][JDisc]               Add matching profile selection for each JDisc type mapping
[Improvement][JDisc]               Black/Whitelist for Layer 3 networks and host addresses
[Improvement][Eval Journey]        Add i-doit pro EVAL survey link
[Bug][CMDB]                        Recycle locations via locally assigned objects causes error and removes data
[Bug][CMDB]                        Custom counter counts 2 instead of 1
[Bug][Security]                    XSS Vulnerabilty in the global search input
[Bug][Logbook]                     Change via API is not written to logbook
[Bug][Logbook]                     An entry in Category X could not be changed
[Bug][Code (Internal)]             It is possible to create location loops
[Bug][Code (Internal)]             500 Error when archiving an object
[Bug][Code (Internal)]             Custom Counter are not replaced correctly
[Bug][Code (Internal)]             More space for conditions and elements in report manager
[Bug][Code (Internal)]             Placeholder is added to all placeholder fields on overview page
[Bug][Code (Internal)]             It is possible to create multiple persons with the same username
[Bug][Code (Internal)]             Login uses unfinished person with username
[Bug][Code (Internal)]             Recurring JS error when "escape" remains pressed
[Bug][JDisc]                       Allow user to import jdisc profiles
[Bug][JDisc]                       SQL error when importing JDisc Profile with custom object matching profile
[Bug][API]                         Saving dialog+ multi values via ID in a custom category does create a wrong logbook entry
[Bug][API]                         cmdb.condition does not work with custom categories
[Bug][API]                         Technical configuration of custom categories displays wrong examples
[Bug][Import]                      When a object is being updated via import, the Date of change is updated even though no change has been made
[Bug][Admincenter]                 Installing a addon for the wrong version of i-doit still unpacks the addon and updates files
[Bug][Notifications]               Notifications based on reports will not get send even though the report has results
[Bug][Notifications]               Notification Report: ID of Assigned license is displayed instead of Title
[Bug][CSV Import]                  CSV import creates object with wrong object type
[Bug][CSV Import]                  CSV-Import considers archived and deleted objects
[Bug][CSV Import]                  CSV importing object with "new line" causes categories of object to be hidden and error message
[Bug][Lists]                       Error when using "broad search" in tables (in PHP 8+)
[Bug][Lists]                       Custom attributes are not shown as added after editing the list view again
[Bug][Permission system]           Missing view right for reading dialog-fields via api
[Bug][Permission system]           Rights from archived Person groups are applied
[Bug][Permission system]           Despite parameter "All" is selected, the detail selection is not disabled
[Bug][Permission system]           Dialog admin edit button is not deactivated with only view right
[Bug][XML]                         XML Import not possible with assigned application
[Bug][Validation]                  Error uploading a file for a object with validation
[Bug][Validation]                  Do not validate objects while creating them
[Bug][Report-Manager]              Report viewing DBMS version always shows the first entry
[Bug][Report-Manager]              Report Manager reduces rows in result when adding additional columns
[Bug][Report-Manager]              Missing operators for date fields
[Bug][Report-Manager]              Assigned objects is missing in report manager selection
[Bug][Categories]                  Saving ip address with space at the end
[Bug][Categories]                  Existing models not displayed when selecting manufacturer
[Bug][Categories]                  Default gateway for the Layer-3 Net cannot be set in the host address category
[Bug][Categories]                  CPU manufacturer can not be used in a form
[Bug][Categories]                  Wrong sorting of subcategories under "Datenbank Hierarchie"
[Bug][Categories]                  Wrong sorting of subcategories under "Cluster"
[Bug][CMDB-Explorer]               i-doit should answer with a proper json response when checking cmdb explorer with limited user
[Bug][Documents]                   Document does not exist error message when opening a document
[Bug][Templates]                   Counter does not work for custom categories in templates
[Bug][Monitoring]                  livestatus with wrong address causes long loading times for categories
[Bug][Logging]                     ldap log does not log archived or deleted persons
[Bug][Interface management]        TypeError message in category "All Tickets"
[Bug][System settings]             The object browser configuration for Remote Management Controller and Managed devices refers to the wrong category
[Bug][Cabling import]              Do not rename cabling input/outputs after import
[Bug][Object type configuration]   Sorting places category "Zugewiesener Arbeitsplatz" before "Zugewiesene SIM-Karten"

28
--------------------------------------------------------------------------------
[Task][Category folders]         Streamline wording of move browser in Category Tree
[Task][Category folders]         Streamline wording of reorder modal in category tree feature
[Task][Category folders]         Rename message when folder is empty
[Task][Category folders]         Reset category list when the search is deleted
[Task][Category folders]         Improve category folders drag and drop
[Task][Category folders]         Add option to select and move multiple items
[Task][Category folders]         Rename GERMAN Expand Button
[Task][Category folders]         Add info to empty state of category folders feature
[Task][Category folders]         Disable move button when nothing is selected
[Task][Category folders]         Add information about the use of language constants to add a modal folder
[Task][Code (Internal)]          Remove global $g_convert variable
[Task][Code (Internal)]          Show architecture in system-overview
[Task][List editing]             The text with leading zeros needs to be written more clearly.
[Improvement][Import]            Allow user to import "input" of the first object in cabling import
[Improvement][JDisc]             JDisc: It should be possible to import more information (SLOT) regarding hard disc
[Improvement][JDisc]             Import von einzelnen Geräten aus JDisc anhand der IP über die Console / IP filter for JDisc import console command
[Improvement][JDisc]             New JDisc Import Mode: "Update (Existing)"
[Improvement][JDisc]             JDisc Import: Importiere SNMP Attribute
[Improvement][JDisc]             Comparison of available objects from i-doit and JDisc
[Improvement][JDisc]             Archive objects, that have not been seen by JDisc for a defined set of days
[Improvement][Code (Internal)]   Purge all objects in i-doit via command
[Bug][Code (Internal)]           Refactor the automatic update-check to a separate (ajax) request
[Bug][Code (Internal)]           Installation of different Add-on Versions does not replace old files
[Bug][Code (Internal)]           Changes in SMTP configuration encrypt the password
[Bug][Code (Internal)]           Assigned clusters are removed after saving the object type configuration
[Bug][Code (Internal)]           de-humanize the login page
[Bug][Code (Internal)]           Mouseover at object placed in rack shows html character instead of "ß" if language is german
[Bug][Code (Internal)]           Wrong translation of Editing lock
[Bug][Code (Internal)]           Creating a object-type at "edit-datastructure" causes error because of https
[Bug][Code (Internal)]           Fix object ID reset in URL in "Configurate object browser" after canceling an edit
[Bug][Code (Internal)]           Icon redirects are not cached
[Bug][Code (Internal)]           Changing technical key in multi value category causes problems in listview
[Bug][Code (Internal)]           Too small resolution does not display object titles in search bar
[Bug][CMDB]                      TypeError when assigning a Software
[Bug][CMDB]                      JDisc Import date is imported as string and not as date
[Bug][CMDB]                      Location is not selectable in object browser
[Bug][CMDB]                      Removing 'end of contract' of a contract makes it reappear after saving even though the runtime is now 0
[Bug][CMDB]                      Language constant overwrites another attribute
[Bug][CMDB]                      Date fields in category SIM are prefilled with character '-'
[Bug][LDAP]                      Creating an LDAP/AD filter that includes multiple filters
[Bug][Custom categories]         Changing technical keys to only contain words causes entries to lose the values when filled with API (Number only)
[Bug][JDisc]                     JDisc mapping error with MAC address
[Bug][JDisc]                     Saving a JDisc profile with a empty categories selection displays malformed JSON warning
[Bug][Category folders]          It is possible to select disabled folders as target
[Bug][Category folders]          Translations should not be overwritten after opening the category folders for the first time
[Bug][Category folders]          Fix move of categories when search is used
[Bug][Category folders]          Fix jumping view port when searching and selecting items
[Bug][Category folders]          After using search and delete the string via the X it is not possible to select category/folder container
[Bug][Category folders]          Security issue category folders prevent XSS usage in folder names
[Bug][Category folders]          Show root folder categories in move folder modal
[Bug][Category folders]          Correct sorting of category folders and categories
[Bug][Category folders]          Remove leftover categories
[Bug][Category folders]          Show language constants in edit folder modals
[Bug][Category folders]          Do not collapse category folders automatically
[Bug][Category folders]          Do not show language constant in add folder modal
[Bug][Category folders]          Do not show "no content" text when category is moved in empty folder
[Bug][Security]                  Prevent SQL-Injection in combobox endpoints (solves: CVE-2023-46856 & CVE-2023-49303)
[Bug][Security]                  Prevent loading "isys_cats_person_list" data over combobox "load" endpoint
[Bug][Security]                  Escape config values before writing them into config.inc.php (solves: CVE-2023-49300)
[Bug][Security]                  Remove option to download other files than i-doit update files via atomatic updater (solves: CVE-2023-49307)
[Bug][Security]                  Remove possibility to execute mysqldump over the UI
[Bug][Security]                  Prevent XSS in "qr.php" (solves: CVE-2023-49301)
[Bug][Security]                  Prevent XSS in category update for "File Links" (solves: CVE-2023-49302)
[Bug][Security]                  Prevent XSS in IT-Service Filter (solves: CVE-2023-49304)
[Bug][Security]                  Prevent XSS in Logbook entries through category data (solves: CVE-2023-49305)
[Bug][Security]                  Prevent XSS in usage of "proxy.php" (solves: CVE-2023-49306)
[Bug][Security]                  Prevent Path Traversal in Filemanager endpoint (solves: CVE-2023-49308)
[Bug][Security]                  Prevent Path Traversal in Filemanager "Image" in CMDB (solves: CVE-2023-49309)
[Bug][Security]                  Prevent Path Traversal in Import Module which allows to delete files (solves: CVE-2023-49311)
[Bug][Security]                  Disallow file urls in "reports.browser-url" to prevent exposing sensitive file contents (solves: CVE-2023-49310)
[Bug][Security]                  Add rights guard to isys_ajax_handler_logbook.class.php
[Bug][Security]                  Add guard by right-checking to "isys_ajax_handler_json.class.php"
[Bug][Report-Manager]            Report objects adds    after each column
[Bug][Report-Manager]            Exported report displays __id__ column
[Bug][Report-Manager]            HTML is displayed in Report
[Bug][Report-Manager]            Adding a condition block for location > below > X location outputs no results
[Bug][Report-Manager]            Status filter for multivalue categories in report manager is not working correctly for custom categories
[Bug][Report-Manager]            Status filter for multivalue categories is not working for CPU cores
[Bug][Report-Manager]            Operators for some fields can not be selected - TypeError: equation.map is not a function
[Bug][Report-Manager]            Placeholder is not correctly replaced
[Bug][Report-Manager]            SQL error in report manager for Wiring System > Assigned objects categories
[Bug][Report-Manager]            %LIKE% Operator for guarantee date is not working correctly
[Bug][Report-Manager]            '=' operator does not work correctly for custom categories
[Bug][Report-Manager]            The encoding of umlauts are displayed in report titles
[Bug][API]                       Can not use API when the API System Person is deleted
[Bug][API]                       Contact roles can not be authorized for API
[Bug][API]                       SQL error when using order_by
[Bug][Categories]                Reordering category folders causes visibility "eye" to disappear
[Bug][Categories]                'Edit' button disappears after 'purging' single value categories
[Bug][Categories]                Vertical slots for rack backside are mirrored
[Bug][Categories]                Deselecting a stack member sets it to generic location
[Bug][Categories]                Typo in categpry "Remote Management Controller" attribute "Primäre ZugriffsURL"
[Bug][System settings]           Not setting SMTP Timeout leads to SMTP Error
[Bug][System settings]           Save buttons do not display a success notification
[Bug][System settings]           Create Ticket button does not use the configured URL with PORT
[Bug][System settings]           API System setting overwrites tenant setting
[Bug][System settings]           System settings are not set through expert settings
[Bug][Validation]                Enable user to filter for attribute settings
[Bug][Validation]                Show empty attribute settings table to user
[Bug][Validation]                Do not show error message in tooltip while hovering over validation error in custom fields
[Bug][Validation]                Description fields yield validation errors on 32bit systems
[Bug][Notifications]             Group and User receive notification if receive strategy (-) is selected and both user & group have primary emails
[Bug][Notifications]             Neither group nor user receive notification if receive strategy (Groups if available, else assigned persons) is selected and only group member has primary email
[Bug][Notifications]             Notifications interval does sent E-Mails also a day after interval date
[Bug][List editing]              Can't create Model in list edit
[Bug][Search]                    Minimum search string error message should match setting
[Bug][Logging]                   Show detailed log does not work
[Bug][Lists]                     Sorting numbers in multi value category
[Bug][CMDB-Explorer]             SQL Error in CMDB Explorer
[Bug][Monitoring]                Monitoring - Livestatus add KeepAlive for checkmk
[Bug][Object type configuration] Assigned SIM cards can not be displayed on the Overview page
[Bug][Installation]              mod_rewrite test button is not working
[Bug][Admincenter]               A tenant can be over-licensed when deactivated

27
--------------------------------------------------------------------------------
[Task][Application Redesign]                       Redesign the login page
[Task][Code (Internal)]                            Remove 'logical-location-handling' setting, refer to 'Relocate CI' add-on
[Task][Code (Internal)]                            Update ACE Editor
[Task][Console-base Installation/Update/Licensing] Description for import-jdisc --regenerateSearchIndex is missing
[Task][JDisc]                                      Improve JDisc communication
[Task][Single Sign On (SSO)]                       Implement new expert setting + login logic for SSO
[Task][Update]                                     Add information about planned deprecation of PHP 7.4 to setup and update procedure
[Improvement][Category folders]                    Implement category folders feature
[Improvement][JDisc]                               Create mapping between i-doit objects and category entries and JDISC data
[Improvement][JDisc]                               Format the object title text (lowercase / uppercase)
[Improvement][JDisc]                               Add Serial number as Identification of the device for JDisc Discovery
[Improvement][JDisc]                               Import panel size of monitors / Importiere die Panelgröße von Monitoren
[Improvement][Logbook]                             Option to decide, whether logbook entries are removed or untouched when an object is purged
[Improvement][Categories]                          Improve process to set an empty password
[Improvement][CMDB-Explorer]                       Group object types in CMDB-Explorer
[Bug][Validation]                                  No validation error when duplicating
[Bug][Validation]                                  Setting status of service type entries to archived or deleted makes entries invisible and none selectable
[Bug][Notifications]                               The User is not able to create notification settings
[Bug][Categories]                                  Categories selected for 'categories on the overview' get automatically filled when creating a new object or template
[Bug][Categories]                                  Default gateway overwritten when duplicating object
[Bug][Categories]                                  Assigning a software via software assignment before assigning a operating system causes version number to disappear
[Bug][Categories]                                  Placeholder %OBJTITLE% is not working in category accounting > Inventory number via Template
[Bug][Categories]                                  SQL Error when creating more than 16 model entries
[Bug][Categories]                                  Model not displayed when creating more than 16 objects without saving the object afterwards
[Bug][Categories]                                  Multiple operating systems at software assignment causes weird behavior at version numbers from operating systems category
[Bug][Custom categories]                           Changing technical keys to only contain words causes entries to lose the values when filled with API (Dialog+)
[Bug][Custom categories]                           Disconnecting relation in custom category causes sql error
[Bug][Code (Internal)]                             Uninstalling add-ons over admin-center does not work if user is also logged into i-doit
[Bug][Code (Internal)]                             Adjust naming of network interface category
[Bug][Code (Internal)]                             Can't save counter with # format
[Bug][Code (Internal)]                             Saving a long link as a bookmark in the bookmark widget removes edit and remove button
[Bug][Code (Internal)]                             Add relationship menu item to extras menu
[Bug][Code (Internal)]                             Wrong attribute name while reading through API
[Bug][Code (Internal)]                             Do not add spaces to custom multiline text fields
[Bug][Code (Internal)]                             Installation of incompatible add-on does not throw an error
[Bug][Code (Internal)]                             Translate deselect button again
[Bug][Code (Internal)]                             Do not display an empty Extras menu if the user does not have the right to do so
[Bug][i-doit Login]                                Display error message when a user logs in with incorrect credentials
[Bug][System settings]                             Open calendar picker when calendar input field is focused
[Bug][System settings]                             LDAP Debug log is only available in System settings (Admin Center)
[Bug][LDAP]                                        Ldap-sync creates a duplicated logbook entries for a archived user
[Bug][LDAP]                                        Group Assignment is not removed for LDAP Users if the user was moved to another LDAP group
[Bug][LDAP]                                        Administration > Import and interfaces > LDAP > Attribute extension cannot be saved
[Bug][Logbook]                                     If a change in the administration with "logbook commentary" is saved a missleading information tells that a loogbook entry has been created.
[Bug][API]                                         Creating and setting a Dialog entry with a String which is only a number is not logged
[Bug][API]                                         PHP Error when posting a API request without installed i-doit pro add-on API
[Bug][List editing]                                Software not displayed in list view when assigned via list edit
[Bug][List editing]                                Adding a new model in list edit causes database error
[Bug][List editing]                                Assignment categories not editable in list edit
[Bug][List editing]                                Allow user to add dialog+ values in list edit
[Bug][CMDB]                                        Trying to save a Database Installation twice leads to an error
[Bug][CMDB]                                        SQL error in report manager for DBMS> database installation categories
[Bug][CMDB]                                        Edit button in IP-List should be hidden
[Bug][CMDB]                                        Setting "show primary entry only" for a master object (custom category) gives HTTP 500 Error at preview
[Bug][CMDB]                                        SQL error after double update of DBMS installation
[Bug][New cabling logic]                           Cabling Browser shows wrong assignment of input and output
[Bug][Report-Manager]                              Using software assignment in reports causes wrong number of matches
[Bug][Report-Manager]                              DNS Server is not shown in a report eventhough it is set in a Layer-3 Net
[Bug][Report-Manager]                              Assigned workstation-> Parent Object not working in report manager
[Bug][Report-Manager]                              Report does not display all possible results
[Bug][Report-Manager]                              CSV export of reports with grouped multivalue presentation may contain a lot of empty rows
[Bug][Report-Manager]                              Operators missing for accounting>date of invoice
[Bug][H-Inventory]                                 Importing H-Inventory xml file displays error message
[Bug][Connector cabling]                           Cabling browser does not display ports correctly
[Bug][CSV Import]                                  Attaching files via CSV Import ends with error message
[Bug][CSV Import]                                  CSV Export of report inserts constant instead of entry
[Bug][CSV Import]                                  CSV Import of Multi Value Category Data does not work correctly over the console.php
[Bug][CSV Import]                                  Database error when importing via csv
[Bug][Update]                                      Updating from 24 to 25 sets the Monetary format to NULL for all Users
[Bug][Lists]                                       List view for multi value entries is not checking columns
[Bug][Lists]                                       SQL error when filtering in object type switch chassis for Device assignment (Slots)
[Bug][Lists]                                       Show X entries in the object list is not persistent
[Bug][Lists]                                       List view config missing when editing
[Bug][Lists]                                       Can't move attributes in list view for categories
[Bug][Lists]                                       List filter in object type configuration does not reset
[Bug][Lists]                                       Option "default filter filters within all fields" causes date warning
[Bug][Dashboard]                                   adding "cluster service assignment" attributes to the "object information list" widget at the dashboard gives error
[Bug][Dashboard]                                   Use correct links in quicklaunch widget
[Bug][Search]                                      Filtering for date fields in list overview not working
[Bug][Templates]                                   Contact assignment in templates not working for JDisc Imports
[Bug][JDisc]                                       FC-Ports are not completely imported via JDisc import
[Bug][JDisc]                                       JDisc import via console stops with error
[Bug][JDisc]                                       Importing JDisc profile displays foreign key constraint error message
[Bug][JDisc]                                       JDisc import with "Only create newly scanned devices" import mode creates duplicates
[Bug][Console-base Installation/Update/Licensing]  sync-dynamic-groups command using wrong database table
[Bug][CMDB-Explorer]                               Language constants are displayed in the object info of the cmdb explorer
[Bug][i-doit Licensing 2.0]                        License expiration countdown is not displayed on the dashboard
[Bug][Authorization system]                        If "Location and all physically assigned objects" is used as a right the overview page can be seen although it is not authorized
[Bug][Relations]                                   Function to clear the password of users has no effect
[Bug][Single Sign On (SSO)]                        Language of default tenant overwrites languages of other tenants

26
--------------------------------------------------------------------------------
[Task][Code (Internal)]        Security - Path traversal
[Task][Code (Internal)]        Security - Stored XSS
[Task][Code (Internal)]        Integrate/Reintegrate static php code analysis tools to identify logical errors
[Task][Console]                Remove old 'controller' code in favor of 'Commands'
[Task][Console]                Remove usages of old 'interfaces'
[Improvement][Code (Internal)] PHP 8.1 Compatibility
[Bug][JDisc]                   Exported JDisc profile should have the title in its filename
[Bug][JDisc]                   Error when importing logbook with jdisc
[Bug][JDisc]                   Do not remove export/import buttons when deleting jdisc profile
[Bug][Code (Internal)]         Allow user to update custom object types
[Bug][Code (Internal)]         XSS Javascript vulnerability
[Bug][Code (Internal)]         Allow user to change custom category attributes
[Bug][Code (Internal)]         Update description length validation
[Bug][Code (Internal)]         Formfactor in overview causes data sanitation warning when empty
[Bug][Code (Internal)]         Correct re-direction of quicklinks in dashboard
[Bug][Code (Internal)]         LC__UNIVERSAL__MONTS is displayed for Month value in Accounting > Remainder warranty
[Bug][Code (Internal)]         Set default Objecttype sorting to Alphabetically
[Bug][Code (Internal)]         "Remainder warranty" not translating "months" properly from language constant
[Bug][Code (Internal)]         404 Error when opening notifications menu
[Bug][Code (Internal)]         i-doit is misspelled in Administration > tenant management > Rights & Directories
[Bug][Code (Internal)]         Wrong translation for hash for CSV-export delimiter
[Bug][Code (Internal)]         Exported Filename is FQFN when downloading file in object picture category
[Bug][Code (Internal)]         The filemanager can no longer download specific files
[Bug][Code (Internal)]         Set database without overwriting service
[Bug][Custom categories]       Key constraint fails when detaching a contact in a custom category with a object relation field
[Bug][System settings]         Make MySQL 8.0 compatible in the gui
[Bug][API]                     cmdb.category.purge does not work with C__CATG__LOCATION
[Bug][Categories]              Variable report on overview page causes 500 error
[Bug][Categories]              Rearranging racks is not possible when scrolling down
[Bug][Categories]              Path to save is deleted when editing from Backup (assigned Objects)
[Bug][Categories]              If entries in subcategory DBMS from category databases are archived the corresponding entries in the software assignment category are not being archived
[Bug][Categories]              Saving of MedTec category produces "CSRF-Mismatch" error
[Bug][Categories]              500 Error when adding variable report to overview page of an object
[Bug][Categories]              Wrong versions are loaded when multiple Operating systems are assigned
[Bug][Categories]              Change property type of category "Telphone/Fax" from Dialog to Dialog Plus
[Bug][LDAP]                    OpenLDAP search for groups in OU is overwritten by search for users in OU
[Bug][LDAP]                    Allow user to check LDAP connection when editing via list table
[Bug][Logbook]                 The Primary attribute in Contact assignment is not written to the logbook
[Bug][Logbook]                 Multiple entries in Logbook when adding/changing assignments in category "group memberships"
[Bug][Admincenter]             Support button in Admin Center leads to customer portal
[Bug][CSV Import]              The csv import takes a long time because the location fix is executed
[Bug][CSV Import]              Date field from custom categories not displayed in mapping of csv import
[Bug][CMDB]                    Placeholder helper does not display object specific placeholders when category is not saved
[Bug][CMDB]                    The user is not able to create a "Software assignment" without filling in the "Installed at" field
[Bug][CMDB]                    CSRF Error while saving custom category
[Bug][Lists]                   Allow user to filter for custom date fields
[Bug][Application Redesign]    Rights for locations not readable
[Bug][Templates]               using a template with categorie password with a empty password prevents objects to be created from the template
[Bug][List editing]            Do not replace version/variant with -1 when software assignment is updated
[Bug][i-doit Licensing 2.0]    A Buyers license is not displayed with no expiration date

25
--------------------------------------------------------------------------------
[Task][Code (Internal)]                           Remove all query_cache_* options from the systemoverview of i-doit
[Task][Code (Internal)]                           Use buttons to edit properties in custom category configuration
[Task][System settings]                           Create new i-doit administration structure
[Task][System settings]                           Search text is hidden after clicking anywhere else
[Improvement][Custom categories]                  Define your own attribute keys in custom categories
[Improvement][Custom categories]                  Change isys_catg_custom_fields_list__field_content from text to longtext
[Improvement][CMDB]                               Add object name of a server to list view of "logical devices (Client)" category
[Improvement][CMDB]                               Add ID to list view of assigned objects from person group
[Improvement][Installation]                       MySQL 8.0 compatibility
[Bug][Categories]                                 Adding a chassis to the back of a rack does not show the front of the chassis
[Bug][Categories]                                 Duplicate of workplace has identical workplace components
[Bug][Categories]                                 Placeholder helper is not displayed when the category has no saved data
[Bug][Categories]                                 Ipv4 adress out of range when changing layer3 net
[Bug][Categories]                                 All workplaces assigned when creating a person
[Bug][Categories]                                 Can not copy passwords with double click if special characters are used
[Bug][Authorization system]                       Set the expert setting auth.active to 1 by default
[Bug][Authorization system]                       Rights set by the database get overwritten when viewed
[Bug][Authorization system]                       Rights are not granted to a Person
[Bug][LDAP]                                       LDAP page should not break when testing connection
[Bug][Documents]                                  Placeholder "assigned workplaces (general->title)" shows title of main object
[Bug][Documents]                                  Kosten und Laufzeit des Vertrags werden nicht richtig angezeigt
[Bug][CMDB]                                       Do not break i-doit when object type is clicked in breadcrumb
[Bug][Update]                                     Empty Migration log after update to Version 23
[Bug][CSV Import]                                 CPU frequency + CPU frequency unit can not imported at once
[Bug][Custom categories]                          Can't save custom categories in overview on creation, when service assignment is also in the overview (>=php8)
[Bug][Custom categories]                          Duplicate technical keys when creating many fields at once in custom category
[Bug][Code (Internal)]                            Object Browser request canceled
[Bug][Code (Internal)]                            JS error when user is not allowed to see the search
[Bug][Code (Internal)]                            Error when creating object with locally assigned object category in overview
[Bug][Code (Internal)]                            No object type group selected, when accessing i-doit via "index.php"
[Bug][JDisc]                                      JDisc Discovery does not use the correct port
[Bug][Report-Manager]                             %LIKE% Operator for guarantee date is not working
[Bug][Report-Manager]                             SQL query is wrongly created when using Assigned workstation -> Parent object
[Bug][Report-Manager]                             Report Manager - Query for runtime not built correctly
[Bug][Report-Manager]                             Exported SQL-based report can not be imported without an error
[Bug][Admincenter]                                i-doit tries to check the hashed password as plaintext
[Bug][Search]                                     Exception error when creating fc ports
[Bug][Lists]                                      Expiration date in certificates does not sort correctly
[Bug][List editing]                               Up/Down scrollbar is not anchored in list edit
[Bug][List editing]                               List edit - Software assignment is not updated via list overview
[Bug][API]                                        API-Examples displays object as string
[Bug][Console-base Installation/Update/Licensing] Using "clear-credentials" command deletes user name

24
--------------------------------------------------------------------------------
[Task][Code (Internal)]                                 Unify uploaded file-paths for windows and other operating systems
[Task][Relations]                                       Improve field size in "Administration > User settings > Presentation"
[Task][LDAP]                                            Trim LDAP configuration inputs to prevent errors
[Task][JDisc]                                           Implement new JDisc profile option to use hostname as object title (instead of FQDN)
[Improvement][JDisc]                                    JDISC Profile Ex and Import
[Improvement][Code (Internal)]                          Support MariaDB 10.6.X
[Bug][List editing]                                     Improved layout for list edit to view more entries at the same time on the screen
[Bug][List editing]                                     Sorting Cabling > Connectors in Listedit
[Bug][List editing]                                     Position in rack is not editable by the list edit
[Bug][List editing]                                     List Edit should add entries and values when values for all is added
[Bug][List editing]                                     Positioning objects in a rack via multiedit shows different results
[Bug][Report-Manager]                                   Attributes "target schema" and "software runs on" is not displayable in report context
[Bug][Report-Manager]                                   subcnd for Service assignment category attribute Service is missing
[Bug][Report-Manager]                                   Operators missing for operating system>version number in report conditions
[Bug][Report-Manager]                                   Enter button causes unpredictable events
[Bug][Categories]                                       Adding a model in category model not possible
[Bug][Categories]                                       Free IPv6 addresses are not shown correctly
[Bug][Categories]                                       Filter in object lists is not fully shown and cut off
[Bug][Categories]                                       Custom category on overview page causes the last category to disappear from the overview page
[Bug][Categories]                                       Category lists - Make all attributes selectable (part 2)
[Bug][Categories]                                       Reminder warranty not displayed when almost running out
[Bug][Categories]                                       Duplicate of workplace has identical workplace components
[Bug][Categories]                                       Assigned clusters displays empty site
[Bug][Categories]                                       Placeholder %OBJTITLE% is not working in category accounting > Inventory number
[Bug][Categories]                                       Placeholder insert wrong data when used in template as title
[Bug][Categories]                                       Attribute visibility not working for General > Description in overview
[Bug][Categories]                                       Attribute visibility not working for Masterdata > Description
[Bug][Categories]                                       No selection possible for no selection in the category Monitor (Pivot and Speaker)
[Bug][Categories]                                       Image order cannot be saved
[Bug][Categories]                                       Object counter %COUNTER% not counting per object type
[Bug][Code (Internal)]                                  Data leak when using SQL Injection to manipulate cmdb.status (contributed by Roberto Dagostino)
[Bug][Code (Internal)]                                  Images in a description fields which were inserted via URL or copy&paste are not displayed
[Bug][Code (Internal)]                                  Archive and delete buttons is missing in Relations category
[Bug][Code (Internal)]                                  In a XAMPP installation images are not previewed and inserted in documents
[Bug][Code (Internal)]                                  XML Import language constant LC__MODULE__IMPORT__IMPORTED_AT is displayed
[Bug][Code (Internal)]                                  First location in locations tree is clickable
[Bug][Code (Internal)]                                  Better object browser performance
[Bug][Code (Internal)]                                  Sanitize input data deletes wysiwyg editor tags
[Bug][Code (Internal)]                                  Description field is limited to 65,535 characters
[Bug][Notifications]                                    Interval does not work for notifications
[Bug][Notifications]                                    E-Mail Template with any property from cagegory (License keys) will result in an empty E-Mail
[Bug][Notifications]                                    Notification about stored objects is not possible when the CMDB Status is altered
[Bug][Import]                                           Error when duplicating a object with Color / wave lenghts selected in a Cabling -> Connectors entry
[Bug][JDisc]                                            Some JDisc changes are declared as source internal
[Bug][JDisc]                                            JDisc Import - "Only create newly scanned devices" creates duplicates
[Bug][Lists]                                            Filtering virtual host > yes/no does not work in object lists
[Bug][Lists]                                            Sorting of IPv6 addresses
[Bug][Lists]                                            Filter custom fields with date without time in object lists not possible
[Bug][Lists]                                            Person not displayed in preview when filtering
[Bug][Lists]                                            Fields that allow only numbers from custom categories are not sorted properly
[Bug][Lists]                                            Description field in software assignment not displayed in list view
[Bug][API]                                              Error message when system api user is archived/deleted
[Bug][API]                                              Creating a location entry via API sets latitude and longitude to 0
[Bug][API]                                              'type' option for cmdb.objects filter does not work with id
[Bug][API]                                              "Categories and attributes" contains empty categories like Document and Floorplan
[Bug][Dashboard]                                        Reports in dashboard cause error when empty
[Bug][Dashboard]                                        Dashboard "jumps" to the report widget
[Bug][CMDB settings]                                    Default translation is overwritten
[Bug][CMDB settings]                                    Translation is empty when deleting a translation
[Bug][CMDB settings]                                    Custom translation - Changes only visible after reloading the site
[Bug][Custom categories]                                Wrong sorting for dialog+ field in custom categories
[Bug][Custom categories]                                Custom category not editable when adding report as a field
[Bug][Application Redesign]                             Long titles are cut off
[Bug][Authorization system]                             Date of change is updated without rights via overview
[Bug][Templates]                                        Counter %OBJID% not working for templates
[Bug][Templates]                                        Automatic inventory number does not work if objects are created via template.
[Bug][LDAP]                                             An empty ldap password does not give an error message when tested
[Bug][LDAP]                                             The ldap-sync import objects with no title
[Bug][LDAP]                                             Ldap-sync creates a log for every archived user for every sync
[Bug][Relations]                                        Grouping object type as dropdown does not work correctly
[Bug][Logbook]                                          SQL Error in logbook when displaying archived view
[Bug][Migration of all report views in other functions] 500 Error when downloading report view as csv
[Bug][CSV Import]                                       Description of assigned workstation not imported via CSV
[Bug][Search]                                           Tenant setting for search is not working

23
--------------------------------------------------------------------------------
[Task][Categories]               Change database field type for description fields from TEXT to LONGTEXT
[Task][Code (Internal)]          Rename "Possible next termination date" to "Last possible termination date"
[Improvement][CMDB]              Allow SVG as object image and icon
[Improvement][CMDB]              Create placeholder for the 24h format
[Improvement][Code (Internal)]   Translation of custom content
[Improvement][Relations]         Option to set spacing for menu trees
[Improvement][CSV Import]        Make proper use of profiles in CSV import command
[Improvement][Categories]        Automatically extend contract runtime
[Bug][Lists]                     Filter for Net Zone is not available in the list view
[Bug][Lists]                     Wiring system missing in servers list view configuration
[Bug][Lists]                     Assigned objects is missing in list view configuration
[Bug][Lists]                     Text in list overview is cut off for multi-value fields
[Bug][JDisc]                     JDisc import always sets the DNS server and this is logged in the logbook
[Bug][JDisc]                     JDisc Discovery does not work with HTTP/HTTPS
[Bug][JDisc]                     DBMS and Instance Name are not deleted correctly
[Bug][JDisc]                     JDisc import error when "Use simple database modelling?" is activated
[Bug][JDisc]                     JDisc import via console removes categories and other configurations
[Bug][JDisc]                     JDisc Profile is not saved with default JDisc Server after creating a JDisc Server entry
[Bug][List editing]              Port allocation is deleted when saving in list edit
[Bug][List editing]              Creating a new value for model in list edit causes error
[Bug][List editing]              Default VLAN in list edit not selectable
[Bug][List editing]              Contact assignment does not work for empty values in list edit
[Bug][List editing]              List edit - Headquarters are not displayed for Organizations
[Bug][Code (Internal)]           Deny access to .ini files
[Bug][Code (Internal)]           Fixing config.inc.php content
[Bug][Code (Internal)]           Filter a numeric ID in the object list fails - PHP 8.1
[Bug][Code (Internal)]           After typing 3 characters the focus of the object browser search is changed to the filter
[Bug][Code (Internal)]           Allow opening link in new Tab for HTML Field
[Bug][Code (Internal)]           Wrong icon for export in quick configuration wizard
[Bug][Code (Internal)]           Attachments in racks are not working correctly
[Bug][Code (Internal)]           Switching to location view with a huge amount of objects and locations freezes i-doit
[Bug][Code (Internal)]           Saving Trouble Ticket System (TTS) configuration does not display a save message
[Bug][Code (Internal)]           Uploading custom object images and icons is not possible
[Bug][Code (Internal)]           Fix IP calculation for PHP 8+
[Bug][Code (Internal)]           Saving the 'General' category will always show empty 'creation date' and 'last change' change in logbook
[Bug][Code (Internal)]           PHP 8.1 error when add-on is disabled
[Bug][Code (Internal)]           Objects with empty location category are displayed in location tree
[Bug][Object type configuration] Specific object type categories are missing in selection
[Bug][Object type configuration] Icons for objects are not uploaded
[Bug][Object type configuration] Can't upload .svg for object type icon
[Bug][Report-Manager]            Report Manager using wrong date format which displays wrong results
[Bug][Report-Manager]            Conditions might not be loaded correctly in the report manager
[Bug][Report-Manager]            A Net zone is not selectable for the Report Manager in a updated i-doit installation
[Bug][Report-Manager]            Runtime of a contract is not shown in report results
[Bug][Report-Manager]            No information about active sorting in report manager
[Bug][Report-Manager]            Report Manager - Conditions are deleted when using one condition block
[Bug][Report-Manager]            Different export of a report if a dynamic attribute was added in the report
[Bug][Report-Manager]            Report Logbook is missing colors
[Bug][LDAP]                      If the ldap-sync can not find a User in the search path a php fatal error occurs with php8.0
[Bug][LDAP]                      The LDAP Sync does not log in the loogbok when a Person is recycled
[Bug][LDAP]                      Each ldap-sync generates an object was archived message in the logbook
[Bug][LDAP]                      The ldap-sync resulted in an error
[Bug][LDAP]                      500 Error with SSO login
[Bug][Installation]              The variable passwords_encryption_method is set to %config.security.passwords_encryption_method% after installation
[Bug][CSV Import]                Import of CMDB status via CSV import over console creates new CMDB status instead of using the correct one
[Bug][CSV Import]                CSV Import Profile with console.php does not handle multi value category setting
[Bug][CSV Import]                Import of vertically assigned objects into a rack via CSV import not possible
[Bug][CSV Import]                DateTime fields are not importable via CSV
[Bug][CSV Import]                Imported CMDB Status via CSV are not displayed in the CMDB Settings > CMDB status
[Bug][CSV Import]                CSV Import does not use automatic inventory number
[Bug][CSV Import]                CSV import cache is not flushed before import via console.php
[Bug][CSV Import]                If the --csvSeparator option is not used for the import-csv command "CSV-File empty" is displayed
[Bug][QR-Codes]                  QR-Code not loading when using a load balancer
[Bug][QR-Codes]                  Layout of QR-Codes in report view is irregular
[Bug][Categories]                Using quickpurge for application>installations causes error
[Bug][Categories]                Error when archiving service assignment
[Bug][Categories]                Can't hide objectid
[Bug][Categories]                SQL Error when deleting assigned objects in organizations
[Bug][Categories]                SQL Error when archiving assigned user
[Bug][Categories]                IP addresses are sometimes cut in ip lists
[Bug][H-Inventory]               hinventory import error due to missing entries in constants cache
[Bug][Validation]                CSV Import validation for automatic inventory number
[Bug][Validation]                CSV-Import ignores validation rule "a regular expression"
[Bug][Validation]                Chosen fields do not get highlighted when validation fails
[Bug][Validation]                Show validation error to user if custom dialog+ field is required
[Bug][Validation]                It is not possible to Validate the category Assigned Workplaces
[Bug][Documents]                 Assigned objects not displayed in documents
[Bug][Documents]                 Error when using console.php documents export outisde of i-doit folder
[Bug][Admincenter]               No message if  a Add-on with requirement 1.19 is installed in a pre 1.19 Version
[Bug][Admincenter]               Assigned Object licenses are not counted in the Admin Center
[Bug][Admincenter]               Admin-Center Password reset throws exception when license missing for more than 30days
[Bug][CMDB-Explorer]             CMDB-Explorer can't export graph
[Bug][CMDB-Explorer]             The relationships are displayed upside down in a GraphML export of the CMDB Explorer
[Bug][Templates]                 Automatic inventory number not working for template
[Bug][Notifications]             Notifications for license expiration do not work correctly
[Bug][Application Redesign]      IP-List cut off when assigning an object
[Bug][CMDB]                      Can not hide some attributes in attribute visibility
[Bug][System tools]              Endless loading when checking mod_rewrite in system overview
[Bug][System settings]           If the System setting Placeholder in lists is below the needed chars the ID of the object is displayed
[Bug][Update]                    Authorization for Update via console.php not possible
[Bug][Update]                    Error message when editing Object Type Configuration
[Bug][Mass editing]              If a license > license key are assigned via the mass change the license key is duplicated
[Bug][Authorization system]      Right Categories in objects with assigned role in contact assignment are not awarded
[Bug][Custom categories]         Displaying 2 variable reports in overview does not work
[Bug][Import]                    Werden Objekte mit Checkmk 2 Add-on Daten via XML Exportiert und in einem Mandanten ohne das Add-on Importiert bricht der Import ab
[Bug][Monitoring]                Monitoring cannot be deactivated with the Active attribute
[Bug][API]                       The Parent entry of a dialog+ field can not identified by title
[Bug][API]                       Category Cabling Connectors > Assigned connector is a Array

22
--------------------------------------------------------------------------------
[Improvement][Application Redesign] Improve the main menu to automatically switch on small screens
[Improvement][JDisc]                Import Soundcards from JDisc
[Improvement][JDisc]                Import fields "Last Scan" and "Last Discovered"
[Improvement][JDisc]                Monitors should adopt the location of assigned objects
[Improvement][JDisc]                Information about last import from JDisc
[Bug][Application Redesign]         The size of the barcode is no longer generated dynamically
[Bug][Application Redesign]         CMDB-Explorer - Search field is too small
[Bug][Application Redesign]         Correct the appearance of the language switch button
[Bug][Application Redesign]         Fix layout of "Connection" category on small screens
[Bug][Report-Manager]               Make the attribute "Aliases" of the category "Service" to be selectable in the report manager
[Bug][Report-Manager]               Report do not display Object title instead of the ID
[Bug][Report-Manager]               Operator LIKE %...% is not working in reports for operating system>variant
[Bug][Categories]                   This IP address is available function checks the wrong Layer 3-Net
[Bug][Categories]                   Category "Operating system" always gets a time stamp for date of installation
[Bug][Categories]                   Fatal error when displaying a specific category on the overview as standard page
[Bug][Categories]                   The License browser displays license key as License title
[Bug][Categories]                   File Browser button has the wrong attribute
[Bug][Categories]                   Lists of specific categories contains different information
[Bug][Categories]                   Brackets not displayed in WYSIWGY Editor
[Bug][Categories]                   The column width for notification e-mail templates resets after opening a report in another tab
[Bug][Categories]                   Wrong scaling when zooming for assigned categories
[Bug][API]                          Fix security issue in i-doit (reported by Tim Püttmanns, maxence)
[Bug][API]                          Api System user is not useable
[Bug][API]                          debug level of json api can not be disabled
[Bug][JDisc]                        The User is not able to save a JDisc configuration
[Bug][JDisc]                        JDisc import via console.php with mode=6 does not Match correct
[Bug][JDisc]                        JDisc Import - "Installed at" is not imported correctly
[Bug][JDisc]                        JDisc import with Use simple database modelling activated ends in error
[Bug][JDisc]                        A  Software Assignment > Version number is not updated via JDisc Import
[Bug][JDisc]                        JDisc Import with PHP8.0 ends in error when Use simple database modelling is activated
[Bug][JDisc]                        JDisc Import logical Ports with a single IP Address
[Bug][LDAP]                         ldap-sync caching prevents user from login
[Bug][Notifications]                Notifications do not only notificate groups if the stategy Groups if available, otherwise assigned persons is selected
[Bug][Notifications]                Language templates in notifications - saving not possible
[Bug][CSV Import]                   Custom category field  type Object-Browser (Several objects) is displayed as Object browser (One object) in CSV Import
[Bug][CSV Import]                   The view in the csv assignment is shifted by larger resolutions
[Bug][CSV Import]                   The CSV Import assignment displays object type selection for attribute fields without object type selection
[Bug][CSV Import]                   CSV Import with activated validation for Host address > Domain displays error - PHP 8.0
[Bug][Code (Internal)]              Error: General error: Log file has not been set yet
[Bug][Code (Internal)]              Missing language constant for Administrator and User role
[Bug][Code (Internal)]              The combined location view displays objects twice
[Bug][Code (Internal)]              settings.cache should allways contain a array
[Bug][Code (Internal)]              Object browser uses combined view for locations
[Bug][Validation]                   Can't delete validation when selecting "a value from the textarea below"
[Bug][Validation]                   Validation not working when selecting "a value from the textarea below"
[Bug][Authorization system]         Inherit Rights via contact assignment from group to member
[Bug][Authorization system]         rights management select options all invert none are missing in 1.19
[Bug][Authorization system]         Parameters in authorization system are expanded
[Bug][Relations]                    Display spacers can not be set to No
[Bug][System tools]                 Missing MySQL Checks
[Bug][Custom categories]            Code in "Javascript" fields in custom categories gets obfuscated
[Bug][Events]                       List edit - Dialog+ (multi value) entries for custom categories are not saved
[Bug][CMDB-Explorer]                CMDB-Explorer export does not work
[Bug][List editing]                 All version numbers are displayed in list edit
[Bug][List editing]                 list edit of location category can not edit objects which have no location set
[Bug][List editing]                 List edit - Model is not displayed
[Bug][Admincenter]                  If a tenant has a wrong password for MySQL the Admin Center is blocked
[Bug][Lists]                        Wrong sorting of locations
[Bug][Lists]                        Listview - filtering of date only works with english format
[Bug][Lists]                        Objects cannot be opened with read-only permissions
[Bug][Dashboard]                    The remaining time of the i-doit license is not displayed on the dashboard
[Bug][Update]                       Update URL is not useable
[Bug][CMDB settings]                The object type sorting is not stored inital and is displayed incorrectly in the gui

21
--------------------------------------------------------------------------------
[Task][Admincenter]          Replace iFrame from Admin Center > Support Tab with open link in a new browser tab
[Task][System settings]      Change operator for recommended php version in system overview
[Improvement][Notifications] Add new parameters for the notifications-send option of the i-doit console
[Improvement][Notifications] Add an interval function to the notifications configuration so notifications are sent in a defined interval
[Improvement][Console]       Add a new console command to list notification types and notification IDs
[Bug][CSV Import]            CSV-Import causes error
[Bug][API]                   Improve (API-) request runtime in comparison to 1.18.*
[Bug][QR-Codes]              File browsers submit the page, when trying to open the popup
[Bug][Validation]            Validation for a category also validates text fields from any custom categories
[Bug][CMDB]                  When using wiki links, fields are smaller than intended
[Bug][CMDB]                  Person group membership not displayed in archived contacts
[Bug][Search]                Related special characters are no longer found via search
[Bug][Custom categories]     Custom category with umlaut or special characters in title are not createable
[Bug][Custom categories]     User defined Category does not work with Attribute visibility
[Bug][Report-Manager]        Creating a report with Assigned Object fails
[Bug][Report-Manager]        Multi-value entries are only displayed once
[Bug][Report-Manager]        Attribute Object (Workplace components) does not work when adding parent location
[Bug][Report-Manager]        The connection endpoint > title does not show the name of the linked object
[Bug][Report-Manager]        Dialog+ multiple selection field entries are separated in Reports
[Bug][Report-Manager]        Contact assignment causes error in Report Manager
[Bug][Report-Manager]        Version number is not displayed correctly.
[Bug][Report-Manager]        Error when using location attribute in reports without linked attributes
[Bug][Report-Manager]        Filtering for dialog+ entries does not work correctly
[Bug][Report-Manager]        Creating report with Person(Person (Organisation)) causes error
[Bug][Report-Manager]        Assigned objects of persons is not displayed
[Bug][Update]                i-doit is updateable to Version 1.19 with outdated add-ons
[Bug][LDAP]                  If a Person attribute is emptied in the AD and the option to sync empty attributes is not set the logbook logs this not applied change
[Bug][LDAP]                  Ldap-sync database error
[Bug][Code (Internal)]       Defining a default dashboard is not possible
[Bug][Code (Internal)]       If a hostname of an object is changed by the reverse-nslookup the object type LC constant is stored as object type
[Bug][Lists]                 If the last object of a page >=2 is deleted an error message appears
[Bug][System settings]       Hiding description via hiding attributes feature does not work for custom categories
[Bug][List editing]          All interfaces are displayed in list edit of Ports
[Bug][Dashboard]             Correct the text displayed on the dashboard
[Bug][Print view]            Not translated language constants in print preview

20
--------------------------------------------------------------------------------
[Task][Code (Internal)]             Change versioning schema
[Task][Code (Internal)]             Remove callables from smarty plugin parameters 'modify' and 'p_func'
[Improvement][Application Redesign] Allow user to define the category field margins
[Improvement][Report-Manager]       Report Manager: Additional column with export buttons in the report list
[Bug][CMDB]                         When I purge a Layer 3 network the remaining IP Addresses should be moved to the Global v4 Layer 3 Net
[Bug][CMDB]                         Show referenced LDAP server in "LDAP" category
[Bug][CMDB]                         IPv6 address range is cut off
[Bug][CMDB]                         rack view vertical slots do not display parallel to each other anymore and the view is moved when to much are added
[Bug][Custom categories]            Recommendation list for dates blocks the calendar
[Bug][CMDB-Explorer]                Limit results in CMDB-Explorer
[Bug][Lists]                        IDs in multi value custom categories are not sorted correctly
[Bug][Lists]                        Memory size is not considered when filtering for capacity
[Bug][Lists]                        Wrong Sorting of dates in object list
[Bug][Lists]                        Overwriting the list configuration of a user does not work
[Bug][Lists]                        Sorting of net attributes not possible with active filter
[Bug][Categories]                   Active logging of last log in of a user prevents saving a new password
[Bug][Categories]                   Category lists - Make all attributes selectable (part 1)
[Bug][Categories]                   Objects from object types with specific category Persons cannot be added to Organization (Persons) category
[Bug][Categories]                   Fields for date of creation and date of last change are not read only on overview page
[Bug][Categories]                   The Location browser does not display the Location Tree when using Right System
[Bug][Categories]                   If category operating system is used on overview page, a false new entry is created in this category
[Bug][Categories]                   If category host address is used on overview page, a false new entry is created in this category
[Bug][Categories]                   Attribute "Purchased at" has an assigned object when creating a new object
[Bug][Categories]                   GEO coordinates cannot be inherited
[Bug][JDisc]                        JDisc import duplicates layer-3 objects
[Bug][JDisc]                        Can not create or save new JDisc Profile when Change CMDB-Status of objects to is  set to Keep CMDB-Status
[Bug][JDisc]                        JDisc: Set default value for cloud subscriptions Value alters JDisc profiles
[Bug][Report-Manager]               Report Manager does not display the value costs of category contract assignment
[Bug][Report-Manager]               Unable to create categories in reportmanager
[Bug][Report-Manager]               A configured Report condition with a Operator like >= is not functional
[Bug][Report-Manager]               Using Location attribute in Reports triggers SQL error
[Bug][Report-Manager]               Referencing Assigned Objects from the Master object displays the master object
[Bug][Report-Manager]               False results in the list of report results
[Bug][Report-Manager]               Sorting by object type does not work
[Bug][Report-Manager]               Result list for reports stops count at 1500 results
[Bug][Report-Manager]               PHP error when assigning Groups directly to a notification and using PHP8
[Bug][Report-Manager]               Using locations in the report manager as attributes ends in error
[Bug][Code (Internal)]              Maintenance with Interval leads to error
[Bug][Code (Internal)]              Error message after login "Tenantsettings are only available after logging in."
[Bug][Code (Internal)]              Wrong breadcrumb URL for add-ons with URL rewrite
[Bug][Code (Internal)]              HTTP 500 if the SQL timeout is too short
[Bug][Code (Internal)]              Indexing attributes do not work with custom Add-on
[Bug][Code (Internal)]              Import profile is not migrated after 1.18.2 update
[Bug][CSV Import]                   Custom categories: Dialog+ entries with a dependency are not correctly imported and assigned
[Bug][CSV Import]                   CSV Import does not assign a Person to a Custom Category Object Browser (single) field
[Bug][CSV Import]                   If the attribute Login > Username is set for a person this person cannot log in with the stored password.
[Bug][CSV Import]                   Importing content for Yes/No fields not possible with 0/1 via CSV import
[Bug][CSV Import]                   CPU Frequency is 0 when importing via CSV
[Bug][CSV Import]                   Memory>Capacity is not filled via CSV
[Bug][LDAP]                         LDAP Sync assign groups to users which are not member of the group
[Bug][API]                          'InstallDate' property can not be set in application category via API
[Bug][API]                          API is ignoring Validation of Unique attributes
[Bug][API]                          API category and attribute configuration does not load
[Bug][Authorization system]         Category net is not displayed in overview despite correct rights
[Bug][Objects]                      The root location is clickable in the location view
[Bug][List editing]                 All version numbers are displayed in list edit
[Bug][List editing]                 List edit not saving correctly when one object is selected
[Bug][List editing]                 "purchased at" in Category accounting is filled with a default value in list edit
[Bug][Search]                       Global search for inventory number does not work when using counter
[Bug][Search]                       Global search with ' or % causes sql error
[Bug][Templates]                    Disallow using category "Authorization config" for Templates
[Bug][Logbook]                      When I purge a Layer 3 network no Logbook entries are created
[Bug][Logbook]                      Value for yes/no fields in logbook is empty
[Bug][New cabling logic]            Fiber connection is not deleted
[Bug][System settings]              More Info for System Parameter > Keep status of imported objects?
[Bug][Licence settings]             Changing the client name resets the assigned object licenses.

1.19
--------------------------------------------------------------------------------
[Task][Application Redesign]   Redesign the i-doit application
[Task][Code (Internal)]        Implement a way to inject menus to the administration area
[Task][System tools]           Add function in the administration area to clean up unfinished / deleted dialog entries
[Task][CMDB]                   Rename “Layer-2 Network” into “Layer-2 Network Assignment” from Category Network » Port
[Improvement][System settings] Option to disable validation for MAC-addresses
[Improvement][System settings] New Configuration Translation
[Improvement][System settings] Definition of default language
[Improvement][Categories]      Hide attributes from categories
[Improvement][Categories]      New optional field "Last Login" in category "Login" of Users/Persons
[Improvement][Report-Manager]  Reports can now be imported and exported
[Bug][Categories]              Custom Counter are not available for manual input into inventory attribute number
[Bug][Categories]              Error when trying to assign a new workstation on overview page
[Bug][System tools]            Missing preview icons for removing unfinished/archived/deleted category entries
[Bug][Report-Manager]          Location tree is broken
[Bug][Report-Manager]          Placeholder "after current date" isn't working in reports
[Bug][Report-Manager]          Connection endpoint not queryable in reports
[Bug][Report-Manager]          Checkbox in report causes error
[Bug][Report-Manager]          Placeholder "unequal object id" does not work correctly
[Bug][Report-Manager]          Operators missing for operating system>version number in report conditions
[Bug][Report-Manager]          Wrong output in reports of vertically assembled objects in racks
[Bug][Report-Manager]          Operators missing for Memory>Capacity
[Bug][Report-Manager]          Saving a report with operator "subcnd" does not work
[Bug][Report-Manager]          Wrong query when using yes/no field in conditions
[Bug][Report-Manager]          Operating system > version is not displayed in Report Manager
[Bug][LDAP]                    Only the first active LDAP Server is used for user authentication
[Bug][LDAP]                    Direct client forwarding with tenant_id does not work with SSO
[Bug][LDAP]                    Tenant change via LDAP User and active SSO does not work
[Bug][LDAP]                    LDAP-Caching mechanism does not work because of different admin password hashes
[Bug][Update]                  Update to i-doit 1.19 with an outdated Add-on installed
[Bug][Console]                 Commands can not be executed in i-doit OPEN
[Bug][CMDB]                    End of contract is not calculated automatically, when adding contract details via Forms Add-on
[Bug][CMDB]                    Archived/Deleted objects are also displayed in assigned objects
[Bug][CMDB]                    Settings for location path do not apply to location paths in report results
[Bug][CSV Import]              CSV Import via Console does not work
[Bug][CSV Import]              CSV Export of report inserts constant instead of entry
[Bug][CSV Import]              Object relations are not assigned when using automatic option
[Bug][CSV Import]              Contract assignment does not import correctly via CSV
[Bug][Connector cabling]       Editing connectors causes error
[Bug][API]                     Changing the object type via the API is no longer possible
[Bug][API]                     Dialog+ entries with a relation can not be set with one API request into the category
[Bug][Templates]               Error when creating objects from templates using a %COUNTER%
[Bug][Templates]               Template for persons does not take over data from the categories Persons > Person group membership, Persons > Master data
[Bug][Import]                  CSV Import: Importing a Layer 2 Net twice creates a random Layer-3-net assignment
[Bug][Import]                  The XML import does not create CMDB statuses
[Bug][Import]                  Method storageModel_import missing
[Bug][Code (Internal)]         Updating with wrong row_size for Table isys_cats_person_list
[Bug][Code (Internal)]         Using a custom counter in a text field from a custom category results in a SQL error
[Bug][Code (Internal)]         "tenant-create" command does not check if the provided database user already exists
[Bug][Code (Internal)]         Performance loss by adding the OBJ_OWNER in version 1.18
[Bug][Code (Internal)]         Create missing foreign key
[Bug][Code (Internal)]         Block i-doit 1.19 Update with too old Add-on Versions
[Bug][Code (Internal)]         DropDown menu of tenant selection closes on loss of focus
[Bug][Authorization system]    Custom Counter can be edited/created without permissions
[Bug][Authorization system]    Via Person group authorized parameters are not correctly displayed in the Person rights view
[Bug][List editing]            Solving software assignments via list editing generates an SQL error message
[Bug][List editing]            Specific category master data from organisation is not visible in list edit
[Bug][List editing]            Endless loading when adding new values in list edit
[Bug][List editing]            Applications can not be detached in list edit
[Bug][List editing]            SQL Error when detaching operating system in list edit
[Bug][List editing]            Selecting values in list-edit without creating entries first can result in errors
[Bug][Mass editing]            Mass change - license assignment/application is not set in software assignment
[Bug][Lists]                   HTML from WYSIWYG fields is not displayed in object lists
[Bug][Lists]                   Listview - Colum "object" shows archived objects in workstation
[Bug][Lists]                   Filter for dialog+ fields in custom categories does not work for handling (API+ Import full)
[Bug][Lists]                   SQL Error when adding attribute role to list view
[Bug][Lists]                   Person groups>Number of members not sortable in list view
[Bug][Lists]                   SQL-Error when filtering all fields in a Object list with Attribute Condition (General)
[Bug][Lists]                   Filter for capacity does not work correctly
[Bug][Lists]                   "Installed at" in Application is not displayed in list view
[Bug][Lists]                   Double scrollbar and number of pages not visible
[Bug][QR-Codes]                QR-Code preview doesn't load correctly
[Bug][QR-Codes]                QR-Codes in preview do not match the ones in the popup
[Bug][Admincenter]             Uninstall Add-on leads to a HTTP 500 error
[Bug][Admincenter]             "No such file or directory" error when using "\" in password for the MySQL User
[Bug][Check_MK]                Unnecessary use Statement in isys_cmdb_dao_category_s_person.class.php creates PHP Warning
[Bug][Custom categories]       Administration options vanish when using apostrophes in custom categories
[Bug][Custom categories]       Language constant is overwritten when editing custom category field
[Bug][Notifications]           Notifications are only sent in the language of the cronjob user
[Bug][Notifications]           Report based notification is not saved when unchecking "active"
[Bug][JDisc]                   No fallback if no standard JDisc server is configured
[Bug][JDisc]                   Domains are not checked during JDisc import
[Bug][JDisc]                   Address allocation is set to static when importing with mode "update"
[Bug][JDisc]                   JDisc import always sets the DNS server and this is logged in the logbook as Internal source
[Bug][CMDB settings]           Using a start value for custom counters creates an empty counter in the configuration
[Bug][Logbook]                 Create logbook entries for Persongroup assignments by the LDAP Sync
[Bug][Objects]                 Object title duplicates "\"
[Bug][Print view]              Print preview displays wrong attributes
[Bug][Export]                  Create objects via template if a user-defined category is contained there that represents a report
[Bug][Search]                  Filter for capacity doesn't work
[Bug][Dashboard]               Attributes are displayed truncated in the Object information list on the dashboard
[Bug][Dashboard]               If e.g. sorted by the title the Object information list widget will be reset and emptied.
[Bug][H-Inventory]             hinventory xml import creates new cpu-cores with every import
[Bug][System settings]         Ping command with nmap requires super user permissions

1.18.2
--------------------------------------------------------------------------------
[Task][Code (internal)]                           Change all database tables to "Row Format: Dynamic" in fresh installations
[Improvement][CSV Import]                         The object browser of a custom category should be able to use a special assignment via the model > serial number
[Improvement][Logbook]                            Anonymize logbook entries
[Improvement][Authorization system]               Right assignment based on contact assignment
[Bug][Categories]                                 The alarm level cannot be selected in logbook entries
[Bug][Categories]                                 The attribute "Last revision" of the documents category should be displayed in the object list
[Bug][Categories]                                 IPv6 address is shown as available although it is already in use
[Bug][Categories]                                 Default gateway for the net cannot be set in the host address category
[Bug][Categories]                                 MAC-addresses using seven bytes do not apply to the validation in i-doit and cannot be saved
[Bug][Categories]                                 Stack members not displayed in list view configuration
[Bug][JDisc]                                      JDisc Discovery: Identification of the device by FQDN does not work
[Bug][JDisc]                                      JDisc Import - Rename Interfaces
[Bug][JDisc]                                      Debugging for JDisc Import logs does not work (-vvv)
[Bug][JDisc]                                      Matching of Switch Stacks from JDisc in i-doit
[Bug][API]                                        Can't assign a Person via API request
[Bug][API]                                        Create custom dialog+ entries with relation
[Bug][Notifications]                              Notifications based on roles do not send E-Mails to persons, if a group is assigned with the role
[Bug][Notifications]                              Additional placeholders for the e-mail templates of the notifications
[Bug][Notifications]                              Notifications - Expiration of a certificate period does not work
[Bug][Report-Manager]                             Report Manager: Query for relationships always checks only the master object
[Bug][Report-Manager]                             Older reports that contain an object id or placeholder do not show conditions
[Bug][Report-Manager]                             Operators are missing in a report that is supposed to display free memory (drive)
[Bug][Report-Manager]                             Report Manager - Attribute Of/To causes sql error
[Bug][CMDB settings]                              Object browser configuration for "Layer-2 Net assignment" from category "Port" is missing
[Bug][H-Inventory]                                H-Inventory-Import: Software Assignment relationships are not removed correctly
[Bug][Code (internal)]                            SyncMerger does not work if properties were touched by "mod.cmdb.extendProperties"
[Bug][Code (internal)]                            Relation type property is missing in Reports
[Bug][Code (internal)]                            Login with admin user overwrites credentials of other user
[Bug][Custom categories]                          Custom category horizontal Line requires title
[Bug][Custom categories]                          Info icon for horizontale line is not displayed correctly
[Bug][CMDB]                                       Software assigment - Field "Installed at" adds time when deleting
[Bug][CMDB]                                       Dynamic reports not possible for varaiable reports with placeholder
[Bug][CMDB]                                       Nested multiselect dialog data will not be displayed correctly in view mode
[Bug][Console-base Installation/Update/Licensing] Installing add-ons via Console.php prompts for the parameters despite specifying the parameters
[Bug][Console-base Installation/Update/Licensing] Create tenant via console.php i-doit OPEN
[Bug][OCS]                                        OCS Import: Duplicate entries in the Memory category
[Bug][Search]                                     After a search for content containing "CALL" while the highlighting of the search is active, category content is not shown
[Bug][Logbook]                                    Deleted/Archived users via ldap are not shown in the logbook
[Bug][Print view]                                 Custom categories - yes/no field is displayed uncorrectly in print view
[Bug][List editing]                               List editing for host address > Search domain does not save when values are only deleted (Entry sanitized)
[Bug][List editing]                               List edit - Filter for contact assignment>primary does not work
[Bug][CMDB-Explorer]                              In the GraphML export of the CMDB Explorer data to objects are missing
[Bug][Authorization system]                       Display of inherited rights shows wrong parameter selection

1.18.1
--------------------------------------------------------------------------------
[Improvement][Code (internal)]                    Allow Add-on Bundling
[Bug][Code (internal)]                            Existing connections from the category Cabling cannot be reconnected if the entry is selected and edited via the checkbox.
[Bug][Code (internal)]                            The HTML purifier is not turned off by the Sanitize input data setting
[Bug][Code (internal)]                            Links are destroyed in the Report Manager
[Bug][Code (internal)]                            Install i-doit 1.18 via install.sh
[Bug][Code (internal)]                            Fix security issues in Admin-Center
[Bug][Code (internal)]                            Fix security issues in Admin-Center
[Bug][Code (internal)]                            German LC constant was forgotten
[Bug][Code (internal)]                            Rackview - vertical slots move horizontal slots
[Bug][Code (internal)]                            The buttons Check and Show can no longer be clicked in reports when using Chrome
[Bug][LDAP]                                       Matching does not work if the field title is not present in the user
[Bug][LDAP]                                       Due to the ldap-sync group memberships are not deleted when the person is archived
[Bug][LDAP]                                       Archived contact assignment is restored by LDAP sync
[Bug][LDAP]                                       Tenant change of ldpa users forces relogging
[Bug][CSV Import]                                 CSV import should remember if a category has already been emptied for overwrite mode
[Bug][CSV Import]                                 Empty values in csv import are not transfered when multivalue-category is set on "Row"
[Bug][CSV Import]                                 Single row CSV-Imports clears the multi-value categories
[Bug][Categories]                                 In the Services - Service Type category, the dialog field is referenced incorrectly
[Bug][Categories]                                 Automatic inventory number has no effect, if a default template is used
[Bug][Categories]                                 Search in object browser also finds objects from object types that are normally not available for assignment
[Bug][Categories]                                 Show sub-categories of the specific categories in the overview page
[Bug][Categories]                                 Focus in object browser not always on filter field
[Bug][Categories]                                 Add "Cores" attribute to the CPU category list
[Bug][Custom categories]                          Custom categories can not be saved
[Bug][Custom categories]                          Custom categories are not saved
[Bug][Custom categories]                          The default value of Yes/No fields is also displayed in the view mode.
[Bug][Authorization system]                       Location and all physically assigned objects below is summarized
[Bug][CMDB]                                       Location view does not open automatically for logical location objects
[Bug][CMDB]                                       Remove archive and delete button for relationships
[Bug][CMDB]                                       HTTP 500 Error when saving changes
[Bug][CMDB]                                       Values in Dialog+ Multi-Value fields are not saved
[Bug][CMDB]                                       Switch chassis names are not displayed in the rack view when slots are created
[Bug][CMDB]                                       Search for "." + "String" finds all objects
[Bug][Import]                                     CSV Import: Contact assignments are created for archived persons in the normal state
[Bug][Mass editing]                               Mass change - license assignment/application is not set in software assignment
[Bug][Mass editing]                               Mass change - Multi-Value categories with add/remove  are duplicated
[Bug][JDisc]                                      JDisc Import creates empty logbook entries
[Bug][JDisc]                                      The search index is not re-indexed after the JDisc import
[Bug][JDisc]                                      JDisc custom attributes Running config, Show Version and Startup config create multiple entries
[Bug][List editing]                               List edit - Incorrect display when using tab
[Bug][List editing]                               Listedit: Dialogfields are not always reloaded when there is a dependency to an objectbrowser
[Bug][Report-Manager]                             Missing lines when exporting a report in CSV format
[Bug][Report-Manager]                             Regex in report manager causes errors and ceates wrong sql query
[Bug][Report-Manager]                             Report Manager - Objekt types with the same name are only shown once
[Bug][Report-Manager]                             Report Manager - Wrong SQL query for attribute contact and operating system
[Bug][Report-Manager]                             "Patch level" not available for selection in report manager
[Bug][Lists]                                      Error message is displayed in the object list if the "Role (Person group memberships)" attribute is added
[Bug][Lists]                                      In the column Operating system > Version is not displayed with patch level in the list view of objects
[Bug][Lists]                                      At Contracts the object ID is displayed behind objects in the list view in the Assigned objects column
[Bug][Lists]                                      False display in "configure listview" for multi value categories
[Bug][Object type configuration]                  Automatic inventory number (counter) does not work correctly
[Bug][OCS]                                        OCS-Import creates invalid layer-3-net
[Bug][QR-Codes]                                   QR-Code Layout 3 does not work
[Bug][Notifications]                              Notifications of license expirations are not shown correctly, when template is changed
[Bug][CMDB settings]                              Object browser files > Assigned objects not available
[Bug][Console-base Installation/Update/Licensing] Licensed add-ons are displayed as unlicensed via the Console.php command addon-list
[Bug][Update]                                     Ports cannot be created due to duplicate foreign key

1.18
--------------------------------------------------------------------------------
[Improvement][Password Encryption 2.0] New Cryptohashing for user passwords
[Improvement][Custom categories]       New field type "Number field" in the custom categories
[Improvement][Custom categories]       Dependencies for dialog+ fields in custom categories
[Improvement][Custom categories]       Use variables in custom categories
[Improvement][System settings]         Free defineable COUNTER variables
[Improvement][Import]                  Net zones are not assigned to objects imported from JDisc
[Bug][CSV Import]                      Export custom categories of type report in csv
[Bug][Authorization system]            Archive and delete right has no effect for "objects below a logical location".
[Bug][Authorization system]            Creating a report changes the permissions system and assigns new permissions
[Bug][Authorization system]            Users automatically get full access to objects they create
[Bug][Authorization system]            Right assignment for object type "Container" possible
[Bug][Authorization system]            Improved naming for rights, permitting access to content below a defined object
[Bug][Authorization system]            Clean up for permissions, relating to objects below a physical/logical location
[Bug][Authorization system]            Sometimes, the same permission is shown more than once
[Bug][Authorization system]            User settings: Presence not configurable
[Bug][Authorization system]            The Layer 2 Net > Assigned ports category for Layer 2 Net objects cannot be edited
[Bug][Categories]                      The attribute "Last revision" of the documents category should be displayed in the object list
[Bug][Categories]                      Unneccessary information about missing create right when editing an object
[Bug][Categories]                      List of assigned object of a license cannot be sorted
[Bug][Categories]                      Net areas are not loaded in the filters for the object list view
[Bug][Categories]                      New mode selectable per default for ports ("Stacking")
[Bug][Categories]                      The position of the label of the empty values filter is not related to the checkboxes
[Bug][Categories]                      Sorting ports and connectors in the cabling browser
[Bug][Categories]                      If contract assignments are detached an empty category entry with "{}" as the designation remains
[Bug][JDisc]                           Do not create new person objects but link existing ones
[Bug][JDisc]                           New JDisc custom attribute type is not imported to i-doit
[Bug][JDisc]                           Import of address assignment field from JDisc
[Bug][Report-Manager]                  Report does not display attributes when outputting the "People" subcategory from the "Organization" category
[Bug][Report-Manager]                  Report Manager does not replace Placeholder
[Bug][Report-Manager]                  Report Manager: Parameters in the condition change when opening a report
[Bug][Report-Manager]                  Wrong values when listing information from category Computing resources in a report
[Bug][Report-Manager]                  Improved information about report type during creation
[Bug][API]                             Person Groups cannot be added via Person -> Persons group memberships
[Bug][Custom categories]               In custom categories at the Object-Relationship field type the relationship type cannot be saved
[Bug][OCS]                             OCS Import: If Multi Value categories are imported there are duplicate entries
[Bug][Code (internal)]                 "Changes" parameter of the signals contains no array
[Bug][Code (internal)]                 500er Error if no object browser entry is selected for editing
[Bug][Code (internal)]                 Legend of Net disappears when scrolling down
[Bug][Code (internal)]                 Database Folder icons are not displayed
[Bug][LDAP]                            For an LDAP filter with * as a placeholder no objects are imported
[Bug][Search]                          Global search for "%aa" causes SQL Error
[Bug][Search]                          Search finds archived/deleted objects, even if they are excluded by system setting, if their content is modified after changing the state of the object to archived/deleted
[Bug][Search]                          If the object type of an object is changed, the object will be found with both object types in the search
[Bug][Import]                          LDAP/AD import ignores the default template for object types
[Bug][Import]                          Exported objects that are installed vertically in cabinets are mapped incorrectly by XML import
[Bug][Import]                          CSV import by comma-separated multi-value attributes of a user-defined category
[Bug][Import]                          Importing SIM cards - cards with linked cellular phones does not create a relationship
[Bug][List editing]                    Custom categories that have a report field cannot be opened in list editing
[Bug][Validation]                      Duplicate objects bypasses the configured validation
[Bug][Validation]                      Description field in custom categories cannot be set to mandatory in the validation
[Bug][Logbook]                         Logbook entries of assigned workplace components and assigned workstation are only shown in one direction
[Bug][Lists]                           Sort by roles in groups of people > Members does not sort correctly
[Bug][Lists]                           For solved single relations {} are displayed in the list view
[Bug][Lists]                           Available licenses aren't shown correctly in list view(core-based)
[Bug][Lists]                           In our lists the pager icon for "previous page" is missing
[Bug][CMDB]                            Language constant for the root location does not work everywhere
[Bug][CMDB]                            Propose Passwort variant "Stark" is not translatet into english
[Bug][Objects]                         Changes in categories are not output correctly via the Events add-on
[Bug][CMDB settings]                   Special characters for custom categories with JavaScript fields are cleaned up
[Bug][Object type configuration]       Icons for the object tree are in the wrong folder
[Bug][Notifications]                   Type for notifications in german version

1.17.2
--------------------------------------------------------------------------------
[Improvement][Categories]   Option to define if relations to an archived object should be displayed as archived or normal
[Improvement][Console]      Functions for cleaning up objects via i-doit console
[Bug][Lists]                Objects from relations are not shown in object lists
[Bug][Lists]                Filtering in object lists does not find Umlauts
[Bug][Lists]                Object list for network area shows wrong information for the category Network area > Options
[Bug][Lists]                When exporting the Service > Service Components list, the ID in {}
[Bug][JDisc]                JDisc import imports all cloud users
[Bug][JDisc]                Some information to operating systems are only imported into the description field
[Bug][JDisc]                Objects without any details do not get imported via JDisc
[Bug][JDisc]                Using i-doit >=1.16.3 with an older version of JDisc (<5022) fails because of a missing JDisc Table "ipdnsserverconfiguration"
[Bug][System settings]      The configuration for the Standard LDAP group is not to be found in the client settings but in the cross-system settings under System Parameters
[Bug][Categories]           ##COUNT## Placeholder is not evaluated for outputs (connection)
[Bug][Categories]           Selecting a name shema in category "connectors" uses a wrong default
[Bug][Categories]           Connection of logical ports is not saved
[Bug][Categories]           Missing categories to select for overview page
[Bug][Categories]           Purge button in category "location" not available
[Bug][Categories]           Button "Purge" is performed without a security query
[Bug][Categories]           In category "Cabling" > "connectors" object IDs are shown next to cable names
[Bug][Custom categories]    If the value of a Yes-No field of a user-defined category is changed via the overview page, the value is not saved
[Bug][Custom categories]    Dialog+ values are not identified by category
[Bug][Custom categories]    The default value of Yes/No fields is also displayed in the view mode.
[Bug][Custom categories]    Handling for YES/No fields in user-defined categories cannot be changed
[Bug][CMDB settings]        In the Category Services the Dialog Attribut Alias cannot be accessed via the Dialog-Admin
[Bug][CMDB settings]        Add option to object browser configuration to limit the types of creatable objects
[Bug][Dashboard]            The date is not displayed in German on the Dashboard > Welcome widget
[Bug][Code (internal)]      Saved passwords can no longer be issued
[Bug][Code (internal)]      The object list is not loaded if an object has a '(Apostrophe) in its name
[Bug][Code (internal)]      Apostrophes are not escaped
[Bug][Code (internal)]      Extending existing categories with attributes via an add-on the data is not stored
[Bug][Code (internal)]      Attributes in existing categories are not merged correctly when they are extended via an add-on
[Bug][Update]               Update across a major version should not be possible (>=1.16.1 > 1.17.1)
[Bug][CSV Import]           CSV Import: Import of operating system versions via the operating system category
[Bug][Report-Manager]       The table isys_user_session can be read out by SQL report
[Bug][Report-Manager]       Report displays incorrect attributes for the "Managed devices" category
[Bug][Report-Manager]       Report Manager: Using Installed on -> Operating system as condition generates SQL error message
[Bug][Authorization system] By setting a role in contact assignments, the object is opened if the rights are insufficient
[Bug][OCS]                  OCS Import: If Multi Value categories are imported there are duplicate entries
[Bug][Validation]           Validation of unique Dialog Plus fields does not allow editing the Multi-Value entry
[Bug][CMDB]                 In the category Cabling > Connectors the Configured value for the "Naming scheme for output pairs" is not considered
[Bug][LDAP]                 Missing error message if the path to the .ini or the filename is not entered correctly
[Bug][List editing]         Sorting for IPv4 address not possible in list edit
[Bug][Logbook]              Creating a client creates CPU and memory entries in the logbook

1.17.1
--------------------------------------------------------------------------------
[Improvements][Categories]                        Always show horizontal scroll bar in the "Cabinets" category
[Bug][JDisc]                                      JDisc: Import aborts with an error message when importing clusters
[Bug][JDisc]                                      Category "JDisc custom attributes" not available on overview page
[Bug][JDisc]                                      JDisc: If a JDisc profile is saved before it is completely loaded, these unloaded settings will be lost.
[Bug][List editing]                               List editing: host address>net zone cannot be assigned
[Bug][List editing]                               If an attribute of the category Drive is edited via list editing, the field "On device" is cleared.
[Bug][List editing]                               Assigning a port in category host address not possible via list edit
[Bug][List editing]                               In the list editing of the category entries of Local Mass Storage > Device, the Controller and Hardware RAID Group field cannot be set for all entries
[Bug][Lists]                                      Error when using attributes from category "software assignment" in list view
[Bug][Lists]                                      Attributes Target schema and Used databases for list view of Application -> Installations and Software assignment is missing
[Bug][Lists]                                      Surname cannot be used for default sorting of person objects
[Bug][Lists]                                      Organization > Master data: Website attribute is not a link object in the object list
[Bug][Lists]                                      Filtering for description in object lists does not work with special characters
[Bug][Lists]                                      Filtering on attributes of category DialogYesNoProperty generates SQL error and list view does not work anymore
[Bug][Lists]                                      Attribute "Cabling>Assigned to connector" does not show all connections in the object list
[Bug][Lists]                                      Workplace devices (object) assigned to Workplace is not displayed in the list view of Workplaces
[Bug][Categories]                                 Attributes changed on the overview page are not saved (excl. General category)
[Bug][Categories]                                 In the category License Assignment > License Keys of License Objects no objects are displayed
[Bug][Categories]                                 The description is not saved in the source with despite positive message
[Bug][Categories]                                 Deliver VRRP cluster with the category host address
[Bug][Categories]                                 Missing focus in object browser
[Bug][Categories]                                 Object ID of an organization assigned as a contact is displayed in the 'Assigned organization' field
[Bug][Console-base Installation/Update/Licensing] Add a time variable for the command AnonymizePersonLastChange to Console.php
[Bug][Logbook]                                    No logbook entries by creating an object via the Object browser
[Bug][Logbook]                                    Uploading or deleting images in the "Images" category is not recorded in the logbook
[Bug][Code (internal)]                            The buttons Check and Show can no longer be clicked in reports when using Chrome
[Bug][Code (internal)]                            Object browser: When creating an object the same object type is not automatically preselected
[Bug][CSV Import]                                 CSV Import: Import of operating system versions (and patchlevel) via the operating system category
[Bug][CSV Import]                                 Importing a CMDB status also clears the value, even if empty values should be ignored
[Bug][CSV Import]                                 CSV-Import: Attribute Net > Standardgateway is missing
[Bug][CSV Import]                                 CSV import: attribute Host address > Default gateway for the network is missing
[Bug][CSV Import]                                 CSV import creates wrong connections when objects have identical port names
[Bug][CSV Import]                                 CSV Import: Dialog entries are created as unfinished
[Bug][Report-Manager]                             False results in the list of report results
[Bug][Report-Manager]                             Report Manager: Query for relationships always checks only the master object
[Bug][Report-Manager]                             Report setting "Show objects with empty assignments?" creates incorrect output
[Bug][Report-Manager]                             Report Manager: If in the condition an attribute with Like %...% is filtered which has a "\" in the name, no result is displayed.
[Bug][Report-Manager]                             URL from the Access category is assembled incorrectly in the report
[Bug][Custom categories]                          If fields are moved when editing user-defined categories, they are displayed incorrectly
[Bug][Custom categories]                          Special chars in custom category names can break the navigation
[Bug][Custom categories]                          Javascript fields in custom categories is sanitized and becomes unusable
[Bug][API]                                        Reports displayed via the API do not show consistent date formats
[Bug][Events]                                     Disconnecting from a signal does not work
[Bug][System settings]                            The setting "Display style for object browser objects" > "As list" leads to incorrect highlighting
[Bug][CMDB]                                       Calculation of free IP addresses for super networks calculates incorrectly
[Bug][Validation]                                 Validation for integer input is limited by PHP 32bit versions
[Bug][LDAP]                                       Special characters in LDAP filters are not handled without errors
[Bug][Import]                                     CSV import via Console empties user-defined categories
[Bug][Import]                                     Servers or clients imported via Active Directory computers have assigned themselves as operating system

1.17
--------------------------------------------------------------------------------
[Improvement][Categories]        New license type "CPU core-based"
[Improvement][Categories]        Calculation for licenses of type "CPU core based"
[Improvement][Custom categories] Configuration to manually design the structure of labels and fiels of custom categories
[Improvement][Lists]             Filtering for empty field in object lists
[Improvement][Lists]             Filter for empty values in object lists
[Improvement][Lists]             Filter for empty values in object lists
[Improvement][Logbook]           Full information for changes in backwards categories
[Bug][Categories]                Changes on the overview page create an empty entry in the category "software assignment" if this catgory is used on the overview page and the object has an assigned operating system
[Bug][Categories]                Apache2 is completely used up if a free IP address is searched for but there is no free IP address in the selected address allocation.
[Bug][Categories]                The search domain is not added when the network is changed
[Bug][Categories]                ##COUNT## Placeholder is not evaluated for outputs (connection)
[Bug][Categories]                Description of category "Emergency Plan" (Folder) is not forwarded to category "Emergency plan properties"
[Bug][Categories]                "Export as CSV" button is missing in category Applications > Installation
[Bug][Categories]                Assignment of persons to person groups is not shown properly
[Bug][Categories]                CSV import: Application category is not displayed for the Application object type
[Bug][Custom categories]         For the "Date and time" field type, the time is not displayed in the object list
[Bug][Custom categories]         Custom category not usable if attributes have backslashes in title
[Bug][Update]                    Backup config files accessable
[Bug][CSV Import]                Values in user-defined categories are not overwritten by the CSV import option "Overwrite empty values
[Bug][CSV Import]                CSV Import: When a profile is saved, the last profile in the list is always selected.
[Bug][CSV Import]                CSV import escaped no "special characters
[Bug][CSV Import]                Missing configuration of the "Number of lines per import batch" count
[Bug][JDisc]                     JDisc: "old" logic for databases is not imported correctly
[Bug][JDisc]                     Clusters imported via JDisc are machted only by their name
[Bug][Code (internal)]           Cable connections are not displayed when inputs and outputs are connected
[Bug][Code (internal)]           Calling a license key entry with less than (<) characters blocks the use of the Licenses > License Assignment >> License Keys category
[Bug][Code (internal)]           Uploaded files with an umlaut as initial letter cannot be downloaded
[Bug][Code (internal)]           When deleting object images the folders should also be deleted if they are empty.
[Bug][Lists]                     Using a default sorting for object lists causes an error
[Bug][Lists]                     Attribute selection for category list of category "software assignment" incomplete
[Bug][Lists]                     Sorting the attribute "Salutation" in object list causes an error
[Bug][Logbook]                   Instead of the object name the logbook contains only the ID
[Bug][Report-Manager]            Using attribute "Net" from category "Hostaddress" in report manager causes an error
[Bug][Report-Manager]            Report Manager: When using the category Service Assignment > Attribute Service there is an SQL error message
[Bug][Report-Manager]            When sorting by object type (General) in the report, a 500 error is displayed
[Bug][Report-Manager]            Sub category "persons" of category "organization" can not supply linked attributes
[Bug][Report-Manager]            Report Manager: using people group membership as a condition generates SQL error message
[Bug][Report-Manager]            Managed devices of a remote management conroller cannot be selected in the report
[Bug][Report-Manager]            The attribute Assigned Layer-3-net of the category Layer-2-Net ist not selectable in reports
[Bug][Authorization system]      Permissions of person groups are still active, even if the person group is archived or deleted
[Bug][Authorization system]      The permission to create objects is not inherited for person group editor
[Bug][Authorization system]      Display error for the permissions "archive" and "delete" for "reports in category
[Bug][Authorization system]      Removing LDAP right removes access to user-defined categories
[Bug][Notifications]             Notifications can be created without the create permission
[Bug][Validation]                The category Contract cannot be edited via list editing if validation is activated for the attribute "Runtime unit".
[Bug][Validation]                Validation for category host address automatically assigns a new IP address although it should be blocked
[Bug][CMDB]                      Sort by object count in object list configuration does not sort correctly
[Bug][CMDB]                      Display error after aborting editing of the "General" category
[Bug][List editing]              Right "categories in object type" does not enable to modify content in list edit
[Bug][LDAP]                      Login with an LDAP user generates error messages in the exceptions.log file
[Bug][Import]                    Target schema (category: software assignment) cannot be filled via CSV import
[Bug][Import]                    Active Directory computer import does not offer a choice of which object type to import as

1.16.3
--------------------------------------------------------------------------------
[Bug][Notifications]                              Notification: Expiration of a certificate period - Despite threshold value, certificates outside the threshold value are also displayed
[Bug][Notifications]                              Notifications: Recipients receive all objects although they are not selected as contact
[Bug][Lists]                                      Problems with the delete and purge button in object lists
[Bug][Lists]                                      Attribute "Members" is not available for person groups in lists
[Bug][CSV Import]                                 CSV Import: 'Start at line' and 'Import lines'
[Bug][CSV Import]                                 CSV Import: Import of operating system versions (and patchlevel) via the operating system category
[Bug][CSV Import]                                 Number of created or updated objects does not show the correct total number
[Bug][CSV Import]                                 When assigning an object via CSV import, the attribute object ID can not be used
[Bug][CSV Import]                                 Error when importing a contact assignment via csv-import
[Bug][CSV Import]                                 Attribute "Type" of category "certificate" is not filled via csv import
[Bug][Categories]                                 The search domain is cleared when the network is changed and saved
[Bug][Categories]                                 Attribute "Used Databases" is not saved properly
[Bug][Categories]                                 Option to click on a line does not open the object in assignment categories
[Bug][Categories]                                 Object types with the specific category 'Chassis' are not displayed correctly in cabinets
[Bug][Categories]                                 Archived power consumers are added to the power consumption of a Rack
[Bug][Categories]                                 Sim cards are not loaded correctly by clicking on the object link
[Bug][Categories]                                 ##COUNT## Placeholder is not evaluated for outputs (connection)
[Bug][Code (internal)]                            Dialog+ Admin: The attribute Network > Port > Standard is not displayed
[Bug][Code (internal)]                            The word e-mail is not spelled correctly in i-doit
[Bug][Code (internal)]                            Legend of the IP list of layer-3 networks does not scroll without errors and runs to infinity
[Bug][Code (internal)]                            Spelling mistake:  Administration > CMDB settings > Object type configuration >> Orhpaned object types
[Bug][Code (internal)]                            Wrong validation logic for Textarea properties in the API
[Bug][Console]                                    Error when using the i-doit console command search-index
[Bug][Custom categories]                          When objects are duplicated, user-defined categories remain empty
[Bug][Custom categories]                          Adding new values in Dialog+ (multiple selection) fields deletes existing entries
[Bug][Custom categories]                          Custom category with ID 31 has no commentary field
[Bug][Custom categories]                          Yes No Fields are displayed after saving - with -1
[Bug][System settings]                            Barcode configuration no longer exists
[Bug][Report-Manager]                             Identical attribute selection from different assigned objects causes them to be missing in the report
[Bug][Report-Manager]                             Report Manager: Report does not show results although the Check button shows relations
[Bug][Report-Manager]                             Investment costs are always empty in report results
[Bug][Report-Manager]                             Duplicated variable reports are not flagged as variable reports, as long as the placeholder is not modified or a new placeholder is added
[Bug][Report-Manager]                             Description text of a placeholder field does not change when a different type of placeholder is selected
[Bug][Report-Manager]                             Description of report is cut when using some special characters
[Bug][Report-Manager]                             SQL report is not displayed
[Bug][Report-Manager]                             Date of creation and date of last change are no date fields for conditions in report manager
[Bug][Report-Manager]                             Connection endpoints in the Report Manager generate an error message
[Bug][Report-Manager]                             Used databases for software assignments as output attribute for reports generates errors
[Bug][Report-Manager]                             Report Manager: SQL error message when using the Assigned Objects (Assigned Objects (Contract)) Attribute
[Bug][Report-Manager]                             Wrong Name for Virtual devices Categorie in Report Manager
[Bug][Report-Manager]                             Reports with nested output filters show only the object IDs
[Bug][Documents]                                  Assigned terminals of assigned workstations are not displayed in the document
[Bug][Console-base Installation/Update/Licensing] auth-cleanup command deletes rights
[Bug][Authorization system]                       Loaded parameters in the right configuration are set back to a default value when opening the configuration again
[Bug][JDisc]                                      JDisc Import: Import of Operating system > Version does not work correct
[Bug][JDisc]                                      Importing monitors via  JDisc causes duplicated connections
[Bug][JDisc]                                      JDisc import assignes ip addresses twice
[Bug][JDisc]                                      JDISC: DNS server is not set during import
[Bug][JDisc]                                      The DBMS is displayed with and without version in the "Databases" folder category
[Bug][OCS]                                        OCS import empties all categories despite allCatsOverwrite=0
[Bug][Object type configuration]                  Error message when activating custom categories
[Bug][Mass editing]                               Deleting an object via mass change does not change the date of last change
[Bug][Mass editing]                               User-defined categories are ignored during mass changes from templates
[Bug][Templates]                                  custom categories are ignored when creating objects from templates
[Bug][Import]                                     Active Directory computer import displays only 10 objects
[Bug][List editing]                               Sorting in list edit by using object title is not possible
[Bug][Search]                                     SQL error message when using the search if there are many spaces
[Bug][Search]                                     Create search index via console generates error message
[Bug][Cabling import]                             Cabling import cannot identify inputs and outputs if the title is the same
[Bug][LDAP]                                       LDAP-Sync: Check for sufficient rights for person group assignments

1.16.2
--------------------------------------------------------------------------------
[Bug][CMDB]                      Detach connections under Cabling -> Connectors deletes all connections

1.16.1
--------------------------------------------------------------------------------
[Improvement][Categories]        Add Attribute Firmware for the category Network -> interfaces
[Bug][LDAP]                      LDAP-Group Mapping doesn't work anymore
[Bug][LDAP]                      Deleted values from AD/LDAP remain untouched in i-doit
[Bug][LDAP]                      The ldap-sync .ini function ignoreUsersWithAttributes does not work correctly
[Bug][CMDB]                      Cabling browser and location selection use absolute URL instead of relative URL
[Bug][CMDB]                      The CMDB statuses 'In operation' and 'inoperative' cannot be set via CSV import
[Bug][Categories]                Connected object in category "logical ports" does not have a hyperlink
[Bug][Categories]                Cabling browser displays connector and port as pair
[Bug][Categories]                Rack slots cannot be used if you are on the back
[Bug][Categories]                Selecting a DNS domain in category "net" causes a malformed presentation of the selection field
[Bug][Categories]                Objects cannot be changed from the Template state to other states
[Bug][Categories]                The connection of a FC port is not disconnected
[Bug][Categories]                For patch panels the position in the cabinet is not displayed in the list view
[Bug][Categories]                Links should be handled the same in all categories, including link field type
[Bug][Categories]                Selection for a net in category "Hostaddress" sometimes selects a supernet, even if a manual selection for a layer-3-net was performed previously
[Bug][Categories]                The name of the 'Service type' dialog attribute cannot be clearly associated with the 'Service > Service Type >> Type' category
[Bug][Categories]                New field type for database field of attribute "File-link (external)"
[Bug][Report-Manager]            Report Manager: it always inserts a condition that was not selected
[Bug][Report-Manager]            HTTP Error 500 when opening a report
[Bug][Report-Manager]            Report with the IP list object attribute creates SQL error
[Bug][Report-Manager]            Using specific and global category relations at the same time in a report causes an error
[Bug][Report-Manager]            Error when using "Assigned SIM Cards" in Report manager
[Bug][Report-Manager]            Report shows wrong information of category form factor
[Bug][Report-Manager]            Report Manager: SQL Error message when using contract attributes
[Bug][Report-Manager]            Report Manager error message when Operating System is selected as attribute
[Bug][Report-Manager]            Report Manager: attribute connection (power consumer) not available
[Bug][Report-Manager]            Check for dynamic report not available for reports, created/modified via SQL editor
[Bug][Report-Manager]            Report Manager: Or link is not generated correctly
[Bug][Report-Manager]            Sorting of IP addresses in reports
[Bug][Custom categories]         Language constants are not replaced for checkboxes in user defined categories
[Bug][Custom categories]         A custom category cannot be edited if a report is displayed besides text fields
[Bug][Custom categories]         Link attributes from custom categories should be linked in lists
[Bug][Custom categories]         Default-Values for yes/no fields in custom categories are not used for selecting a default
[Bug][Interface management]      Zammad connection does not work for object type workstation
[Bug][JDisc]                     Error message during JDisc import if JDisc option "Import connection endpoints" is enabled
[Bug][JDisc]                     JDisc: Virtual network adapters are imported
[Bug][JDisc]                     JDisc Endpoint connection
[Bug][JDisc]                     No logbook entries through JDisc import of persons
[Bug][Notifications]             Receiver calculation strategy in notifications without function
[Bug][Notifications]             Error when executing the i-doit console with notification-send command
[Bug][Lists]                     Presentation for grouped data (comma seperated or list) has no impact on multi value categories
[Bug][Lists]                     The field "description" is not available to be selected for lists in custom multi-value-categories
[Bug][Lists]                     Assigned SIM cards cannot be opened by clicking on them in the list view
[Bug][Lists]                     Attribute "assigned object" of category "logical ports" can not be selected to be shown in object list
[Bug][Active Directory]          Active Directory Computer Import function does not import computers or servers
[Bug][CSV Import]                CSV import generates error message and does not run through
[Bug][CMDB-Explorer]             Language constant for roles are not translated in CMDB Explorer
[Bug][Print view]                Print view for categories does not work
[Bug][Print view]                Some HTML formatting is not displayed correctly in the print preview
[Bug][Code (internal)]           Fix XSS vulnerability in monitoring > Export configuration
[Bug][Code (internal)]           Error message when updating i-doit to Version 1.16
[Bug][CMDB settings]             Clean up data entry also changes user defined categories
[Bug][Search]                    If you use the search, an SQL error message is displayed but the search is executed
[Bug][Search]                    Duplicated objects are not automatically added to the search index
[Bug][System settings]           The object browser in the list editing does not use the default selected for the object browser field
[Bug][List editing]              List editing for assigned licenses under Application>Inastallation does not work
[Bug][Object type configuration] Selection for object type icons does not include all folders
[Bug][User settings]             Saving the presentation of tree view has to be saved twice

1.16
--------------------------------------------------------------------------------
[Task][Code (internal)]   Remove Intro JS
[Improvement][Print view] Print feature for rack views and racks in rooms
[Improvement][JDisc]      JDisc import of information about warrenty runtimes
[Improvement][JDisc]      Importing Support Entitlements from JDisc
[Improvement][JDisc]      JDISC "Connected to"
[Improvement][Categories] list: "Person groups -> Members" Extend with the attribute "Role"
[Bug][LDAP]               LDAP searches recursively without having activated recursive search
[Bug][LDAP]               LDAP mapping based on objectSid generates LDAP mapping error message in ldap log
[Bug][LDAP]               LDAP groups are not deleted or changed by ldap-sync
[Bug][Relations]          No relationship is created between cellular phones and SIM cards
[Bug][CSV Import]         Umlauts within a CSV file are incorrectly formatted during import
[Bug][CSV Import]         Attribute "Associated input/output" is not available for CSV import
[Bug][Report-Manager]     Dynamic properties created cached results in reports
[Bug][Report-Manager]     Reports take a long time through JOINS of contact assignment
[Bug][CMDB settings]      Changes to the category extension are not saved
[Bug][OCS]                OCS Import generates error message
[Bug][Categories]         URL links are not displayed correctly in description fields
[Bug][Categories]         CSV Import cannot use the default template if a custom category is assigned to the object type
[Bug][Categories]         Positioning of a server within a rack slot is not documented
[Bug][Categories]         Add/Remove button missing in the Emergency Plan category > assigned objects
[Bug][JDisc]              Wrong handling of IPv6 addresses during JDisc import
[Bug][Documents]          Attributes of SIM cards assigned to mobile phones cannot be displayed
[Bug][Search]             Wrong presentation of special characters when using highlighting of search
[Bug][Code (internal)]    After installing add-ons in the Admin Center an error message appears
[Bug][Code (internal)]    After creating and saving a file object, it cannot be opened
[Bug][Code (internal)]    Filter in all fields can no longer be deleted
[Bug][XML]                XML Import SQL error message during import of category Cabling > Connection

1.15.2
--------------------------------------------------------------------------------
[Improvement][Authorization system] Creation of objects of certain object types is possible despite missing authorization
[Improvement][OCS]                  Compatibility with new OCS versions
[Bug][User settings]                Validation for login passwords
[Bug][Notifications]                Notifications are not sent to members of a group of people
[Bug][Notifications]                Notifications do not send e-mails to groups, even if they match the role assignment
[Bug][Notifications]                Notification: Expiration of a certificate period - Despite threshold value, certificates outside the threshold value are also displayed
[Bug][Notifications]                Links in notifications are created incorrectly
[Bug][Notifications]                Notifications are sent, even if the observed objects do not match the conditions
[Bug][Relations]                    The field "Layer 2 Net Assignment" within the "Net" category of "Layer-3 Net" objects does not create a relation to the "Layer 2 net" object
[Bug][Lists]                        Linking manufacturer and model in object list filters
[Bug][Lists]                        Sorting yes/no fields in object lists generates SQL errors
[Bug][Export]                       CMDB export via XML cannot be imported into i-doit
[Bug][Code (internal)]              ISMS: Report with attributes "Likelihood" and "Likelihood after treatment" always shows "Likelihood"
[Bug][Code (internal)]              "Loose" cables cannot be connected to existing connectors
[Bug][Code (internal)]              The Configuration object type is not saved
[Bug][Code (internal)]              Selection of linked attributes is not loaded/opened when an existing placeholder is edited
[Bug][Code (internal)]              Sorting in the list browser of Dialog-Plus fields sorts case sensitive
[Bug][Code (internal)]              Tooltip is always created at the bottom right of the object during mouse-over
[Bug][Code (internal)]              Linked database in the database category does not refer to the database
[Bug][Categories]                   Selection for DBMS of category "Instance / Oracle database" shows archived/deleted entries
[Bug][Categories]                   Information about Achievement certificate is reset when editing
[Bug][Categories]                   Softwareversion of DBMS not included in selection
[Bug][Categories]                   Automatic update of status and CMDB-status of outdated contracts
[Bug][Categories]                   The list view of the category Network > Port overview shows VLAN Layer-2 and Layer-3 networks not line-separated
[Bug][Categories]                   Backward category "Assigned subscriptions" shows no entries
[Bug][Categories]                   Used databases for software assignments are not displayed in the software installation
[Bug][Categories]                   Category "Workplace components" shows archived and deleted items
[Bug][Report-Manager]               Some attributes cause a lot of empty pages in report results
[Bug][Report-Manager]               User without rights to edit all reports of one category can not edit a report from list
[Bug][Report-Manager]               Rework all the attributes of the subcategory "Databases" from the folder "Databases" for the Report Manager.
[Bug][Report-Manager]               Report Manager: PDF export ASCII diagram is not displayed correctly
[Bug][Report-Manager]               Report Manager: Condition Location:Assembly > Vertical cannot be selected
[Bug][Report-Manager]               Reports: Reports with output with location:mounting information ignores the value "Vertical
[Bug][Import]                       Database Error in OCS Import
[Bug][Import]                       CSV Import: Operating system and version are not assigned
[Bug][Import]                       Assign CSV import attributes as linked objects, with automatic object type selection does not work correctly
[Bug][JDisc]                        Content from category "location" is overwritten/deleted when performing a JDisc import
[Bug][JDisc]                        JDISC: Location of imported objects in enclosures with unpositioned objects will be removed
[Bug][List editing]                 Field for notice period value of contracts missing in list edit
[Bug][Custom categories]            Content of custom multi value categories are not shown on overview page
[Bug][Logbook]                      No logbook entry is created for the Connected Object when a connection is created via the category Network > Port
[Bug][Logbook]                      The logbook contains the ID instead of the object name of a location after change
[Bug][H-Inventory]                  Error when importing h-inventory XML-files
[Bug][CSV Import]                   Memory usage for CSV import
[Bug][CSV Import]                   CSV Import: Category Databases > Database Attributes Assigned DBMS missing
[Bug][CSV Import]                   CSV Import: Attribute missing Import Server > DBMS > DBMS
[Bug][CSV Import]                   CSV Import: Object type> Database schema specific category > Database schema is not available for import
[Bug][Installation]                 Installation script does not use given database user for configuration
[Bug][Installation]                 Operating system check from the i-doit installation marks unsupported operating systems as OK
[Bug][Search]                       Search for host address -> Alias shows the language constant of the alias

1.15.1
--------------------------------------------------------------------------------
[Improvement][LDAP]              If a user logs in via LDAP the Auth Cache should also be cleared
[Improvement][Export]            XML-Export: extend selection of custom categories for the export
[Improvement][OCS]               OCS-Import Recalculate object type of CIs based on tag configuration
[Bug][JDisc]                     JDisc databases are not imported correctly
[Bug][JDisc]                     Filtering by host address not possible for JDisc import with IPv6
[Bug][JDisc]                     The correct Layer 3 net is not assigned during JDisc import.
[Bug][JDisc]                     The time/date at "Last updated" in the category "Custom Identifier" should only be updated by the JDISC import
[Bug][Systemtools]               XAMPP: System Tools > Cache / Database the mysqldump.exe path is not found
[Bug][Report-Manager]            Error when using variable reports in custom categories
[Bug][Report-Manager]            Attribute Assigned SIM Cards (Assigned SIM cards) cannot reference objects
[Bug][Report-Manager]            Report: For the category files the attribute assigned objects is missing
[Bug][Report-Manager]            The IS NULL condition for location > location is missing from the report
[Bug][Report-Manager]            The Report Manager does not display all objects with empty operating systems
[Bug][Report-Manager]            Report Manager: Attribute "Connected to port (Network -> Logical ports)" generates SQL error
[Bug][Report-Manager]            Reports are no longer displayed after moving to a new instance
[Bug][Report-Manager]            Only links using http/https are generated as hyperlink in reports
[Bug][Report-Manager]            The text for the output is available under the item Advanced Options
[Bug][Logbook]                   The logbook cannot be archived to a remote database
[Bug][Logbook]                   When purging assignments, no object information is created in back categories
[Bug][Logbook]                   The log book does not store the object name
[Bug][Logbook]                   Show more details while the logbook is archiving
[Bug][CSV Import]                Password of category passwords can not be imported via CSV import
[Bug][CSV Import]                Error during import of storage information (device) - Assignment of manufacturers -> model
[Bug][CSV Import]                Error when importing information into custom categories via CSV import
[Bug][CSV Import]                Changing global object type in csv import clears the whole mapping
[Bug][LDAP]                      Active Directory / Open LDAP / Novell Directory Service synchronization does not work correctly
[Bug][LDAP]                      If group assignments are removed by the LDAP-Sync no logbook entry is created
[Bug][Categories]                The category Racks in rooms cannot show racks if there are switch/blade chassis with slots
[Bug][Categories]                In the object list Application the field Title of the specific category Applications>Variant is missing
[Bug][Categories]                The output of a yes/no field with nothing selected "-" is not correct
[Bug][Categories]                Archived installations are displayed in the Application > Installation category
[Bug][Categories]                The property “category” from the category “Logbook” is not selectable in the condition and selection while creating a new report
[Bug][Categories]                IPv6 addresses are not automatically assigned to the appropriate Layer 3 network
[Bug][Categories]                Content from the category "Passwords" is not indexed during the search
[Bug][Categories]                In the list view of Layer-3 networks, IP addresses of archived objects under assigned addresses are counted
[Bug][Categories]                Sorting of ports in selection within category "hostaddress" not alphabetical
[Bug][Categories]                Linking in category "logical ports" not working
[Bug][Code (internal)]           Retrieving the logbook is extremely slow using sql_calc_found_rows when there are many records
[Bug][Code (internal)]           Some links lead to the logout of the user
[Bug][Code (internal)]           When a custom category is displayed in the overview page, an error message is displayed
[Bug][Code (internal)]           The inventory.zip cannot be downloaded via the i-doit web interface
[Bug][Code (internal)]           No forwarding when clicking the Cancel button - Button without function
[Bug][Code (internal)]           Alphanumeric sorting does not sort correctly
[Bug][Code (internal)]           LC__UNIVERSAL__OTHER is not translated
[Bug][Code (internal)]           Object list: Abbreviation HE (height units) is not translated
[Bug][Objects]                   Files were not completely migrated 1.13.x > 1.14
[Bug][User settings]             Sorting in configuration of category lists not possible
[Bug][Authorization system]      No entries can be created in categories if only the Create right is set
[Bug][Authorization system]      Objects of type workplace are displayed as locations in the authorization system
[Bug][Authorization system]      Line for last change also shows last change to users without rights
[Bug][Authorization system]      Users with read rights can execute reports in the Object Browser
[Bug][H-Inventory]               Error when importing h-inventory XML-files
[Bug][Documents]                 SQL error message after calling the documents Preview
[Bug][List editing]              List edit for category "Port" not accessable within the category
[Bug][List editing]              Group Membership cannot be detached via list edit
[Bug][List editing]              Error when assigning a Layer-2-Net to a port in list edit
[Bug][Object type configuration] Icons are scaled incorrectly in the object type configuration
[Bug][Object type configuration] The color palette of the object color in the object type configuration cannot be used after creation via QCW
[Bug][Templates]                 Template: Time specifications of the SLA category are not correctly transferred to objects created from template
[Bug][Import]                    The assignment of "Assigned SIM cards > Linked SIM cards" to Cellular Phones during CSV import does not work
[Bug][Lists]                     Object list crashes when HTML editor of a custom category is displayed in the object list
[Bug][Lists]                     Members of person groups can not be selected for being shown in object lists
[Bug][Lists]                     Changes to column widths in object lists are not saved
[Bug][Lists]                     Width of columns is reset when navigating through the pages of objects
[Bug][Lists]                     Layer 3 network object list "Filter in all fields" shows empty list after emptying the filter
[Bug][API]                       Incorrect reference for service assignment via API
[Bug][API]                       Attribte "model" of category "Storage" is not included in the results
[Bug][Admincenter]               Editing a tenant in the Admin Center resets the assigned object licenses
[Bug][Custom categories]         Report Manager: The filter for checkboxes filter not correct
[Bug][Custom categories]         HTML-content from custom categories is shown twice on overview page
[Bug][Notifications]             Notification about stored objects is not sent with a threshold value of 0 or -1
[Bug][Notifications]             Formatting of info text in description of a notification is faulty
[Bug][OCS]                       OCS Import logging logs even when logging is switched off
[Bug][Search]                    Search: Only 0 or 1 is displayed as score
[Bug][CMDB]                      Do not connect root location while creating cluster membership
[Bug][CMDB]                      Language constant for the root location does not work everywhere
[Bug][CMDB]                      Text of "Used cable" is confusing
[Bug][Connector Cabling]         Sorting in cabling browser not correct

1.15
--------------------------------------------------------------------------------
[Improvement][JDisc]             JDisc import of data from the Cloud category
[Improvement][JDisc]             JDISC: Advanced “Naming Rules” for imported devices
[Improvement][JDisc]             JDISC: Import only new devices
[Improvement][JDisc]             JDISC: Filter Loopback Addresses
[Improvement][JDisc]             JDISC: Reg expressions for Software Whitelisting
[Improvement][Custom categories] Custom Category Field Type Time
[Improvement][Custom categories] Field type "Date  and time" in custom categories
[Improvement][CMDB settings]     Complete sorting of categories on the overview page
[Improvement][Categories]        Display telephone/fax in the overview page of the Telephone object.
[Bug][LDAP]                      LDAP group synchronization function does not synchronize all groups
[Bug][LDAP]                      LDAP-Sync: Missing loogbook entries for contacts
[Bug][CSV Import]                CSV-Import: Possibility to import data into categories from addons
[Bug][CSV Import]                CSV import of SIM cards throws general error
[Bug][CSV Import]                CSV import of multiple objects in the category > Instance / Oracle database field > Database schema
[Bug][CSV Import]                CSV import display incorrect if value to be imported is too long
[Bug][CSV Import]                Layer-2 net assignment for logical ports is not available in csv import
[Bug][Lists]                     Searching for IP addresses in the list view [Port > Host Address]
[Bug][Lists]                     Yes/No selections are set as normal text fields in filters for object lists
[Bug][Lists]                     Large bulks of data block the browser
[Bug][Lists]                     Standard filter "filters in all fields" in the object list configuration cannot be set as default for other uses
[Bug][Lists]                     Possibility of CSV injection during exporting objects/category lists to csv
[Bug][System settings]           Encrypted tenant password in system database
[Bug][System settings]           Information in auth_log incomplete
[Bug][Object type configuration] Preselection of object types in the object browser
[Bug][Object type configuration] After deleting object type groups, orphaned object types remain undetectable
[Bug][CMDB]                      Dialog+: New entries are not available in selectbox and selection will not be preselected
[Bug][CMDB]                      Sorting of the tickets in category "All tickets"
[Bug][Custom categories]         Checkbox: Hook will not be saved after removing
[Bug][Custom categories]         Checkbox: Values cannot be removed or deleted
[Bug][Custom categories]         Usable custom multi value categories on overview page
[Bug][Custom categories]         API examples in custom categories outdated
[Bug][JDisc]                     Using category "location" in JDisc import clears manually created data
[Bug][JDisc]                     Double Data Sources when an object is in multiple JDisc groups
[Bug][Code (internal)]           SQL error when creating ports over the API
[Bug][Code (internal)]           General and custom categories have the same alias in columns
[Bug][Code (internal)]           Incorrect sorting of object lists by date:time
[Bug][Code (internal)]           Possible cross-site scripting over GET parameters
[Bug][Code (internal)]           Object browser:  Removing an assigned object results in an error message
[Bug][Templates]                 Automatic inventory number sometimes generates wrong counting when using templates
[Bug][Report-Manager]            Report Manager attribute Installed on (application) receives no data
[Bug][List editing]              Objects are not displayed in the view in the category "Rack
[Bug][List editing]              Editing of several objects of the type persons, cateogry person membership creates SQL error
[Bug][List editing]              The sequence for creating placeholders in the list editing is not observed
[Bug][List editing]              Layer-2 net assignment for logical ports is not available in list edit
[Bug][Search]                    Renewing the search index: Query error -> Duplicate entry lets log/system grow extremely
[Bug][Categories]                Connected cables can be saved, when no connection exists
[Bug][Categories]                Can not delete host address > alias
[Bug][Categories]                In the list view Network -> Port attributes are missing
[Bug][Categories]                In the list view Network -> logical Ports attributes are missing
[Bug][User settings]             To edit the category list for Network > Port the button is missing
[Bug][CMDB-Explorer]             The CMDB explorer does not filter multiple identical relationships
[Bug][CMDB-Explorer]             Complete export as PNG/SVG of the CMDB-Explorer in IE 11 and MS Edge faulty
[Bug][Relations]                 Archived relationships are displayed in the list view (contracts)
[Bug][Authorization system]      Information when trying to delete a report without rights is unclear
[Bug][Objects]                   Creation of several CPUs in the overview page faulty
[Bug][CMDB settings]             Accounting:Procurement type missing in Dialog-Admin

1.14.2
--------------------------------------------------------------------------------
[Improvement][Categories]        Add field for firmware version
[Improvement][Custom categories] Multi-Select Field in Custom Category
[Improvement][List editing]      MV Custom Category: Enable List Edit
[Improvement][Report-Manager]    Executing user to be displayed in the report
[Bug][OCS]                       OCS Archived entries are not set to Normal during an import
[Bug][LDAP]                      Information about user in creation date and date of change is empty when the user is created by logging in via LDAP
[Bug][Report-Manager]            Report Manager: Fields in the Database Assignment category are missing as a condition
[Bug][Report-Manager]            Error message when using the object type as output in reports
[Bug][Report-Manager]            Option to control behaviour of list filter in report lists
[Bug][Report-Manager]            dynamic attribute "rest warranty" selectable in the report manager
[Bug][Report-Manager]            Assigned storage devices (host) are not displayed in reports. Only "-" is displayed
[Bug][JDisc]                     It should be able to choose whether system services are imported via JDISC.
[Bug][JDisc]                     Custom Identifier are not inventoried again during JDisc import despite mode "Update (Inventory again)".
[Bug][JDisc]                     JDisc Discovery tries to establish connection despite missing credentials
[Bug][Search]                    Fix SQL syntax error in CMDB status query
[Bug][Search]                    Wrong results when using search for custom categories
[Bug][Search]                    Option: "Highlight search string" leads to wrong links in description fields
[Bug][Search]                    Search index should display correct category names (+ constant in brackets)
[Bug][CMDB settings]             Remove Raid:Level from the Dialog Admin
[Bug][Object type configuration] Alphabetical sorting of icons in object type configuration based on the file name
[Bug][CSV Import]                CSV Import multiobject Persons Error
[Bug][CSV Import]                Database error during CSV import > assigned SIM cards
[Bug][CMDB]                      Associated storage devices (host) in virtual machines are not displayed correctly
[Bug][Logbook]                   The object type is not logged during a JDISC import
[Bug][Logbook]                   Logbook only shows IDs instead of actual content when changing information in multi dialogue plus fields from custom categories
[Bug][Logbook]                   Error in logbook when custom categories are updated via CSV import
[Bug][Categories]                Tags in the General category cannot be created
[Bug][Categories]                JDisc import of wireless access points does not empty the WiFi devices category in overwrite mode
[Bug][Categories]                Category VRRP in the overview page of an object creates SQL error
[Bug][Categories]                HTML fields: The text style "Code" is no longer selectable
[Bug][Update]                    Missing object type constant prevents use of i-doit after update to 1.14.1
[Bug][Objects]                   Objects of type File can no longer be opened (Others/Files)
[Bug][Systemtools]               Option to remove multiple single value entries does not clean up relations
[Bug][System settings]           Unique Check of the hostname did not work
[Bug][System settings]           Setting to cancel processes if a validation conflict is detected does not work with list edit
[Bug][Authorization system]      Rights to view the category "Interface / external data" are missing
[Bug][Installation]              Installation not possible, because next button is grayed out after mod_rewrite check
[Bug][Lists]                     Multi-Value List view: column width of last column not adjustable
[Bug][Interface management]      Zammad: Create ticket button creates link with undefined at end

1.14.1
--------------------------------------------------------------------------------
[Improvement][Objects]           Tenant ID in URL and links to objects
[Improvement][Validation]        Enable image pasting into description fields
[Improvement][Validation]        Improve data sanitazion
[Improvement][Systemtools]       Show time difference between SQL and PHP in system overview
[Bug][System settings]           Expertsetting LDAP-Sync: Contact assignment / assigned objects are archived when the contact is archived
[Bug][System settings]           The location path is poorly cropped
[Bug][Admincenter]               A command that generates a new hash and migrates all data with it
[Bug][Custom categories]         Handling cannot be configured for the Link field type
[Bug][Custom categories]         Changing title of custom categories changes names of constants
[Bug][Report-Manager]            SQL error message when retrieving assigned SIM card via Report Manager
[Bug][Report-Manager]            Selecting the operating system for output in a report may cause several empty rpws in the report
[Bug][Report-Manager]            Report Manager: Datefields do bnt affect conditions
[Bug][Report-Manager]            Assigned interface of category port empty
[Bug][Report-Manager]            Report Manager: A report with categories from the VIVA2 Add-On generates an error message
[Bug][Report-Manager]            Information about assigned host address from a port selectable in query builder
[Bug][Report-Manager]            Report with one field from the category Logbook throws SQL error
[Bug][Report-Manager]            Variable reports do not display the number of "matches"
[Bug][Report-Manager]            The title Operating System is not translated to English in reports
[Bug][Import]                    Objects cannot be assigned to a net because the netmask is not updated during import
[Bug][Import]                    CSV Import does not change object type
[Bug][Import]                    Protect dialog box with hidden conversion factor from changes by import
[Bug][Import]                    CSV-Import does not access the attribute "Disable Login" correctly, value is not updated
[Bug][Object type configuration] Power distribution unit cannot be placed in racks with the standard object configuration
[Bug][Categories]                The Property "linked mobile phones" not available (Report/Documents)
[Bug][Categories]                Assigned SIM cards generate SQL errors in the Document-Addon
[Bug][Categories]                Attribute "End of contract" of the category "Contract information" is not recalculated after change of the term
[Bug][Categories]                SIM cards cannot be linked to mobile phones via the SIM card object
[Bug][Categories]                In the File category, entries cannot be edited and saved if they are edited via mark>Edit.
[Bug][Categories]                Wrong sorting of version number in category "Software" > "Installation"
[Bug][Categories]                Multi-Value field "Runs on" in category assigned cluster could only be filled after reloading the page
[Bug][Categories]                Archived objects assigned to contracts are displayed in the list view
[Bug][Categories]                If the default filter is set to "Active in Service Catalog" nothing is displayed in the dropdown list
[Bug][Categories]                The unit of measurement is set incorrectly when duplicating cables
[Bug][Categories]                Cards can not displayed on the Overview Page of SIM-Cards
[Bug][Categories]                Command for cleaning up HTML tags
[Bug][Categories]                Tags in the category "General" are doubled and displayed incorrectly (while editing)
[Bug][CMDB-Explorer]             Remove "print" button in the CMDB-Explorer
[Bug][List editing]              List edit does not provide changes when triggering event
[Bug][List editing]              Dropdown of category "Persons / master data" in List-Edit page not available
[Bug][List editing]              Network / Logical Ports / Multiedit: IP address is deleted
[Bug][Code (internal)]           Assignment of objects in the category group assignment cannot be solved via object browser
[Bug][Code (internal)]           Sorting by SLA service level in list view throws SQL error
[Bug][Code (internal)]           Locations are not properly authorized
[Bug][Code (internal)]           Cusor to change the column width within the filter layer
[Bug][Code (internal)]           No objects can be created via the object browser if the authorization system is inactive
[Bug][Code (internal)]           Reports in the fields which use the expression *alter* in the field name are blocked
[Bug][Code (internal)]           Use domain part for single sign on login
[Bug][Code (internal)]           No rooms can be specified statically in the ldap.ini
[Bug][Code (internal)]           Quickpurge button can be used without object selection
[Bug][CMDB]                      Error when duplicating person groups
[Bug][Search]                    The search in all fields does not find Dialog+ values
[Bug][Search]                    The status is removed when switching from standard search to Deep Search.
[Bug][Search]                    Attribute "purpose" is not found via search
[Bug][Search]                    Searching of objects (Status: normal/archived/deleted) shows only the status ID
[Bug][Search]                    Textbox "Description" Category Network Connections -> Listener -> Listener Object is not indexed
[Bug][Search]                    SQL error when searching for special characters
[Bug][Notifications]             SQL query error on "Expiry of maintenance/warranty period" notification
[Bug][Logbook]                   The logbook does not store assignments of group memberships
[Bug][JDisc]                     JDISC does not import connected devices
[Bug][JDisc]                     JDISC does not import certain software
[Bug][JDisc]                     JDISC: JDisc group is ignored and import is then not possible
[Bug][Lists]                     Assigned licenses are not displayed in the software assignment list view
[Bug][Lists]                     List view: column width of last column not adjustable
[Bug][Lists]                     When changes are made to any column width, the column width of the last column becomes wider
[Bug][Lists]                     Fields from category "Memory" cannot be shown in list view of multivalue category
[Bug][API]                       API validation does not validate correctly (file upload)
[Bug][CMDB settings]             Dialog constant cannot be edited
[Bug][CMDB settings]             Profile download in Quick Configuration Wizard incorrect
[Bug][Systemtools]               When duplicating, the location correction is always carried out
[Bug][Console]                   php Console Command does not read the .ini correctly
[Bug][Print view]                Print Preview does not display Custom Categories
[Bug][Print view]                Print view sorts categories independently alphabetically
[Bug][Relations]                 Rankin issue with relations between groups and members

1.14
--------------------------------------------------------------------------------
[Improvement][Code (internal)]           Compatibility for PHP 7.4
[Improvement][Code (internal)]           i-doit no longer supports PHP 7.0, minimum requirement is PHP 7.1
[Improvement][Code (internal)]           Remove unnecessary WYSIWYG formatting options
[Improvement][Installation]              Add support for MariaDB 10.4
[Improvement][Categories]                Category "Access" adjustable default value for the attribute "Primary"
[Improvement][Categories]                Additional button for "Back" of the category "racks" in rooms
[Improvement][Categories]                Extension of the SIM card category for multi-sim
[Improvement][CSV Import]                CSV export only contains selected objects
[Improvement][CMDB]                      SIM CARDS make more then two cards possible
[Improvement][Controller]                Location correction can be called up separately via the i-doit controller/console
[Improvement][Object type configuration] Preview for Icons of object types
[Bug][CSV Import]                        CSV import: Remove object title as mandatory field when mapped to existing objects
[Bug][Cabling view]                      Cabling browser lists ports in order of creation
[Bug][CMDB]                              SQL error when selecting cluster services
[Bug][CMDB]                              Mouseover cache will not be updated on changes
[Bug][CMDB]                              When cleaning up category entries, not all data in the database is cleaned up.
[Bug][CMDB]                              Long object titles in the cabling browser are not displayed completely
[Bug][CMDB]                              The button "Link to this page" jumps to the category list view instead of remaining in the current entry
[Bug][CMDB]                              Wrong translation for default weighting of relationship types
[Bug][Categories]                        Position in the rack only possible after saving the object
[Bug][Categories]                        Live status can no longer be called
[Bug][Categories]                        The checkbox in the List category does not contain a record ID.
[Bug][Categories]                        First level of logical location view only shows objects of type "workspace", even if there are other objects, serving as a logical location, at this level
[Bug][Categories]                        Missing information about logical ports in connected objects
[Bug][Categories]                        Type of category Network of a super network cannot be changed
[Bug][Categories]                        The Sim-card category is by default on the overview page of the Sim card object
[Bug][Categories]                        height unit in front and back views of rack are shown incorrect
[Bug][OCS]                               Connected devices are not found during import using the DEVICEMACADDRESS and object title.
[Bug][CMDB-Explorer]                     CMDB Explorer does not display object information
[Bug][CMDB-Explorer]                     Print feature of CMDB explorer only creates partially output/print
[Bug][CMDB-Explorer]                     CMDB-Explorer freezes when tenant is changed in a new browser tab
[Bug][Validation]                        Option to handle validation conflicts during object creation via templates
[Bug][LDAP]                              Client selection restricted by LDAP user authentication $authenticationHash
[Bug][LDAP]                              LDAP: User login missing relationship to person group
[Bug][LDAP]                              The ldap-sync command does not use the specified configuration
[Bug][Relations]                         Weighting of the relationships of service components is reset to standard
[Bug][Lists]                             Cluster Services Listenansicht schmeisst SQL Fehler und wird nicht angezeigt
[Bug][Lists]                             Displaying assigned objects of a person in object list not possible
[Bug][Print view]                        Reports without results in user-defined categories cause print view errors
[Bug][Report-Manager]                    Error in Report Manager, conditions with "%NOT LIKE%" are executed as "%LIKE%".
[Bug][Report-Manager]                    Conditions of a report are not fulfilled completely
[Bug][Report-Manager]                    Field placeholder in report generates SQL error message
[Bug][Report-Manager]                    Report-Manager: Selection restricted at conditions "linked attribute"
[Bug][Report-Manager]                    Sorting the output according to the name in the report
[Bug][Code (internal)]                   Create import and upload folders for each client
[Bug][Update]                            Recursively create folders for uploading files
[Bug][Update]                            Migration of reports not possible 1.13 > 1.13.1-2
[Bug][Admincenter]                       Admin Center login does not work after updating to i-doit 1.13.2
[Bug][Console]                           Relationships are misrepresented when using php console.php system-objectrelations
[Bug][Search]                            Memory exception when creating search index
[Bug][Licence settings]                  License widget: color of remaining term not according to definition
[Bug][JDisc]                             When port changes are made by JDISC, the linked object is not logged.
[Bug][JDisc]                             If the CMDB status is changed by JDISC, it will not be logged.
[Bug][CMDB settings]                     The default Object-Browser setting of category "Storage Area Network" > "FC port" is not used
[Bug][CMDB settings]                     Object browser Layer-2-Net / Layer-3-Net assignment not existing
[Bug][XML]                               Importing files via XML skips the contents of the subcategory "File Version
[Bug][Custom categories]                 Sanitize input data deletes the HTML toolbar.
[Bug][Custom categories]                 Display renamed field names correctly
[Bug][Import]                            CSV Import: Assignment of licences
[Bug][Import]                            CSV File is not Imported when it ends with .CSV (Uppercase)
[Bug][Session]                           Object lock stays intact when user logs out
[Bug][Logbook]                           No logbook entry at the server if it is assigned to a locker - Vice-versa: locker creates log entry
[Bug][Objects]                           Cabinet view: validation prevents the placement of an object
[Bug][Objects]                           Operating system assignment of version is faulty
[Bug][Objects]                           Objects with quotes ("") in the title are wrong displayed in the layer-3-net overview
[Bug][Objects]                           Layer-2-net in objects are displayed with [] instead of empty value
[Bug][Objects]                           IPv6 supernet also displays subnets outside the defined range
[Bug][List editing]                      Placeholder creates faulty view in list edit

1.13.2
--------------------------------------------------------------------------------
[Improvement][Relations]                          Custom relation types should have own constants
[Improvement][LDAP]                               LDAP synchronization with other attributes than names
[Improvement][Report-Manager]                     New dynamic properties for all categories
[Bug][Report-Manager]                             Update: Migration of existing reports fails under certain circumstances
[Bug][Report-Manager]                             Attribute Variant (Version) in report-manager without Function
[Bug][Report-Manager]                             Report with a "state" condition generates an error message
[Bug][Report-Manager]                             Report Manager views do not work correctly
[Bug][Report-Manager]                             View Network connections of the Report Manager does not display network listeners
[Bug][Report-Manager]                             Migrate condition "Create new Reports" to the create right
[Bug][Report-Manager]                             Report Manager: Cannot read attribute "Variant" from category "Installation"
[Bug][Report-Manager]                             Attribute Database instance (Category Database schema) not available in Report Manager
[Bug][Report-Manager]                             Date format is ignored in report
[Bug][Report-Manager]                             Object references do not display the object title
[Bug][Lists]                                      Object-lists: attribute "version number" of category "operating system" not sortable
[Bug][Lists]                                      Object-lists: attribute "version number" of category "operating system" cannot be sorted
[Bug][Lists]                                      Filtering for location path only looks at the shortened path shown
[Bug][System settings]                            SQL error when location path is set to right justified
[Bug][System settings]                            Sub directories for uploaded files and logs
[Bug][System settings]                            Expert setting system.dir.import-uploads should be set by default for each client.
[Bug][Check_MK]                                   Missing setting to define the timeout of Livestatus
[Bug][Validation]                                 Validation does not work with redundant categories
[Bug][CMDB]                                       Error when documenting LUNs
[Bug][CMDB]                                       Cannot create client because CPU frequency unit is mandatory
[Bug][CMDB]                                       Saving the "CPU frequency" value without its unit is not correct
[Bug][CMDB]                                       Use the correct separator for numeric formats
[Bug][List editing]                               Blank values ("-") in Dialog+ fields could not selected in the list edit.
[Bug][List editing]                               Make attribute "Layer 2 Network Assignment" from the category Port available for list edit
[Bug][List editing]                               Make attribute "Default gateway for the network" from the Host address category available for the list edit
[Bug][List editing]                               Location selection wider in the list edit
[Bug][List editing]                               More efficient use of available space from left to right in list edit
[Bug][List editing]                               Dark Screen when Host Address is selected for list edit
[Bug][Categories]                                 duplicate a storage-object excludes the standard VLAN
[Bug][Categories]                                 Creation of Layer-3 nets not possible
[Bug][Categories]                                 Category "sim card" assignment of a Twincard not possible
[Bug][Categories]                                 Error "cannot find category" when editing view in category "assigned ports"
[Bug][Categories]                                 After archiving a licence, it is still being used and displayed in related installations
[Bug][Categories]                                 Warning when saving numeric attributes with German format
[Bug][Templates]                                  Objects of the types "Organization" and "Person groups"  which are used in templates for assigned contacts will be
[Bug][Update]                                     Upadte to the 1.13.1 creates database error
[Bug][Notifications]                              Notifications query error
[Bug][Notifications]                              Notification about expired certificates that are archived
[Bug][Admincenter]                                Login to the AdminCenter is possible with the encrypted hash
[Bug][Events]                                     Active Event-Addon causes that layer-3-net could not created
[Bug][Import]                                     JDisc import via console creates error with the category "port"
[Bug][Import]                                     XML import creates an empty logfile
[Bug][Console-base Installation/Update/Licensing] After the update from i-doit 1.13 to 1.13.1 it's not possible to use search-index with the console.php
[Bug][Object type configuration]                  Error message in Quick Configuration Wizard while creatingg new object type groups/object types
[Bug][CSV Import]                                 CSV-Import: Contact assignment via username not possible during console import
[Bug][Installation]                               The initial tenant database is created with ID 2.
[Bug][API]                                        User defined categories are not editable with cmdb.object.create
[Bug][API]                                        In custom categories, the data type Text instead of TextArea is used for fields of type HTML editor.
[Bug][Systemtools]                                Database export function creates a 0KB dump file
[Bug][Search]                                     Searching for Tags from category "general" not possible
[Bug][JDisc]                                      Import of port descriptions via JDISC
[Bug][JDisc]                                      Changes in the JDISC profiles forward to empty site and doesn't save changes
[Bug][User settings]                              Default treeview changes value when numeric format is changed
[Bug][Logbook]                                    Logbook content not written for chassis when using JDisc import
[Bug][Logbook]                                    Changes of connections to objects are not shown in logbook of linked object
[Bug][Logbook]                                    The logbook receives incorrect data
[Bug][Logbook]                                    Order of logbook entries from simultanous processes sometimes not chronological
[Bug][LDAP]                                       Session management locks LDAP users if multiple tenants are used with LDAP
[Bug][Objects]                                    Object Browser: Linked license is only marked in the sub-selection
[Bug][OCS]                                        Rebuild search index after OCS import
[Bug][Code (internal)]                            "Create new object" button in object browser should also be available if no selection is possible

1.13.1
--------------------------------------------------------------------------------
[Improvement][Report-Manager]                             Reports should always contain a constant
[Improvement][Report-Manager]                             Virtuelle und dynamische Properties in Report Manager Konditionen
[Improvement][Categories]                                 New Command: Restore category data of lost references
[Improvement][Cabling import]                             The cabling import does not import as intended.
[Improvement][Import]                                     Identification of objects during csv imports via IMEI
[Improvement][Code (internal)]                            Clear user credentials via command
[Improvement][Console-base Installation/Update/Licensing] Console-based installation of the i-doit add-ons
[Improvement][CMDB-Explorer]                              Display direction of relations in the CMDB-Explorer
[Improvement][Systemtools]                                Command to convert the engine from MySQL tables to INNODB
[Bug][Report-Manager]                                     Report Manager: Category "software-assignment" title is also displayed in the category "operating-system" attribute "operating-system"
[Bug][Report-Manager]                                     Report Manager: Output of the grouped MultiValues ​​error during CSV/TXT export
[Bug][Report-Manager]                                     Attribute "variant" only displays the title in report output
[Bug][Report-Manager]                                     Variable report results in a SQL error
[Bug][Report-Manager]                                     Missing attributes from category "Net" in Report Manager to define conditions
[Bug][Report-Manager]                                     Report categories are visible for all tenants
[Bug][Report-Manager]                                     Attribute "Aliase" not available in report Manager
[Bug][Report-Manager]                                     Attribute "hostname" from category "monitoring" is not available in report manager
[Bug][Report-Manager]                                     Simultanous display of operating system and software assignment in report not possible
[Bug][Report-Manager]                                     The role of persons is not displayed in the Report Manager.
[Bug][Report-Manager]                                     Subselects for Dynamic Groups
[Bug][Report-Manager]                                     Create reports with the Logbook category as a condition
[Bug][Report-Manager]                                     Combining object title and primary hosdt address in report manager leads to multiple output of the same object
[Bug][Report-Manager]                                     Report-Manager: Assignment Category "Service Assignment" does not return blank values
[Bug][Report-Manager]                                     Reports: Combination of dynamic property and condition leads to sql error
[Bug][Report-Manager]                                     Report for "Inserted at" uses a wrong DB table
[Bug][Report-Manager]                                     It is not possible to show objects without assignments in report manager
[Bug][Categories]                                         SQL error when the category "Layer-3 net" is sorted by "Net with suffix".
[Bug][Categories]                                         Condition "Normal" can always be selected in category "General"
[Bug][Categories]                                         The Form Factor category does not store any data in the overview.
[Bug][Categories]                                         Back of a chassis is not presented in rack view
[Bug][Categories]                                         Category port dialog plus field does not work together with cabling category
[Bug][Categories]                                         Revision of the Hostadresses Category
[Bug][Categories]                                         Improved handling for editing hight unit when swapping objects between front and back of a rack
[Bug][Categories]                                         Correct formatting of the overview page when reports and categories are to be displayed
[Bug][Categories]                                         Category "service logbook" is even duplicated when not selected for duplication
[Bug][Categories]                                         Change attributes in object lists removed wrong attribute in default filter
[Bug][Categories]                                         Long port names are truncated in Port Browser
[Bug][Categories]                                         Dateien in der Kategorie Objektbild sind für alle Mandanten sichtbar
[Bug][Categories]                                         The "Assigned Organization" column does not display any data.
[Bug][Categories]                                         Relationships between objects are not displayed in the list view.
[Bug][Categories]                                         Wrong default value category "host address" in attribute "Address assignment"
[Bug][Categories]                                         Category: "Service" Subcategory "Service Type" the attribute "Type" is not loaded correctly
[Bug][Categories]                                         Title of objects in slots is not shown in category "Racks"
[Bug][Categories]                                         Database field type for isys_validation_config.isys_validation_config__json changed
[Bug][Categories]                                         Rack view: Blade chassis are not displayed vertically
[Bug][Categories]                                         Display dropdown menu to choose entry status in category "cluster members"
[Bug][Categories]                                         Deselect attributes in object lists removes values in standard filter
[Bug][Categories]                                         The time/date at "Initial Import" in the category "Custom Identifier" is not displayed correct
[Bug][Categories]                                         Double Category Entries
[Bug][OCS]                                                Capacities are always imported as byte in OCS import
[Bug][OCS]                                                Capacities of SNMP devices are not updated properly by OCS import
[Bug][Lists]                                              SQL error message in object list
[Bug][Lists]                                              Sorting location path uses root location for sorting
[Bug][Lists]                                              The description field is missing as an attribute in the category lists Configuration for the category "E-Mail Addresses"
[Bug][Lists]                                              Object list configuration only mirrors selected attributes to other users and default configuration
[Bug][Lists]                                              Logical location of an object is not displayed in object list
[Bug][Lists]                                              Setting for maximum lenght of location paths does not work with object lists
[Bug][Lists]                                              Sorting of shortened location paths in object lists
[Bug][Lists]                                              Showing linked beginning and end of conctracts in object lists
[Bug][Lists]                                              Object Lists: Add Custom Attributes
[Bug][Lists]                                              E-mail address is always displayed as HTML-mailto in object lists
[Bug][LDAP]                                               Sync all LDAP groups when paging is enabled
[Bug][LDAP]                                               Improved handling of deactivated/moved users originating from AD
[Bug][LDAP]                                               Don't show email icon if LDAP has mail set as filter
[Bug][CMDB]                                               Sort by model
[Bug][CMDB]                                               Capacities "Bit" and "Terabit" are missing
[Bug][CMDB]                                               Creating assigned devices of an blade chassis causes an white screen
[Bug][List editing]                                       Activate edited SLA´s
[Bug][List editing]                                       Edit the Service Category in List Editing
[Bug][List editing]                                       Release the connections in the Service Assignment category.
[Bug][List editing]                                       List editing: Filter for object browser does not always work
[Bug][List editing]                                       Listenditierung: Detach from a location impossible
[Bug][List editing]                                       Controller isn't selectable for all objects in list edit
[Bug][List editing]                                       Multiple hardware RAIDS appear in list edit although none were created
[Bug][List editing]                                       List Editing: It is not possible to assign workstations in the "assigned workstation" category
[Bug][List editing]                                       Empty Sub-Categories in the list edit
[Bug][List editing]                                       Multiedit displays categories without attributes
[Bug][List editing]                                       Saving a host address generates an error message
[Bug][List editing]                                       Leave excluded fields from list edit excluded after saving
[Bug][Import]                                             For Layer-2 nets the field = Layer-3 net assignment is missing for an import.
[Bug][Import]                                             The device assignment of the category Slots (Switch Chassis) cannot be assigned in csv-import.
[Bug][Import]                                             Import variants of operating systems
[Bug][Import]                                             OCS Import Categories
[Bug][Import]                                             Editing an object matching profile doesn't work as it should be
[Bug][Objects]                                            Error "name must be a valid object or a string" when accessing objects
[Bug][Objects]                                            Category "Virtual Devices" attribute "Host Ressource" displays incorrect "switch port groups"
[Bug][Objects]                                            Changes to DialogPlus fields are not output correctly
[Bug][CSV Import]                                         Option to overwrite existing entries in multi value categories also overwrites newly imported entries
[Bug][CSV Import]                                         CSV import also creates logbook entries, if content is not changed
[Bug][CSV Import]                                         CSV import: "Virtual machine" attribute of the "Virtual machine" category is not set correctly
[Bug][System settings]                                    Administration forwards to an empty site if Check_MK2 has been deactivated
[Bug][System settings]                                    Deny unauthenticated access to /upload/images
[Bug][System settings]                                    Darstellungsfehler in der Rechteverwaltung
[Bug][System settings]                                    HTML editor changes content enumeration
[Bug][Systemtools]                                        Improvement of location correction
[Bug][Admincenter]                                        GRANT command during tenant creation via console does not consider localhost
[Bug][Admincenter]                                        When combining tenant and subscription licenses some add-ons are not correctly licensed
[Bug][Admincenter]                                        Tenant licenses "in use" and "free" don't take deactivated tenants into account and displays wrong value for free tenant licenses
[Bug][Notifications]                                      Notification number is not reset
[Bug][Notifications]                                      Notification query error with the placeholder %notifications__threshold_unit%
[Bug][Notifications]                                      Notify a contact group
[Bug][License installation (i-doit)]                      Limit for tenants uses incorrect counting during licensing
[Bug][Code (internal)]                                    Perform a correct property migration for the Software Assignment category
[Bug][Code (internal)]                                    The condition General > Description in the Report Manager is no longer a text field.
[Bug][Code (internal)]                                    HTTP 500 Search error message when self-created add-on is disabled
[Bug][Code (internal)]                                    When exchanging the outputs and inputs, the window is displayed empty.
[Bug][Code (internal)]                                    Check the system settings for valid JSON
[Bug][Authorization system]                               After an object has been archived, it is no longer displayed
[Bug][Authorization system]                               Archive/delete only possible, if the user has rights to all objects of the corresponding object type
[Bug][Authorization system]                               Location permissions do not show archived / deleted in object lists
[Bug][Authorization system]                               Rights check for files in the file browser
[Bug][Validation]                                         Objectview not possible if category validation is active
[Bug][Validation]                                         Validate newly created objects
[Bug][Mass editing]                                       Software assignment clears operating system assignment during mass change
[Bug][Mass editing]                                       Disconnect the field "Purchased from:" in the accounting category by the mass change.
[Bug][Mass editing]                                       Automatically replace object titles via mass change with %COUNTER:11#6%.
[Bug][Mass editing]                                       Error during the actions of mass-change
[Bug][Mass editing]                                       Creating a template for a mass change generates white screen
[Bug][Custom categories]                                  The Report Manager adds unnecessary placeholders if the category is a custom category
[Bug][Custom categories]                                  Print view of variable reports incorrect
[Bug][My-doit]                                            Assigned/created orders are not displayed in My-doit
[Bug][Console]                                            Memory leak when performing a loogbook archive via i-doit console
[Bug][Logbook]                                            Long logbook entries move the other columns out of the view area
[Bug][Logbook]                                            Wrong content in logbook when changing the selection for object assignment
[Bug][Logbook]                                            Pass changed values to the logbook
[Bug][Events]                                             When using /main/ as i-doit installation directory events are not callable
[Bug][Relations]                                          Relationships: Category "Wan-connection" Attribute: "connected networks" no relationship is created
[Bug][Relations]                                          The relationship of the category Contact assignment is deleted during archiving.
[Bug][JDisc]                                              JDISC: Import of loopback and logical ports not possible
[Bug][JDisc]                                              JDISC-import: IP-address change is not displayed correctly in the logbook
[Bug][JDisc]                                              Logbook: Empty entries through the JDisc import
[Bug][H-Inventory]                                        H-Inventory-Import: Software Assignment relationships are not removed correctly
[Bug][Templates]                                          Default tempalte is sometimes ignored for custom categories
[Bug][Templates]                                          Field-placeholder %COUNTER% does not work correctly in default templates
[Bug][CMDB-Explorer]                                      Loop when creating connections in cmdb explorer
[Bug][CMDB-Explorer]                                      CMDB-Explorer exports wrong GraphML data
[Bug][CMDB-Explorer]                                      CMDB-Explorer exports duplicated GraphML edges
[Bug][Search]                                             Search switches selection of object type group
[Bug][Search]                                             Fix deadlock in search index while using API
[Bug][Search]                                             Global search of Layer-3 networks over IP
[Bug][Search]                                             Correct formatting of the search result
[Bug][Installation]                                       Files and directories in temp/ are world-writable
[Bug][Installation]                                       Removing checks for extensions not needed to use i-doit
[Bug][API]                                                PHP warning when saving a storage device without connected HDs
[Bug][API]                                                Reading WAN category via API does not always return an object ID
[Bug][API]                                                Properties with units are not consistent when retried via API
[Bug][QR-Codes]                                           Global QR code configuration is overwritten
[Bug][User settings]                                      Numeric format setting has no effect
[Bug][CMDB settings]                                      Configurable logging

1.13
--------------------------------------------------------------------------------
[Improvement][Code (internal)]                            Securiy update for external libraries
[Improvement][Code (internal)]                            i-doit no longer supports PHP 5.6, minimum requirement is PHP 7
[Improvement][Code (internal)]                            Check for duplicate assigned categories after add-on installation
[Improvement][LDAP]                                       Sync attributes objectSid and objectGUID via LDAP
[Improvement][Update]                                     Improve i-doit updater
[Improvement][Installation]                               Compatibility for PHP 7.3
[Improvement][Installation]                               Add support for newer MariaDB versions
[Improvement][Lists]                                      New attribute "contact + role" for object lists - thanks to Christian Haase
[Improvement][Service]                                    Services: Service View for other object types in the menu-tree
[Improvement][Console-base Installation/Update/Licensing] Console-based management of i-doit tenants
[Improvement][Console-base Installation/Update/Licensing] Console-based Licensing of i-doit
[Improvement][Console-base Installation/Update/Licensing] Console-based management of i-doit add-ons
[Change][Categories]                                      Multi Dialog Plus fields do not use new line
[Bug][Categories]                                         Data in the Monitoring category cannot be saved.
[Bug][Categories]                                         The Form Factor category does not store any data in the overview.
[Bug][Categories]                                         Saved profiles of the QCW are visible in all clients.
[Bug][Categories]                                         Archived attributes are displayed in the list view of the object type
[Bug][Categories]                                         Add attribute "Telephone rate" to the category SIM card in the dialog admin
[Bug][Categories]                                         Changing database field type for license keys to allow longer license keys
[Bug][Categories]                                         Option to select database instance also offers archived/deleted instances for selection
[Bug][Categories]                                         Sorting and Filtering Live Status
[Bug][Categories]                                         Standard filtering of CMDB status
[Bug][Categories]                                         Attribute priority can not be selected to be shown in list of multi value category "softwareassignment"
[Bug][Categories]                                         Single check of each categories when installing the pro add-on
[Bug][Categories]                                         Mouseover in categories only load after refresh of page
[Bug][Categories]                                         FQDN not used in print view
[Bug][Categories]                                         Show assigned objects in the list view for groups of people
[Bug][Categories]                                         Filter by contract type
[Bug][Categories]                                         Category "SIM card", no leading zeros can be added / deleted on the overview page
[Bug][List editing]                                       Create new category entries for all objects in list editing
[Bug][List editing]                                       Sub-category "Installation" is missing in the list edit
[Bug][List editing]                                       HTTP 500 error / empty page when calling list editing when Nagios Add-On was uninstalled
[Bug][List editing]                                       List Editing: Calendar selection moves outside the visible area
[Bug][List editing]                                       List edit of category "power consumer"
[Bug][List editing]                                       Logical location can not be saved via list edit
[Bug][Lists]                                              Filter for Objects is missing
[Bug][Lists]                                              Archiving a database instance causes some attributes of database scheme not being shown in object list for "database scheme"
[Bug][Lists]                                              The category "Contract assignment" is displayed empty in the default list of object lists
[Bug][Lists]                                              Filtering is not possible with the Virtual Machine attribute of the Virtual Machine category
[Bug][Lists]                                              Object lists: attribute "Description" of the specific category "Organization" is not saved
[Bug][Lists]                                              Special characters in filtering option for dialogue plus fields cause the filter to deliver an empty result
[Bug][Lists]                                              Object titles are not visible anymore after object has been archived/deleted
[Bug][Lists]                                              The version number and variant should not be shown in the object lists configuration
[Bug][Lists]                                              Create Dialog+ values via the filter in the object list
[Bug][Lists]                                              The objects are not shown in the object list
[Bug][Lists]                                              Default filter "virtual machine> virtual machine" is ignored in object list
[Bug][OCS]                                                OCS import: When importing an SNMP device, the operating system is not imported correctly
[Bug][OCS]                                                OCS-IMPORT: Category "Operating system" is overwritten during an import
[Bug][OCS]                                                Import of CPU cores from OCS inventory failed
[Bug][Logbook]                                            Incorrect description / operation in log recovery
[Bug][Logbook]                                            Logbook: Assignment categories don't create an log entry for assigned object
[Bug][Update]                                             Missing Check of PHP Extensions in the GUI Updater
[Bug][Update]                                             i-doit update to 1.13 with PHP <=7.0.7
[Bug][CSV Import]                                         Fields are cleared during csv import, even if they do not appear as part of the import
[Bug][CSV Import]                                         Objects are skipped during CSV import
[Bug][CSV Import]                                         CSV-Import: Import via CLI overwrite existing objects
[Bug][CSV Import]                                         Version number (Category: Software assignment) cannot be filled via CSV import
[Bug][CSV Import]                                         Importing content into dialogue fields vis csv import is case sensitive
[Bug][Import]                                             The company of a person is emptied during CSV import.
[Bug][Code (internal)]                                    Output in Infobox can block the user from working with i-doit
[Bug][Code (internal)]                                    Indexing of the category C__CATG__NET_LISTENER
[Bug][Code (internal)]                                    When accessing i-doit, index.php cannot be found
[Bug][Code (internal)]                                    Saving a SIM card without twin-card "card number" leads to SQL error
[Bug][Code (internal)]                                    Many links are directed to old `http` addresses
[Bug][Code (internal)]                                    idoit-rights.sh tries to set rights to folders which are not available
[Bug][Code (internal)]                                    Unnecessary dialog+ table "isys_catg_cpu_frequency"
[Bug][Custom categories]                                  Poor performance when saving/updating multivalue categories
[Bug][Custom categories]                                  Print view of reports in custom categories incorrect
[Bug][Custom categories]                                  Data cleansing overwrites the HTML toolbar.
[Bug][Custom categories]                                  Reports are displayed for selecting attributes in Custom Categories
[Bug][LDAP]                                               LDAP Sync: Import of organization incorrect
[Bug][LDAP]                                               SSO-authentication when full specification of index.php not possible
[Bug][LDAP]                                               LDAP connection handling
[Bug][LDAP]                                               Subcategory "Master data" Provide the attribute "Salutation" for ldap-sync
[Bug][LDAP]                                               LDAP Sync: Contact Assignment / Assigned objects are not archived when the contact is archived
[Bug][LDAP]                                               Configure LDAP via API
[Bug][Print view]                                         Print-preview on object browsers with multiselect of custom categories broken
[Bug][Print view]                                         Print preview shows HTML code
[Bug][Report-Manager]                                     Report Manager: Output of the grouped MultiValues ​​error during PDF export
[Bug][Report-Manager]                                     Attributes of category "Assigned workstations" can not be used in report Manager
[Bug][Report-Manager]                                     Sub-Kategorie "Anschlüsse" Attribut "Sub-Kategorie" Anschlüsse "Attribut" Ein / Ausgang "für Report-Manager bereitstellen" für Report-Manager bereitstellen
[Bug][Report-Manager]                                     Attribute "standard gateway for net" can not be used in report manager as condition
[Bug][CMDB settings]                                      Limiting the view via rights does not effect location browser
[Bug][Open-Version]                                       Console.php error
[Bug][Installation]                                       Dead Link in setup
[Bug][JDisc]                                              JDisc-Import Fehler: "CMDB Error: Relation type should not be empty."
[Bug][Systemtools]                                        Re-new relation objects cannot be executed
[Bug][H-Inventory]                                        Object matching profile does not get applied for H-Inventory
[Bug][Request Tracker]                                    Request Tracker: Language Constants are not used/translated
[Bug][Request Tracker]                                    Request Tracker: In the "All Objects" tab, all objects are selected.
[Bug][Validation]                                         Wrong validation on inventory number
[Bug][Search]                                             Automatic DeepSearch does not work, when normal search did not find any results
[Bug][Authorization system]                               Prohibit users from assigning work centers
[Bug][Relations]                                          Correct display of the relations in state archived/deleted
[Bug][Console-base Installation/Update/Licensing]         Using the "system-checkforupdates" command outputs constants
[Bug][Cabling view]                                       Enable horizontal scrolling for overview in cabling >> connectors

1.12.4
--------------------------------------------------------------------------------
[Bug][Report-Manager] Reports from query builder can not be edited/saved with some versions of PHP
[Bug][Update]         Update button without function
[Bug][Installation]   Grant DB user remote access to databases if external DBMS is used
[Bug][Installation]   i-doit installation over install.sh

1.12.3
--------------------------------------------------------------------------------
[Improvement][Admincenter]           Create tenants without root MySQL user
[Improvement][Code (internal)]       Notification popups do not vanish on click
[Improvement][System settings]       Option to disable object count in object browser
[Bug][Categories]                    Duplicates when saving entries
[Bug][Categories]                    Existing content of category "files" can not be edited an saved
[Bug][Categories]                    Subcategory "RAID array/Device" Selection of a controller
[Bug][Categories]                    The "Next possible cancellation date" attribute of the "Contract" category will not be recalculated
[Bug][Categories]                    IP Helper addresses cannot be created via the overview page
[Bug][Categories]                    Layer 3 nets cannot be duplicated correctly
[Bug][Categories]                    Default gateway missing in IPv6 networks (Layer 3)
[Bug][Categories]                    Sort Attribute by numeric values
[Bug][Categories]                    Saving the object list resets the column width
[Bug][Categories]                    Removed wrong button "New" in category "service logbook"
[Bug][Categories]                    SQL error "foreign key constraint failes" when assigning a headquarters to an organization
[Bug][Categories]                    All Service Managers are displayed in the overview page of the Service Categories
[Bug][Categories]                    Find out and fix wrong selects in dialog properties
[Bug][Categories]                    The category "assigned objects" does not behave like a multi-value category.
[Bug][LDAP]                          Duplicate assignment of person to person group via LDAP
[Bug][LDAP]                          LDAP Login via HOTP
[Bug][LDAP]                          Login with LDAPS not possible
[Bug][LDAP]                          No LDAP authentication possible after update
[Bug][Lists]                         Pagination returns an error starting from page 3 or 4
[Bug][Lists]                         Custom Show categories "MultiValue" in category lists
[Bug][Lists]                         Filtering of drop down fields in object lists not possible
[Bug][Lists]                         Subcategory "RAID Array" incorrect calculation of capacity
[Bug][Lists]                         Objekt-list configuration table does not contain any values
[Bug][JDisc]                         The loading icon does not disappear in Firefox after a scan over the JDisc Discovery category has been completed.
[Bug][System settings]               LDAP Config in the client settings
[Bug][System settings]               Passwords can not be decrypted
[Bug][System settings]               Incorrect forwarding after editing in Dialog+ Admin
[Bug][System settings]               The setting "logbook.changes.multivalue-threshold" affects all tenants
[Bug][i-doit Licensing 2.0]          Buyers license loses its validity
[Bug][i-doit Licensing 2.0]          License error after update because of add-on licensing logic
[Bug][i-doit Licensing 2.0]          Add-On icons are not displayed correctly in licence overview
[Bug][Licence settings]              i-doit can be used without licensing
[Bug][Licence settings]              Validation dates of licenses always equal the current time after updating i-doit
[Bug][Update]                        Update of i-doit Open only possible with errors
[Bug][Print view]                    Wrong data in print view of category "accounting"
[Bug][Print view]                    Print view incomplete in the category "contact assignment"
[Bug][Print view]                    Calculation of the guarantee in the print preview is not correct
[Bug][Objects]                       Can not duplicate the "People" object type
[Bug][Mass editing]                  Not possible to edit templates for mass changes
[Bug][Code (internal)]               Object view is cleared
[Bug][List editing]                  No list editing possible if Global Validation is set up.
[Bug][List editing]                  List editing of inputs or outputs not possible with ##COUNTER##
[Bug][List editing]                  List edit does not consider person, who made the last change to show in category "General"
[Bug][List editing]                  Release the link "Purchased from:" in the Accounting category.
[Bug][List editing]                  List-edit: Sub-categories of the category "Layer 2 network" are missing
[Bug][List editing]                  List editing of object screens not possible
[Bug][List editing]                  List editing of category rack / cabinet not possible
[Bug][List editing]                  Editing service assignment via list edit throws error
[Bug][List editing]                  List editing of user-defined Multi-Value categories
[Bug][List editing]                  Category "Workplace components" can not be used via the list edit
[Bug][List editing]                  Category "Assigned workplaces" can not be used via listedit
[Bug][List editing]                  List Editing of Date Fields of User Defined Categories
[Bug][OCS]                           OCS Import: Incorrect assignment of networks in single-IP networks
[Bug][Search]                        Inconsistent indexing for custom categories
[Bug][License installation (i-doit)] Wrong values for licence duration and end date in licence widget
[Bug][Report-Manager]                Specific category "Middleware" not available for output in report manager
[Bug][Report-Manager]                Process report-based notifications with field placeholders in report
[Bug][Report-Manager]                Error when using a placeholder for the current date
[Bug][Report-Manager]                Cable connections are not completely displayed in the report (Connection)
[Bug][Report-Manager]                Lengths in reports are converted
[Bug][Report-Manager]                Self-created SQL reports are not executed if one or more spaces are at the end of the query.
[Bug][API]                           Don't link empty organization to person
[Bug][API]                           cmdb.category.create and .update handle unit attributes differently when those are not explicitly set
[Bug][API]                           Fix to link IP address with network port via API
[Bug][Templates]                     Default Template is not used for objects, created via object browser
[Bug][Installation]                  Grant DB user remote access to databases if external DBMS is used
[Bug][CMDB]                          Contact assignments are lost during duplication
[Bug][CMDB]                          Wrong display of netto capacity of raid device under local storage
[Bug][CMDB]                          Filtering by empty string leads to error in object browser configuration
[Bug][CMDB]                          Broken icon for "object group"
[Bug][CMDB]                          License Widget displays no or incorrect data
[Bug][Dashboard]                     Widget: Appearance of many bookmarks leads to a corrupt view
[Bug][CSV Import]                    CSV import object matching via console import not possible
[Bug][CSV Import]                    Not neccessary option to import length unit in csv import
[Bug][Export]                        CSV export displays capacity of devices incorrectly
[Bug][Relations]                     Display of wrong type in CMDB-Explorer
[Bug][Relations]                     Relationship cannot be established
[Bug][Admincenter]                   Creating a new tenant also creates a duplicated MySQL user with identical name
[Bug][Admincenter]                   Delete clients with the authorized user
[Bug][CMDB-Explorer]                 CMDB explorer shows relations from entries in custom categories which are archived or deleted
[Bug][Authorization system]          Missing sorting in suggestion area of selection for persons/person groups in rights configuration
[Bug][Authorization system]          Object Browser ignores the rights of the user

1.12.2
--------------------------------------------------------------------------------
[Task][Code (internal)]     Remove all polyfills for mbstring extension
[Improvement][LDAP]         SYNC: Import of more than 1000 users
[Improvement][CMDB]         Save CMDB Status filter
[Bug][Code (internal)]      Object counter to show the number of objects per object type slows down the system
[Bug][Code (internal)]      Improved security
[Bug][Mass editing]         CMDB status of mass change template always overwrites CMDB status of objects
[Bug][Mass editing]         Mass change has no effect
[Bug][Export]               Attribute "Purchased at" is not transferred to new object when duplicating
[Bug][Export]               Setting to define limiter of csv exports does not work for every type of csv export
[Bug][System settings]      Access to / upload folder without authentication
[Bug][System settings]      "A support button to fix all" sequential requests
[Bug][Search]               Find the right dialogue+ value
[Bug][Search]               Standard Search of Dialog Fields
[Bug][Search]               Correct representation of umlauts in sources
[Bug][Search]               Search indexing of category C__CATG__CONNECTOR
[Bug][Search]               Find all aliases that are specified
[Bug][Categories]           Create tags without substrings
[Bug][Categories]           IPv6 networks are not stored correctly
[Bug][Categories]           Content from category extensions and assigned organization in category "master data" is deleted if the person is assigned to an object which is duplicated
[Bug][Categories]           Multi select in object browser is cut at a certain point
[Bug][Categories]           Root location does not have an entry in location table
[Bug][Categories]           Filtering on object browser not possible, when category names are shown
[Bug][Categories]           Assign software if the change comment is enabled
[Bug][Categories]           Controllers cannot be assigned to any device
[Bug][Categories]           Use the contract date in the list view
[Bug][Categories]           Using some special characters for password causes makes login impossible
[Bug][Categories]           Mouse over for last object in object browser does not work
[Bug][Categories]           SQL error after saving a central unit
[Bug][Categories]           Operation expenses being multiplicated when duplicating an object
[Bug][Categories]           Wrong export of date information
[Bug][Categories]           Show the right contacts in the overview page
[Bug][Categories]           Allow your own filter settings in the Object Browser
[Bug][Categories]           List editing visible as category
[Bug][Categories]           Arbitrary example data for field placeholders in the category "General"
[Bug][Categories]           Show access URL's if no serial number is available
[Bug][Categories]           Typo in german version "Email" instead of "E-Mail"
[Bug][Report-Manager]       Comments must be checked for SQL statements
[Bug][Report-Manager]       Attributes from "logical ports" not available in report manager
[Bug][Report-Manager]       Use of line breaks in the SQL editor are cleaned up
[Bug][Report-Manager]       Wrong output of e-mail addresses in reports
[Bug][Report-Manager]       Error when using attribute "last refresh" of category "custom identifiers" in report
[Bug][Report-Manager]       Error in Report Manager
[Bug][Report-Manager]       Setting to only show category entries of condition "normal" does not work in report manager for category "operating system".
[Bug][Report-Manager]       Selecting attribute "operating system" from category "operating system" in report manager lists all assigned operating systems instead of the primary
[Bug][Report-Manager]       Show HTML in created PDF from report manager as well
[Bug][Report-Manager]       Sub-category "Connections" Provide the "Input / Output" attribute for Report Manager
[Bug][Nagios]               Show the Check_commands values of the Nagios Services
[Bug][Nagios]               Double entries in Monitoring > NDO
[Bug][CSV Import]           CSV import clears fields, which are not contained in the csv import file
[Bug][CSV Import]           Attribute "Manufacturer" from category "Application" not available in CSV import
[Bug][CSV Import]           CSV Export incomplete in category "Contact Assignment"
[Bug][CSV Import]           CSV import: Blank tags are created
[Bug][CSV Import]           CSV-Import: Contact assignments are not created
[Bug][CSV Import]           CSV-Import: Identification of locations based on complete location paths
[Bug][CSV Import]           Latitude and longitude can only be imported with errors via the CSV import
[Bug][Authorization system] Rights are not read correctly
[Bug][Authorization system] Restrict access to object browser settings under administration
[Bug][List editing]         Bad placement for calandre feature in list edit
[Bug][List editing]         List editing of the category General deletes tags
[Bug][List editing]         Changing an entry in a custom category (via list edit) leads to the description field being overwritten
[Bug][List editing]         List Editing: Category "Port" Attribute "Standard VLAN" is emptied
[Bug][List editing]         List edit category Cabling > Connections Empties Color/Wavelength
[Bug][List editing]         List editing of the category Cabling > Connections Empties Connected to port
[Bug][List editing]         Category "General" Save attribute "CMDB status" correctly
[Bug][List editing]         Category "Listendit" for new object types without function
[Bug][List editing]         List editing of user-defined map categories with horizontal lines
[Bug][List editing]         Field type "Link" leads to an error in user-defined categories in list edit
[Bug][List editing]         In the listedit, the contacts within the category Audit are not displayed correctly
[Bug][List editing]         In the listedit hidden columns were not hidden on new entries
[Bug][List editing]         Error when opening list edit
[Bug][Logbook]              Logbook for service assignment incomplete
[Bug][Logbook]              Logbook entries are deleted permanently.
[Bug][Logbook]              Logbook: Entries can disappear from the visible area
[Bug][Custom categories]    When creating new entries in User defined Categories data will be prefilled
[Bug][Custom categories]    QCW Profil Import
[Bug][Custom categories]    Content from dialogue-plus fields can only be found after renewing the search index manually
[Bug][Custom categories]    Archiving/Deleting entries in custom categories is not logged into the logbook
[Bug][Custom categories]    Dialog fields are not marked as drop down
[Bug][Custom categories]    UTF-8 Symbols in the Database of the Custom Categories
[Bug][Validation]           IPv4 address is not validated by Global validation
[Bug][Validation]           Save MAC addresses using EUI-64
[Bug][JDisc]                JDISC: Cluster / cluster services are not imported correctly
[Bug][JDisc]                When importing via JDISC a new Dialog+ entry is created at manufacturer for each application.
[Bug][JDisc]                Changed IP addresses are not adopted during JDISC import (update)
[Bug][LDAP]                 Connect LDAP
[Bug][LDAP]                 Special characters are not escaped during LDAP sync
[Bug][LDAP]                 LDAP Sync on StartTLS without function
[Bug][Admincenter]          Remote Code Execution in the Admin Area
[Bug][Notifications]        Notifications: Emails for expiring licenses will not be sent
[Bug][Relations]            Remove the database access via the database schema
[Bug][Relations]            Subcategory "Listerner" of category "Network Connections" does not create relationships
[Bug][Relations]            Fix the sorting of weighting in relation details
[Bug][CMDB]                 Automatic generation of inventar number fails with php 7.2
[Bug][CMDB]                 Errors when archiving / deleting objects
[Bug][Console]              Reduce animations while generating search index to increase performance
[Bug][Update]               Executing the update not possible in some cases, if Internet Explorer 11 is used
[Bug][Lists]                Fix paging when object status is changed
[Bug][Lists]                Error when using filter in object lists when involving a default sorting
[Bug][Lists]                Error when filtering in object lists
[Bug][CMDB-Explorer]        Bad presentation when using long titles in service selection of CMDB explorer
[Bug][CMDB-Explorer]        Open CMDB Explorer with IE11
[Bug][Connector Cabling]    tbd
[Bug][Systemtools]          Removal of the "One Button to fix them all"
[Bug][My-doit]              CMDB-Status Filter filter
[Bug][Monitoring]           Can't choose monitoring instance in "Monitoring: Affected Hosts" widget
[Bug][Objects]              Category "contact assignment" leads to performance fluctuations in the overview
[Bug][Objects]              Fade out when the category "Service" is not filled
[Bug][Objects]              When creating, data is entered in the Form factor category.
[Bug][Events]               Events: Wrong/missing information in transmission to shell script
[Bug][Licence settings]     Special characters: Assignment of a license with special characters not possible
[Bug][CMDB settings]        SYSIDs will not always be generated as unique
[Bug][Import]               Wrong translation in OCS import settings

1.12.1
--------------------------------------------------------------------------------
[Bug][Code (internal)]      Invalid tenant ids are accepted
[Bug][Code (internal)]      Arbitrary File Download Security Vulnerability
[Bug][CMDB]                 Unauthenticated SQL-Injection in i-doit during login
[Bug][CMDB]                 Via the URL parameter "objectGroupId" it was possible to inject SQL Injections.
[Bug][Custom categories]    Editing of custom categories overwrites existing categories
[Bug][List editing]         Edit attributes in list editing
[Bug][List editing]         Edit values in the Contract category in list editing
[Bug][CSV Import]           Import object assignments via CSV
[Bug][Search]               Opening an object via location view with active result list from search reopens search instead of the chosen object
[Bug][Admincenter]          Open the Admin Center with i-doit Cache
[Bug][Console]              Exit codes for the console.php
[Bug][Categories]           Create a report with service assignment as condition
[Bug][Authorization system] Right to create a new report can be avoided when using a second tenant
[Bug][Report-Manager]       Deploy connected to attribute from all parent categories

1.12
--------------------------------------------------------------------------------
[Task][Export]                                   Caching in "isys_export_helper" should be switchable
[Improvement][Update]                            PHP warning when updating
[Improvement][Custom categories]                 New field type for custom categories
[Improvement][Custom categories]                 Attributes  should be changeable by api only over new option "ApiOnly"
[Improvement][Console]                           Command for filling dynamic groups
[Improvement][Code (internal)]                   Compatibility with PHP 7.2
[Improvement][Check_MK]                          Add-onize Check_MK
[Improvement][JDisc]                             JDisc: Optional device scan via "IP/FQDN"
[Improvement][Configure Apache HTTPD, PHP & Co.] Combine all .htaccess files to one
[Improvement][Configure Apache HTTPD, PHP & Co.] Remove setting "FollowSymlinks" from .htaccess file
[Improvement][Configure Apache HTTPD, PHP & Co.] Remove PHP settings from .htaccess file
[Improvement][Configure Apache HTTPD, PHP & Co.] Remove Apache 2.2 related settings from .htaccess files
[Improvement][Configure Apache HTTPD, PHP & Co.] Remove out-dated URL rewrite rules
[Improvement][LDAP]                              LDAP: Login-Sync optionally by sync user instead of i-doit user
[Improvement][API]                               Embedding of "?load=api_properties" into i-doit configuration
[Improvement][Search]                            Renewing search index via user interface
[Improvement][List editing]                      List edit - category 'Operating system': Cannot select variants
[Improvement][CMDB]                              Category hostaddress: objectbrowser should show either IPv4 or IPv6 networks
[Improvement][Nagios]                            Add-onize Nagios
[Bug][List editing]                              Attribute 'Version number (patchlevel)' not available in list edit of category 'Software assignment'
[Bug][List editing]                              List editing is not available anymore
[Bug][List editing]                              List edit for category host address misses the attribute "address allocation"
[Bug][List editing]                              Fix icons in list editing
[Bug][List editing]                              Apply values for categories of all objects that already contain data in that particular category
[Bug][List editing]                              Cannot use the list edit on category "SLA"
[Bug][List editing]                              List edit: Category "Local mass storage" and subcategories are missing
[Bug][List editing]                              List edit: Enable category file assignment
[Bug][List editing]                              Attribute Address allocation (Category Host address) not available in list edit
[Bug][List editing]                              When editing lists you MUST make a selection at Yes/No Fields
[Bug][List editing]                              the Location Suggestion in the List edit are hidden behind  Element
[Bug][List editing]                              List edit is reset when clicking on Object type configuration
[Bug][Check_MK]                                  Separation of Check_MK and Check_MK 2.0 content
[Bug][Lists]                                     Attributes from category "storage" can not be selected for view in object lists
[Bug][Lists]                                     Multi value categories claim a bigger amount of space than needed, even if there is only one entry
[Bug][Lists]                                     Edit button is missing in the templates of mass changes
[Bug][Lists]                                     Implement consistent behaviour for filter suggestions in object lists
[Bug][JDisc]                                     Problems using the JDisc webservice
[Bug][JDisc]                                     JDisc Import: Operating system licenses are not assigned during an import
[Bug][JDisc]                                     JDisc: Bad cluster assignment on guest systems
[Bug][JDisc]                                     JDISC: Filtering for logical ports failed
[Change][Performance]                            Improved performance for category tree when displaying custom categories with reports
[Bug][Connector Cabling]                         Incomplete visualisation of connectors in cabling view after swap CI
[Bug][Workflows]                                 Empty page is shown after accessing the workflow add-on in i-doit 1.12
[Bug][Relations]                                 For archived or deleted database scheme, relationships are not deleted
[Bug][Relations]                                 Object type as relationship master only sets relations that do not have a fixed direction
[Bug][Relations]                                 Fix database error when choosing a relationship
[Bug][Installation]                              Path "/upload/files/" is not created during the installation
[Bug][Installation]                              Extend recommendation for PHP version to  include 7.2
[Bug][Code (internal)]                           Compatibility with Mobile Browser
[Bug][Code (internal)]                           Save passwords without cleanup
[Bug][Code (internal)]                           Administration: "Renew relation objects" leads to "Fatal Error"
[Bug][Search]                                    Search: Templated objects are not indexed
[Bug][Custom categories]                         Performance of category lists drops with many Dialog-Plus entries
[Bug][Categories]                                Creating connectors not possible when change comment is active
[Bug][Categories]                                Object browser lists objects, created in object browser, only after refres/change of view
[Bug][Categories]                                Print view for ip list not sorted correctly
[Bug][Categories]                                Wrong information in print view of IP lists
[Bug][Categories]                                Wrong sorting in category "assigned objects"
[Bug][Categories]                                Rack view in category racks buggy
[Bug][Categories]                                add role by person group assigned objects
[Bug][Categories]                                Sorting in the site tree and site requester
[Bug][Categories]                                Attribute Search Domain from the Host Address category is not included while duplicating an object
[Bug][Categories]                                Persons: company isn't visible in core data after saving
[Bug][Categories]                                Wrong property type for attribute "Persons > Master data > Salutation"
[Bug][Categories]                                Creation of entry in "Operating system" category creates two entries
[Bug][Export]                                    Export Wizard generates broken XML export that cannot be displayed
[Bug][Update]                                    Fix warnings about unexpected parameters during an update
[Bug][Update]                                    i-doit update should only be accessible for members of admin group
[Bug][CMDB settings]                             Sorting in dialogue admin after editing not possible
[Bug][CMDB settings]                             General settings: Default value "Disable logbook commentary"
[Bug][Report-Manager]                            Usage of name in Reports leads to an error
[Bug][Report-Manager]                            Missing formatation in report output
[Bug][Validation]                                Validation for object-title and use of templates produce display errors
[Bug][User settings]                             Button to reset settings of category list does always reset configuration to default settings from rollout
[Bug][Objects]                                   Subcategory "guest systems" of category "virtual host" performs a mixed assignment to inconsistent view
[Bug][Objects]                                   When new clients are created, a memory module is first created when category memory is shown on overview
[Bug][Import]                                    CSV-Import: Writing empty values into date fields not possible
[Bug][CMDB]                                      Duplicating / Templating of enclosure category does not consider sorting
[Bug][CMDB]                                      "Counter" placeholder is not available for title definition while creation of connectors
[Bug][CSV Import]                                CSV-Import: Multiple contact assignments in mode "row" with different object types leads to errors
[Bug][LDAP]                                      LDAP: TLS- and STARTTLS ignores user defined port
[Bug][LDAP]                                      LDAP: wrong check of functions
[Bug][System settings]                           Icons are not loaded when a proxy server is used
[Bug][System settings]                           System Tools: You can delete the Admin etc. Delete groups using the system tools
[Bug][Dashboard]                                 Widget: Appearance of many bookmarks leads to a corrupt view
[Bug][Configure Apache HTTPD, PHP & Co.]         Deny access to log files via Web server
[Bug][API]                                       API: Providing ID`s as string leads to wrong identification of dialog entry

1.11.2
--------------------------------------------------------------------------------
[Improvement][Custom categories] Custom backward category / report must not be overwritten within the category
[Improvement][Dashboard]         Visualization of the remaining runtime in the license-widget is confusing
[Improvement][Code (internal)]   Change the behaviour of the tenant-switcher
[Improvement][Code (internal)]   Adding support for PHP extension "memcached", additional to "memcache"
[Bug][Mass editing]              Mass change: Creating a new template shows too many categories as edited
[Bug][Categories]                Button "Add" in categorie "assigned objects" (below category "files")
[Bug][Categories]                Sorting on object browser not clear
[Bug][Categories]                Multiple assignments of one object in assignment categories causes existing assignments to be removed when creating a new assignment in this category
[Bug][Categories]                Category group membership unable to assign to object group
[Bug][Categories]                Category Accounting, attribute purchased at can not be disconnected
[Bug][Categories]                Category Files / Assigned Objects shows false entries
[Bug][Categories]                Suggestion feature for object browser with subselect causes the entry not to be saved
[Bug][Categories]                Condition selection in category "Assigned objects" below "Persons" not available
[Bug][Categories]                Wrong calculation in category object vitality
[Bug][Categories]                Recycled should keep their original name
[Bug][Categories]                Incorrect data cleansing in subcategory "Contract information" in attribute "Costs"
[Bug][Categories]                Category "Access" multiple saving leads to a duplicated data record
[Bug][Categories]                Filter in category list configuration finds objects
[Bug][Categories]                Category "Person group" Subcategory "Assigned objects" is missing the Edit button in the listview
[Bug][Categories]                Category "Person group" Subcategory "Members" is missing the possibility to edit this view
[Bug][Categories]                Status selection in category "locally assigned objects" not avilable
[Bug][Categories]                Sorting of chassis slots in category'Chassis - Slots' flawed
[Bug][Dashboard]                 More information in the calendar widget
[Bug][Dashboard]                 Highlighting entries in the calendar widget
[Bug][Dashboard]                 Grouping of report results gets lost in widget when sorting
[Bug][List editing]              List editing: In the category "Passwords" the content of the attribute "Password" can be lost
[Bug][List editing]              Poor performance of the object browser in list edit
[Bug][List editing]              Attribute "Address allocation" in category "Hostaddress" isn't available in list edit
[Bug][Objects]                   Duplicating objects with contact assignments results in broken titles
[Bug][Objects]                   Category "group membership" can not be assigned to a collection
[Bug][Objects]                   Object browser: Scaling of icons is missing
[Bug][Objects]                   MAC address is always written in lower case
[Bug][Objects]                   Tags won't be duplicated
[Bug][Search]                    search does not find content of description fields
[Bug][Search]                    LDAP-sync poor performance through custom-categories
[Bug][Search]                    MAC address is not indexed
[Bug][Search]                    Attribute "service tag" of category "model" can not be found via search
[Bug][Search]                    Search Index "Custom Categories" are not fully indexed
[Bug][Search]                    Result list of search only shows IDs of these categories instead of their names
[Bug][Search]                    Search does not use setting to ignore archived/deleted objects
[Bug][Search]                    HTML tags in search results
[Bug][Search]                    Category "Model" is not fully indexed in the search
[Bug][Search]                    Incorrect information on reindexing
[Bug][Search]                    Selection of view mode disappears when using search
[Bug][Search]                    Controller: PHP Warning at the handler "search_index"
[Bug][CMDB]                      Object Browser does not display all objects with the category assigned workplace under logical location
[Bug][Lists]                     Port > Hostadresse in Listview creates error
[Bug][Lists]                     Filter Symbol in Object List is not displayed
[Bug][Lists]                     Archived / deleted services are displayed in object lists
[Bug][Lists]                     Filtering attributes from custom categories in object lists not possible
[Bug][Lists]                     Assigned contracts are not shown in object list, when no start and end date is defined for contract
[Bug][Lists]                     Suggestions of filter in object lists do not always match
[Bug][Lists]                     Paging/filtering in category list is not possible
[Bug][Lists]                     Attribute "description" of category "operating system" not available in some features
[Bug][Lists]                     Assigned contract is not displayed in object list
[Bug][Lists]                     Location path is aligned left in in several areas
[Bug][Lists]                     Sorting in subcategory "License key" of category "License assignment" incorrect
[Bug][Lists]                     Archived service assignment is displayed in object lists
[Bug][Lists]                     List view shows wrong guarantee date
[Bug][Lists]                     Location browser: Sorting in site selection incorrect
[Bug][Lists]                     Quick info links does not work in category lists
[Bug][Lists]                     wrong sorting of ip adresses in objekt lists
[Bug][Lists]                     Ping over nmap returns false results and results in a "service unavailable" error message in the browser
[Bug][Lists]                     Emtpy fields after choosing relating attributes in list
[Bug][Lists]                     Cannot sort after "Group type" and "Export this configuration"
[Bug][Lists]                     Sorting the date in the object view is wrong
[Bug][Report-Manager]            Report Manager: Category "Contact Assignment" Attribute "Role" leads to an error if explicitly selected
[Bug][Report-Manager]            Special characters in description fields cause these fields to be empty in export when used in a report
[Bug][Report-Manager]            Report Manager: Conditions are not reloaded
[Bug][Report-Manager]            Report Manager: Category "Parent object" various attributes from the category "master data" lead to errors
[Bug][Report-Manager]            Report Manager: "Primary host address" attribute leads to an SQL error via assignment category
[Bug][Report-Manager]            Report Manager: Field "Dialog + Multiple Selection" leads to SQL errors in the conditions
[Bug][Report-Manager]            Report Manager: Incorrect sorting of "host addresses"
[Bug][Report-Manager]            PHP 7.1 cuts off parts of SQL from reports
[Bug][Report-Manager]            Missing attribute "Layer-2-net assignment" from category "Net" in Report Manager
[Bug][Report-Manager]            Error when editing an existing report
[Bug][Report-Manager]            Error while execution the report
[Bug][Report-Manager]            Duplicating a report sets attribute "Grouped multivalue presentation" always to "yes"
[Bug][Report-Manager]            Report Manager: Option "Grouped Multivalue Display" is saved as Yes
[Bug][Report-Manager]            Report Manager: Latitude and longitude not available as criteria
[Bug][Report-Manager]            Order by host address is not working
[Bug][Connector Cabling]         Detection routine for free cables faulty
[Bug][LDAP]                      If no connection to ldap server can be established, it will permanently try to connect
[Bug][LDAP]                      LDAP Sync: Configuration file is ignored
[Bug][Check_MK]                  Check-MK: Export via GUI / Script leads to unwanted calculations on the file system
[Bug][Check_MK]                  Check_mk: Category "Cluster" leads to missing objects during an export
[Bug][Controller]                Controller: Exporting a report results in verbose in a PHP error
[Bug][Active Directory]          Error message Login with configured SSO
[Bug][CSV Import]                Identification of objects, using a comma not possible in CSV import
[Bug][CSV Import]                CSV-import: Object type "Organization" is imported without a title
[Bug][CSV Import]                When importing persons via the CSV import, it occasionally creates unset organization relationships
[Bug][CSV Import]                Match to attribute "address allocation IPv4" will be ignored by CSV data import
[Bug][CSV Import]                CSV import: "Version number / patch level" attributes are missing in the assignment
[Bug][CSV Import]                CSV export of multi value catories does not include delimiters
[Bug][User settings]             Default sorting in category lists can not be removed
[Bug][Print view]                Print view empty for custom categories using a report
[Bug][Update]                    Automatic check after empty crypt key
[Bug][Update]                    Wrong response during update if files can not be replaced because of missing permissions
[Bug][Validation]                Duplicating an object does not consider validation
[Bug][Validation]                Description fields won't be displayed as mandatory
[Bug][Nagios]                    Nagios incompatibility with Maintenance Add-On
[Bug][QR-Codes]                  /src/tools/php/barcode.php throws notice
[Bug][QR-Codes]                  /src/tools/php/qr/qr_img.php throws fatal error
[Bug][Object type configuration] Category "General" can be moved without effect in configuration of overview page
[Bug][Interface management]      TTS: Various attributes related to linked tickets are missing when using RT
[Bug][Installation]              PHP warning during installation and use
[Bug][Request Tracker]           RT: False URL when using "Open in ticketing system"
[Bug][Relations]                 Relationships of clusters to cluster services are not correctly if state is archived/deleted
[Bug][Relations]                 Relation objects are not archived when related objects are being archived in corresponding categories
[Bug][Custom categories]         List view from custom categories incorrect

1.11.1
--------------------------------------------------------------------------------
[Task][Admincenter]              AdminCenter: Fatal error while opening Add-Ons without valid i-doit login session
[Improvement][Report-Manager]    Report-Manager, attribute tags in the General category
[Improvement][Report-Manager]    Applications: assigned license key
[Improvement][Code (internal)]   Extending of existing object lock for object independent locks
[Bug][Objects]                   Object browser: Instance / Oracle Database "DBMS" Selectable object types
[Bug][Objects]                   Object Browser: Instance / Oracle database "DBMS" performance issues
[Bug][Objects]                   Losing category "Instance / Oracle database" information when duplicating an object
[Bug][Objects]                   Object Browser: "Service» Service Components "changes are ignored
[Bug][Objects]                   Access URL won't be displayed as link in object list
[Bug][Objects]                   No pre-selection by object type in object browser
[Bug][Objects]                   Incorrect object is displayed in the Object Browser input field
[Bug][Objects]                   Apostroph in object title causes javascript error on save
[Bug][Objects]                   Passwords are not being duplicated
[Bug][Objects]                   Category "Cabinets" only considers the object type Cabinet
[Bug][Objects]                   Allocation of the last port is lost with duplicate saving in the connection category
[Bug][Custom categories]         Inkonsistent behaviour of yes/no fields
[Bug][Report-Manager]            Feature "Grouped multivalue presentation" in report manager set to "No" as deafult
[Bug][Report-Manager]            Attribute "Database instance" (Category: "Database schema") not available in Report Manager
[Bug][Report-Manager]            Report-Manager: Conditions are missing comparison operators
[Bug][Report-Manager]            Variable report results in an sql error message in a custom category
[Bug][Report-Manager]            SLA time values not usable in report manager
[Bug][Report-Manager]            Second vertical scrollbar in report result list when using a description
[Bug][Report-Manager]            Error when executing a report with empty result
[Bug][Report-Manager]            Report with data of the categories Software assignment and Operating system delivers corrupted results
[Bug][Report-Manager]            Click on variable report always leads to the referring object
[Bug][Report-Manager]            Cost values of 0,00 are shown as empty result in reports
[Bug][Report-Manager]            Report Manager: Attribut "Host in cluster" not read properly
[Bug][Report-Manager]            Location paths from reports flawed when calling via API
[Bug][Report-Manager]            Report contains no results if query retrieves information from categories  'Contact assignment' and 'Service assignment'
[Bug][Report-Manager]            Sorting after ID in Report Manager defective
[Bug][Report-Manager]            Report Manager: Database Used Database field of the Database Assignment category causes SQL errors
[Bug][Report-Manager]            Selection of some attributes in report manager may cause an empty result under some circumstances
[Bug][Check_MK]                  New API function for reading host tags
[Bug][Check_MK]                  Check-MK: export of dynamic host tagswithout manual saving of the category "host tgs"
[Bug][Check_MK]                  Check-MK: Limitation is missing when exporting dynamic host features
[Bug][Analytics]                 Missing objects when displaying the detailed information of custom categories
[Bug][Templates]                 Overview of the usable placeholders in templates
[Bug][Search]                    Auomatic refresh of search index locks table of search index and causes long wait times
[Bug][Search]                    Performance problems when using custom categories while saving/duplicating
[Bug][Search]                    Attribute "firmware" from category "model" can not be found via search
[Bug][Search]                    Attribute "serial number" from category "model" can not be found via search
[Bug][Search]                    Search index is not refreshed when saving content in UI
[Bug][Search]                    Information in search results is shortened untipically
[Bug][Search]                    Language setting does not affect information within search results
[Bug][Search]                    Search results from category host address are always shown as primary
[Bug][Search]                    Hightlighting of search results not highlighting correct content
[Bug][Search]                    Search results not logical, if less than three characters  are used
[Bug][Search]                    Formatting is carried to preview of search results
[Bug][Search]                    While indexing dialog(+) fields a message in log will be displayed
[Bug][LDAP]                      LDAP-SYNC / Auth is case-sensitive and creates duplicate contacts
[Bug][LDAP]                      LDAP sync duration distinctly longer
[Bug][Update]                    Smarty Memcache check breaks i-doit
[Bug][Update]                    Wrong MySQL/MariaDB version number in update GUI
[Bug][Export]                    CSV export from custom categories shows no results
[Bug][Categories]                Status dropdown in category "Network - Port" not available
[Bug][Categories]                Selecting version number in operating system assignment offers wrong versions
[Bug][Categories]                Category Access: SSH connections with more than one digit in one of the octets and user allocation are faulted
[Bug][Categories]                Objects in categorie "relations" can not be clicked and do not deliver a quick info
[Bug][Categories]                Special characters in objects which are not assigned in a net cause the IP-list being not able to be loaded
[Bug][Categories]                Duplicating objects with contact assignment, not containing a space in object title adds a space at the end of the name of the assigned object
[Bug][Categories]                Archived database schemes are still being displayed in the print view
[Bug][Categories]                Line breaks from multiple row text fields are being deleted in the print view
[Bug][Categories]                Statistics of racks in a room do not include values of the rack itself
[Bug][Categories]                Sub category Connections, attribute Connected with shows error "General error: Object ID missing!", while no object was connected
[Bug][Categories]                Attribute "Conntected with" shows that a connection will be deleted, even if there's no concurrent connection available
[Bug][Categories]                Cannot create an entry into the password category without username or title
[Bug][Categories]                Field "host in cluster" does not appear during object creation on overview page
[Bug][Categories]                Date fields can not be cleared
[Bug][Categories]                Saving of attribute "Parallel relations > objects" not possible
[Bug][Categories]                Cabling of objects via connector overview creates a new cable instead of using the already selected cable
[Bug][Categories]                After archiving/deleting an object, the object-list view of application shows a wrong count of installations
[Bug][Categories]                Cannot reset height units of racks
[Bug][Categories]                Adding a port to a Layer-2-Net resets tag information of every related port
[Bug][Documents]                 The category "Organization" => "Person" is missing in the property selector
[Bug][Documents]                 Cannot create documents when one or multiple attribute assignments are missing
[Bug][CSV Import]                Passwords are being reset when setting another attribute of the category 'Login' when importing via CSV
[Bug][CSV Import]                Blank values do not overwrite current values
[Bug][CSV Import]                CSV import: Cannot set attributes Runtime and Cancellation period
[Bug][CSV Import]                CSV Import: Allocation partially shows language constants
[Bug][CSV Import]                CSV Import cannot write information into attribute Assigned licence
[Bug][CSV Import]                CSV Import ignores default-template
[Bug][JDisc]                     Error when using JDisc import mode "overwrite"
[Bug][JDisc]                     Scan new and update from JDisc no import
[Bug][JDisc]                     Wrong counting during JDisc import of objects via console
[Bug][Lists]                     Sorting attribute "Host in cluster" causes error
[Bug][Lists]                     Error when sorting attributes from categorie "JDisc custom attributes"
[Bug][Lists]                     Error when using category "version" of category "operating system" in list view
[Bug][Lists]                     Field "Headquarter" causes error in list view
[Bug][Lists]                     Not all attributes of category "Memory" are availbable to be shown in lists
[Bug][Lists]                     Drag 'n' Drop not working with some browsers
[Bug][Lists]                     In the search filter within the object lists, the condition "and" is ignored
[Bug][Lists]                     Wrong sorting through setting "Display of grouped data"
[Bug][Lists]                     Attributes of category "cluster memberships" can not be selected for display in object lists
[Bug][Lists]                     Filtering in object list Relations still shows paging
[Bug][Lists]                     Archived and deleted database assignments being shown in object lists
[Bug][Lists]                     List view automatically switches to first page after exiting an object
[Bug][Lists]                     Listen: Long column titles lead to unwanted breaks in filters
[Bug][Lists]                     Sort by VLAN ID incorrect
[Bug][Console]                   Console: Entering false user credentials does not lead to an error message
[Bug][Console]                   Commands: No message indicating faulty login
[Bug][System settings]           Editing list view for custom categories not possible
[Bug][System settings]           Hyperlinks in welcome message contains HTML
[Bug][System settings]           Expert settings display internal settings despite blacklist
[Bug][Validation]                Category validation does not work in category "General" when using templates
[Bug][Validation]                Global Category Operating System is missing in the category validation
[Bug][CMDB-Explorer]             CMDB Explorer: Export of SVGs only works in Firefox
[Bug][List editing]              List edit does not save entries in categorie 'Assignes workplace', if records already exist
[Bug][List editing]              Object group assignments cannot be edited via the list edit
[Bug][List editing]              Misspelling in the list edit
[Bug][List editing]              categories for "logical devices" not avilable in list edit
[Bug][List editing]              List Editing: Filtering in user-defined single-value categories results in an SQL error
[Bug][Authorization system]      Rights are not used additively
[Bug][Authorization system]      Rights are not fully accessible on the main page of an object
[Bug][Object type configuration] Attribute "model" is not used from default template
[Bug][Notifications]             Notifications: Incorrect URL in notifications via console
[Bug][Notifications]             Cannot choose templates in notifications
[Bug][API]                       API: Modifying of used cable in port category without specifying a connector not possible
[Bug][API]                       Changing of connected connector by the API causes a sql error
[Bug][API]                       Modifying object image category over the api is not possible
[Bug][API]                       Attribute 'On device' (Category 'Drive') cannot be written via API
[Bug][API]                       Editing of file category not possible via the API
[Bug][API]                       Unable to create or update connected cables via API
[Bug][Code (internal)]           Error message is thrown "default theme smarty cache" isn't writable
[Bug][Code (internal)]           Faulty check for free memory space in cases of unlimited (-1) memory limit in php.ini
[Bug][Code (internal)]           Duplicate: Category status-planning is duplicate
[Bug][Code (internal)]           Popups are being displayed in wrong size at wrong position
[Bug][Print view]                Information about licenses not correct in print view
[Bug][OCS]                       OCS import causes empty database entries
[Bug][CMDB]                      Cannot use line breaks in CSV files and GUI
[Bug][Logbook]                   Logbook: Category "Accounting" the attribute "Guarantee period" is displayed incorrectly
[Bug][Licence settings]          License Management: Can not delete an existing license
[Bug][Systemtools]               mod_rewrite check in system overview not correct when using https
[Change][Code (internal)]        Archiving default accounts

1.11
--------------------------------------------------------------------------------
[Task][Code (internal)]          Detach "Events" Add-on from the core
[Task][Import]                   Removing of loginventory import incl. DB, module, etc.
[Improvement][Categories]        Change columns from multi value categories
[Improvement][Categories]        Button for recommending passwords in the password category
[Improvement][Categories]        User definable columns in multivalue category-lists (as in object lists)
[Improvement][Categories]        Improved visualisation of chassis in rack
[Improvement][Code (internal)]   PHP 7.1 compatibility
[Improvement][CSV Import]        Contact assignment via mail address or login name not possible in the CSV import
[Improvement][CSV Import]        CSV import: object matching using object ID
[Improvement][Report-Manager]    Period of time can be slected as condition
[Improvement][Report-Manager]    Group Report manager results instead of showing multiple rows
[Improvement][Lists]             Fixed caption head in object lists
[Improvement][Lists]             Availability of attribute "capacity" of RAIDs for list view of storage systems
[Improvement][Lists]             Object lists: Show group membership of persons
[Improvement][Lists]             Showing linked beginning and end of conctracts in object lists
[Improvement][Lists]             Using a drop-down field in object list filter for drop-down and dialogue-plus fields
[Improvement][Lists]             Lists: Save sortings after attributes
[Improvement][Lists]             Object lists: Filter after dialog (plus) fields
[Improvement][Lists]             Display the variant and version number of an application in List view
[Improvement][Lists]             Display the number of cluster members
[Improvement][CMDB]              Extras menu does not disappear on clicking outside of it
[Improvement][CMDB]              Customizable columns and object types in object browser
[Improvement][CMDB]              Make tabs 'search' and 'reports' available for browsers with two columns
[Improvement][CMDB]              Select the standard object type of object browsers
[Improvement][Search]            Recursive search within location path (activatable in tenant settings)
[Improvement][Search]            Fuzzy search got removed
[Improvement][Search]            Adding aliase to the search index
[Improvement][Objects]           Object browser:  customizable columns as in the list views
[Improvement][Objects]           Bildergallerie: Sortierung nach Namen etc.
[Improvement][Custom categories] Selection of shown object types in object browser of custom category
[Bug][Lists]                     One-Klick-Edit Modus
[Bug][Lists]                     SQL-error in list view when searching all fields
[Bug][Lists]                     List View: Changing the column width in lists results in an unusable list
[Bug][Lists]                     JDISC: Edit Checkbox will be removed in the configuration / profiles
[Bug][Lists]                     Sorting: Subcategory "Installation" of the category "Application" not possible
[Bug][Lists]                     Sorting: Subcategory "License key" Sorting leads to incorrect presentation
[Bug][Lists]                     Object List: Backup Category Sorting for "being backed up" results in an SQL error
[Bug][Lists]                     Category "Contact Assignment"  field "Email Address" displays a function
[Bug][Lists]                     Deletet objects are used for counting of ip addresses in use
[Bug][Lists]                     Error when sorting for "category" from category "General"
[Bug][Lists]                     Sort subcategory "Assigned files" from the category "Files" not possible
[Bug][Lists]                     Dashboard-Widget: Object List can not be configured
[Bug][Lists]                     List view not visible on events "hooks / history"
[Bug][Lists]                     Print view in object lists without function
[Bug][Lists]                     Incorrect sorting in "Number of user-defined fields"
[Bug][Lists]                     Objektliste: Die Option "Gruppierte Daten zeigen als" kann nicht als Standard gespeichert werden
[Bug][Lists]                     Language constant is displayed in object list configuration
[Bug][Lists]                     Attributes "Front grid size" and "Rear grid size" are not available for view in object list
[Bug][Lists]                     Sorting of VLANs is alphanummeric
[Bug][Lists]                     Cannot filter after contract status
[Bug][Lists]                     Object list configuration still shows category 'Applications'
[Bug][Lists]                     Filter does not find supplied data in dialog+ fields
[Bug][Search]                    Search does not index model and manufacturer from category model
[Bug][Search]                    Search index: An error occurred when the search index was regenerated with a large database
[Bug][Search]                    Reindex via Console for a database error
[Bug][Search]                    Refactoring search indexing: Dialog + fields are not indexed
[Bug][Search]                    Content of description fields is kept in search index
[Bug][Search]                    Changing object type creates duplicated entry in the search index
[Bug][Search]                    After duplicating and object and changing it's object type, the search will display two results
[Bug][Search]                    Changing the object type results in a corrupt search index
[Bug][Search]                    Search: SYSID of object type "Cable" are not considered for search
[Bug][Search]                    FQDN can not be found via search
[Bug][Search]                    Custom categories can only be found using deep search
[Bug][Search]                    open: Fullindex aborts with memory leak
[Bug][Search]                    Deleted/archived objects can not be distinguished in the search
[Bug][Check_MK]                  Check_MK tag titles with quotes lead to problems when creating the idoit_hosttags.mk
[Bug][Check_MK]                  Check-MK: Deinstallation of the add-on possible
[Bug][Categories]                Attribute 'Path to save' not available in category 'Backup'
[Bug][Categories]                Specific category "license assignment" is necassary in i-doit open but can not be used
[Bug][Categories]                Saving an entry in the category "CUCM VoIP line" leads to an SQL error message
[Bug][Categories]                Placeholder %ipaddress% in category access also contains i-doit host
[Bug][Categories]                Logical devices being displayed despite being archived
[Bug][Categories]                Archived dialog + entries selectable in the state Normal
[Bug][Categories]                Patchlevel not being displayed in category 'Software Assignment'
[Bug][CMDB]                      Object Browser: Switch from "Object View" to "Search", "Location Not" or "Reports"
[Bug][CMDB]                      Paging does not work in Internet Explorer 11
[Bug][CMDB]                      Object browser: Performance problems when calling the object browser
[Bug][CMDB]                      Wrong decrypted passwords causes empty reports
[Bug][CMDB]                      Drop down for dates shown transculent when clicking multiple times
[Bug][CMDB]                      Inconsistent values for tmp_table_size and max_heap_table_size override each other
[Bug][CMDB]                      Duplicate: Confirmation by pressing ENTER-Key will not duplicate the object but reload the page
[Bug][CMDB]                      Incosisting sorting of service filters
[Bug][Mass editing]              Mass change overwrites content of custom categories with empty fields, even if the option to ignore empty fields is set
[Bug][Mass editing]              Mass change: existing templates are missing the download
[Bug][Mass editing]              Wrong display of changed attributes of category "monitoring" in mass change/templates
[Bug][Report-Manager]            Report Manager: Microsoft Internet Explorer does not display a report output
[Bug][Report-Manager]            Report Manager: Editing / saving a report is not possible
[Bug][Report-Manager]            Report Manager: Sorting reports will result in non-functioning buttons
[Bug][Report-Manager]            Report Manager: Duplicating a report is not possible
[Bug][Report-Manager]            Attributes of category "CPU" completely available for reports
[Bug][Report-Manager]            Attributes "Front grid size" and "Rear grid size" are not available in Report Manager
[Bug][Report-Manager]            Error when using some attributes in report manager
[Bug][Report-Manager]            Report Manager: Output of the language constant if the value is 0
[Bug][Report-Manager]            While executing a variable report, nothing happens
[Bug][Objects]                   Object browser: Category "QinQ CE-VLAN" does not display "Layer 2 networks"
[Bug][Objects]                   Opening the overview page jumps to the last field "on object browser"
[Bug][Objects]                   Automatic inventory number results in duplicate duplicate duplicates
[Bug][Objects]                   Incorrect summation of the objects to be licensed
[Bug][Objects]                   Prevent editing of multiple entries in multi-value categories
[Bug][Objects]                   Chassis: objects only assignable once
[Bug][Objects]                   Object browser: Category "QinQ CE-VLAN" Attribute "Assigned SP-VLAN" ignores configuration
[Bug][Objects]                   Object Browser: Missing categories in an object type may not display objects
[Bug][Objects]                   Assignment field: source object equals zero
[Bug][Objects]                   QCW: Final deletion of an object type group is not possible
[Bug][Objects]                   Wrong calculation of the next possible cancellation date
[Bug][Objects]                   Changing the status of a dialog field with a parent results in an error
[Bug][Objects]                   Cabinet view not correct on chassis
[Bug][Objects]                   Category: Virtual machine is the backward category without function
[Bug][Objects]                   Category Port overview (stacking) not visible
[Bug][Objects]                   Layer 2 network: Attached ports can not be purged
[Bug][Objects]                   Javascript warning on Dialog+ fields
[Bug][API]                       API: Multiple category entries in custom categories
[Bug][Open-Version]              i-doit Open: main area without function
[Bug][Installation]              Incorrect check of MySQL version during installation / update
[Bug][Installation]              Cache problem with multiple accesses
[Bug][Installation]              Improved check of versions during update and installation
[Bug][List editing]              List edit disregards data cleansing
[Bug][List editing]              List Editing: Editing the category "host address" is displayed incorrectly
[Bug][List editing]              List editing: Save category "electricity supplier / consumer" releases connections
[Bug][List editing]              Suggestion function does not open properly in fields of object browser
[Bug][List editing]              List Editing: Language Constant is displayed in the Location category
[Bug][List editing]              List Editing: Individual selection of an object is not possible for several objects
[Bug][List editing]              List Editing: Filtering by contact assignment by object title not possible
[Bug][List editing]              List editing: location not possible
[Bug][List editing]              Listedit of the category WAN CONNECTIONS shows succesfull save, but no value is changed
[Bug][Update]                    Database error in the update process
[Bug][JDisc]                     JDISC: Editing / creating a profile results in a DB error message
[Bug][JDisc]                     If you enter a value in the category JDisc custom attributes without attribute, an error message will be displayed
[Bug][Relations]                 Relationships: Weightings are missing in relations to be edited
[Bug][Relations]                 Relationships: list of relationships incomplete
[Bug][CMDB-Explorer]             CMDB Explorer: Management of profiles incorrect
[Bug][Authorization system]      Reports can be created in all report categories, even without permission
[Bug][Authorization system]      File Browser ignores the rights system
[Bug][Authorization system]      Rights system: Parameter All does not apply to "Categories in object type" in list edit
[Bug][Authorization system]      Purging all objects which are involved in an authorization set leaves an empty right
[Bug][CSV Import]                CSV import: LDAP group mapping leads to incorrect import
[Bug][CSV Import]                CSV import throws PHP fatal error
[Bug][Custom categories]         Custom Category: Dialog+(Multiselect) Attribute can not be deleted
[Bug][Custom categories]         Dialog+ multiple select ID instead of name if this is a zero
[Bug][Custom categories]         Error with Information "ID" in custom categories
[Bug][Custom categories]         Custom rearward category is not presented bold when the corresponding report does have results
[Bug][Custom categories]         In the help text no umlauts are displayed
[Bug][LDAP]                      LDAP sync results in exception errors
[Bug][LDAP]                      Display of the license in the license overview incorrect
[Bug][LDAP]                      LDAP Sync: Connection test output incorrect
[Bug][Console]                   Console: "Call to member function" after OCS import
[Bug][OCS]                       Database error during OCS import
[Bug][OCS]                       OCS import: Logging via GUI is missing
[Bug][Templates]                 High amount of templates/mass change templates will prevent vom showing all templates/mass change templates in selection
[Bug][Dashboard]                 Widget "objectlist" shows ID instead of livestatus icon
[Bug][Validation]                Validation of tags does not work in the list edit
[Bug][System settings]           System setting keys are limited to 100 characters
[Bug][Logbook]                   Logbook: list view of logbook entries superimposed fields if content is too long
[Bug][Logbook]                   Logbook: Archived entries can not be viewed
[Bug][Logbook]                   Missing horizontal scrollbar in logbook
[Bug][Logbook]                   Logbook: Allocation category "software allocation" no entries are made in case of changes
[Bug][Notifications]             Notifications: Incorrect output of objects for certain assigned person groups
[Bug][Notifications]             Notifications: Custom categories are missing for selection in e-mail templates
[Bug][Events]                    Events: Do not provide uniquely identifiable changes
[Bug][XML]                       XML export does not save information about the category "Virtual Machine"
[Bug][Import]                    Summary logic leads to various errors
[Bug][User settings]             Umlauts in the user login lead to incorrect logins
[Bug][Controller]                Full index enforces PHP setting "memory_limit" to 4 gigabytes
[Bug][Systemtools]               tmp_table_size being displayed twice in the system overview

1.10.2
--------------------------------------------------------------------------------
[Improvement][API]            API: Read, create, update and delete monitoring instances
[Improvement][API]            Create, read, update and delete static host tags via API
[Improvement][Systemtools]    Object counter in system overview for current tenant
[Improvement][Report-Manager] Addition of the attributes CPU cores and sockets in the report manager
[Bug][Custom categories]      Constants of custom categories receive hardcoded prefix
[Bug][Custom categories]      Wrong cleanup of HTML field in custom categories
[Bug][Custom categories]      When duplicating objects, all empty Dialog + fields within all custom categories a value were set
[Bug][Custom categories]      Dialog + field can only be saved once in the dialog admin
[Bug][Custom categories]      Different rendering of HTML editor fields in view and edit mode
[Bug][Categories]             The "All tickets" category now has an intuitive link to the referenced ticket
[Bug][Categories]             Rack statistics do not show all available results
[Bug][Categories]             Content of categorie extensions for personens are deleted, when categorie "Master Data" is edited
[Bug][Categories]             Deleting location assignments when editing categorie with insufficient permissions
[Bug][Categories]             Unwanted default values
[Bug][Categories]             Wrong RAID information when duplicating
[Bug][Categories]             No clickable relation to the database instance in the database schema
[Bug][Categories]             Type of connector is not duplicated
[Bug][Categories]             Removing linked database instance under some circumstances not possible
[Bug][Categories]             (Source) IP address assignment incorrect
[Bug][Categories]             Category crypto card stays gray despite filled attributes
[Bug][Categories]             Connecting a VM with a cluster is not possible without host selection
[Bug][Categories]             Check the inputs of attributes volts, watts and ampere
[Bug][Categories]             Ampere displays many decimal places
[Bug][Categories]             Length of cables is not duplicated
[Bug][Categories]             Cannot save half hours in reaction time
[Bug][Lists]                  Cannot show database instances in the list of database schemas
[Bug][Lists]                  Cannot show database schemas in the list of database instances
[Bug][Lists]                  Cannot sort after category or purpose in lists
[Bug][Lists]                  Filtering attribute "tags" does not work
[Bug][Lists]                  Sorting by tags in object lists not possible
[Bug][Lists]                  Not possible to assign the attribute "Assignes devices (Logical devices (LDEV server))" to lists
[Bug][Lists]                  Allocated IP addresses are not being sorted correctly
[Bug][Lists]                  Object lists do not save the default filter
[Bug][Lists]                  Incorrect sorting of costs in the list view of contracts
[Bug][Logbook]                Wrong information in logbook for categories with default values
[Bug][Logbook]                Wrong logbook content for locations
[Bug][Logbook]                Editing the general category on the overview page cretaes logbook entries for the location category
[Bug][Logbook]                Editing category general does not create logbook entries
[Bug][Logbook]                Logbook: Changes in the category "contract assignment" on the attribute "Leistungsschein" are not written
[Bug][API]                    API responded with wrong session ID after successful login
[Bug][API]                    API: API creates unused cable while creating a new physical network port
[Bug][API]                    API: Headers not RFC 2616 compliant
[Bug][API]                    Missing logbook entries after creation of content via the API
[Bug][API]                    API: Enter IP addresses via API results in errors when a validation of category "host address" is set
[Bug][API]                    API: cmdb.category.create does not create a value in a custom dialog+ field (multiple)
[Bug][API]                    API: Batch request with cmdb.category.create or .update throws SQL error for category model
[Bug][JDisc]                  Manually documented locations are overwritten when importing sysLocation via JDisc
[Bug][JDisc]                  Incorrect import of chassis view via JDisc
[Bug][JDisc]                  Import Filter JDisc for Hostadresses
[Bug][Notifications]          License expiration notifications apply only to the first license key
[Bug][Notifications]          Notifications also use archived and deleted contacts
[Bug][Notifications]          Misspelling in the configuration of notifications of unchanged objects
[Bug][List editing]           Multi value categories can not be edited via list edit
[Bug][List editing]           List edit: Validation of attributes that are not being displayed
[Bug][List editing]           Entering money values only possible with dots instead of commas
[Bug][List editing]           List Editing: Deleting e-mail addresses leads to incorrect entries
[Bug][List editing]           "Description" is being validated in List Edit
[Bug][List editing]           Inkonsistancy Behaviour Of DialoguePlus DropDowns Under List Edit
[Bug][Validation]             Automaticly generated inventory number deactivates validation of this attribute
[Bug][Report-Manager]         Categorie "Virtual devices" is not available in report manager
[Bug][Report-Manager]         "Condition" and "status" are being mixed up sometimes
[Bug][Report-Manager]         Attribute "standard gateway for net" can not be used in report manager
[Bug][Report-Manager]         DB Error Message Appears Executing A Report With More Than One Condition
[Bug][Report-Manager]         Option to hide objects with empty relations does not work in report manager for custom categories
[Bug][Report-Manager]         Report Manager: Purge button is displayed despite missing rights
[Bug][Report-Manager]         Report Manager: Category "Password" is missing
[Bug][CMDB settings]          Missing request for change comment
[Bug][CMDB settings]          Usage of duplicate dialog plus content via dialog admin not possible
[Bug][CMDB settings]          Multi select in list of object type configuration without any function
[Bug][CMDB settings]          Wrong selection in objecttype configuration when selecting more than one checkbox
[Bug][CMDB]                   Not possible to put a zero in dialog admin
[Bug][CMDB]                   Database instance shows archived and deleted schemas
[Bug][CMDB]                   Missing translation at tenant selection
[Bug][CMDB]                   Login View of i-doit Wrong After too early Timeout
[Bug][Templates]              Default template will not be processed if overview page is active
[Bug][Templates]              Default template is not used during object creation
[Bug][Templates]              Predefined templates can be cleaned up, but appear again
[Bug][Admincenter]            Error Tracker slows down the system massively
[Bug][System settings]        System setting "Display limit of host addresses" does not work in lists
[Bug][System settings]        SSO: Deep links always lead to the dashboard
[Bug][Import]                 Error of i-doit controller being deprecated when importing XML files or content from OCS
[Bug][OCS]                    OCS import delivers titles with curly braces instead of actual names
[Bug][OCS]                    OCS: IP-Adress/Subnet is not updated during import
[Bug][OCS]                    Import of CPU cores from OCS Inventory
[Bug][CSV Import]             Import of CMDB status with CSV import by using the console not possible
[Bug][CSV Import]             Attribute "Patchlevel" is not filled via CSV import
[Bug][CSV Import]             Special assignment of room numbers does not work in the CSV import
[Bug][CSV Import]             CSV import: Room number is not recognized / found
[Bug][CMDB-Explorer]          No conclusive sorting of objects in the CMDB Explorer
[Bug][CMDB-Explorer]          CMDB Explorer - Missing attributes on custom profiles
[Bug][Objects]                Print Preview gives passwords in the "Password" category encrypted
[Bug][Objects]                Deleting system users possible
[Bug][Objects]                Mouseover in list view disappears from the visible area
[Bug][Objects]                Archiving within an object is not possible
[Bug][Objects]                Object type is not displayed in the Browser object of the Service Assignment category
[Bug][Documents]              Wrong format for date contents
[Bug][Check_MK]               Check_MK transfer script fails, because no 'idoit_hosttags.mk' file is being created
[Bug][Check_MK]               Dynamic Check_MK host tags can not be deleted
[Bug][Update]                 Wrong translation of "tenant" (mandator) during i-doit update process
[Bug][LDAP]                   Console: User, Password on Report via CLI Console are not transferred
[Bug][LDAP]                   Open LDAP Sync: UID / login name is not accepted
[Bug][Console]                Console: Output of archived user in ldap-sync failed
[Bug][Relations]              Archived relationship "linked cards" persists in the SIM card
[Bug][Relations]              Software: Number of installations does not take into account the condition
[Bug][Systemtools]            Online Repositories via HTTPS
[Bug][Search]                 Not able to switch between search modes when specific are in the result list
[Bug][QR-Codes]               QR-Code: Font is always centered
[Bug][Monitoring]             FQDN not correct in monitoring
[Change][CMDB]                Unifying connectors in the quickinfo

1.10.1
--------------------------------------------------------------------------------
[Improvement][Check_MK]              New attributes in category "Check_MK (Host) > Export Parameter"
[Improvement][Report-Manager]        Total capacity of drives in the Report Manager
[Improvement][Lists]                 List view with more than ten columns
[Improvement][Lists]                 Cannot copy IPs from IP lists
[Improvement][Lists]                 Modify warning to update the object list configuration
[Improvement][Maintenance]           More Placeholders for notifications: model and manufacturer
[Improvement][JDisc]                 Import of software: optionally use software family instead of software version as the object title
[Improvement][JDisc]                 JDisc Import: Import of the attribute SNMP Syslocation into the location category
[Improvement][JDisc]                 JDISC: Field with label for different locations from JDISC
[Improvement][Search]                The fuzzy suggestion can now be configured
[Improvement][Search]                Search: Not possible to use the search with less than three characters
[Improvement][User settings]         Validation of user settings
[Improvement][Objects]               Rack: object link for unpositioned objects
[Improvement][Documents]             Self-defined column width for tables
[Improvement][Templates]             Templates: No presorting when creating an object with the selected object type
[Improvement][Custom categories]     Support for Explicit Relationships in Custom Categories for fieldtype Relationship Browser
[Improvement][Code (internal)]       GUI component to select intervals
[Improvement][CMDB]                  Configuration of objects as "positionable in rack" for new installations/tenants
[Improvement][CMDB-Explorer]         Export CMDB explorer as PNG or JPG
[Improvement][CMDB-Explorer]         CMDB Explorer: Legend only shows object types, which includes objects
[Improvement][Categories]            Update the GUI of category contract assignment
[Bug][Relations]                     Location changes will not be passed to the chassis overview
[Bug][Relations]                     Duplicated chassis will be duplicated with chassis contents
[Bug][Relations]                     Archiving/Deleting a softwareassignment keeps a relationship in condition "normal"
[Bug][Relations]                     JDISC: Relation between a thin client and a monitor is not completely created when the import is separated
[Bug][Relations]                     archieved file release remains on Client
[Bug][Console]                       Using new console from other locations
[Bug][Console]                       XML import via console does not work
[Bug][Console]                       Wrong output when using ldap-sync via console
[Bug][Console]                       Error when using console: Column 'isys_obj__id' in where clause is ambiguous
[Bug][System settings]               Speech constants are displayed in the I-Doit Open
[Bug][Custom categories]             Reports are called in Custom Categories when at least one object browser type is configured
[Bug][Custom categories]             Date fields allow input of incompatible content
[Bug][QR-Codes]                      Placeholders "Model" and "Service Tag" are missing in the QR code reader
[Bug][XML]                           Import of XML files not possible
[Bug][List editing]                  Editing software assignment via list edit deletes content of category "Operating system"
[Bug][List editing]                  List Editing clears connection with port when editing the interface
[Bug][List editing]                  Wrong validation requests number in list edit
[Bug][List editing]                  Editing category "passwords" via list edit saves passwords encrypted in the frontend
[Bug][List editing]                  List editing: Specific category cabinet is missing
[Bug][List editing]                  Selection of multiple objects via checkboxes in i-doit open is possible
[Bug][List editing]                  List editing in the "Contracts" category for dialog boxes is incorrect
[Bug][CMDB-Explorer]                 CMDB Explorer: Export of SVGs only works in Firefox
[Bug][CMDB-Explorer]                 Cannot Export SVG Grafics With CMDB Explorer In Chrome
[Bug][License installation (i-doit)] Database error when installing a license file within a tenant
[Bug][Lists]                         Multiple clicks on buttons to archive/delete skips other states
[Bug][Lists]                         Locations: Sort incorrectly if the path is too long
[Bug][Lists]                         Sort by date in multi-value incorrect
[Bug][Lists]                         Pagenavigation changes condition selection
[Bug][Lists]                         Attributes of the category "Direct Attached Storage" cannot be shown on the overview page
[Bug][Lists]                         CSV export of values with units from object lists create wrong output
[Bug][Lists]                         Cannot show attributes "variant" and "version number" of category "operating system" in lists
[Bug][Lists]                         Lists: Not possible to sort after column Scope in Net zones
[Bug][Lists]                         Wrong sorting of dates when using german date format
[Bug][Templates]                     Templates: No sorting visible, possible
[Bug][Logbook]                       Logbook: Changes to the chassis position etc. on the device are not entered in the logbook
[Bug][Report-Manager]                Report Manager: Online Repository report 'Logbook' shows object name of 'C__LOGBOOK_EVENT__OBJECT_PURGED' in column 'Category'
[Bug][Report-Manager]                Field "Tags" is not availalable in Report-Manager
[Bug][Report-Manager]                Report Manager: Missing attribute Layer-2 network mapping
[Bug][Report-Manager]                PHP 7.1: Error in Report Manager
[Bug][Report-Manager]                Reports: attribute state incomplete
[Bug][Report-Manager]                Attribute "On Device" in category "Drive" can not be selected for reports
[Bug][PDF]                           PDF export: Lists with 90.000 or more entries can not be exported
[Bug][Categories]                    Duplicating an object does not duplicate the contact assignment
[Bug][Categories]                    Category "host address" creates unfinished entry if it is used on overview page
[Bug][Categories]                    Some Dialogue- and Dialogue-Plus-Fields also allow to select archived/deleted objects
[Bug][Categories]                    Error Message After Entering First Entry In Category Database assignment
[Bug][Categories]                    Wrong presentation of rights in category "rights"
[Bug][Categories]                    Identical name for different categories (service assignment)
[Bug][Categories]                    Sorting By Assigned net Wrong In Category Host adress
[Bug][Categories]                    Wide colums cause columns to be cut off
[Bug][Categories]                    Entries in category "Service assignment" (beneath Nagios host) can only be removed by the object browser
[Bug][Categories]                    Category "Database assignment" not printed bold, when filled with content
[Bug][CMDB]                          Description text is not being displayed on the overview page of an object
[Bug][CMDB]                          While duplicating a object (chassis) some categories get duplicated as well, even if they were not selected
[Bug][CMDB]                          Setting an unvalid cmdb status constant leads to the object being deleted
[Bug][CMDB]                          Dialog-Admin: Custom dialog fields appear multiple times
[Bug][CMDB]                          Category Logical Ports: Field Port allocation allows to choose logical ports
[Bug][CMDB]                          Category "Virtual devices": When creating storage the dialog field "Host-Ressource" does not display the attached hosts
[Bug][Logging]                       API: Logs are created, even with disabled setting
[Bug][JDisc]                         JDisc: Discovery uses host name instead of FQDN
[Bug][JDisc]                         JDisc import allocates cluster members and deletes them after the import
[Bug][JDisc]                         Bug while using the JDisc handler via console
[Bug][JDisc]                         JDisc: Standard template is not completely applied during import
[Bug][JDisc]                         Incorrect assignment of JDisc information to VMware cluster services
[Bug][JDisc]                         JDisc-Import deletes layer-2-net-assignment to ports
[Bug][JDisc]                         JDISC: Import overwrites the form factor of objects
[Bug][JDisc]                         Disk size changes
[Bug][Authorization system]          Selecting rights for specifi controller handlers not possible
[Bug][Objects]                       Option pane does not get closed after duplicating an object
[Bug][Objects]                       Can not delete a larger number (> 500) of objects
[Bug][Objects]                       Contract assignment: Date is displayed in the Customer number field
[Bug][Objects]                       Variable% OBJID% takes last created object as id
[Bug][Objects]                       Network area is not displayed correctly in the overview of a layer 3 network
[Bug][Objects]                       Object Browser: "All" Select button in "Search" does not work
[Bug][Objects]                       Object Browser no update for selected objects
[Bug][Check_MK]                      When opening a monitoring configuration, the selection for "active" is always preset, no matter if it was active (yes/no) before
[Bug][Check_MK]                      Livestatus leads to long waiting times in object lists
[Bug][API]                           return value for attach_person via API
[Bug][API]                           API: C__CATG__IMAGE: image_selection holds wrong data type
[Bug][API]                           cmdb.category.read fetches only first value of a custom dialog+ field (multiple)
[Bug][API]                           API: Cannot change category host address
[Bug][API]                           API: The field LDAP-DN can not be saved
[Bug][API]                           API: Wrong data type (C__CATG__IMAGE/image)
[Bug][API]                           API: Purge request output Database error
[Bug][API]                           API: Setting an unvalid cmdb status constant leads to the object being deleted
[Bug][Installation]                  Apache configuration in [I-DOIT]/.htaccess not suitable for version 2.4
[Bug][Dashboard]                     Variable report on dashboard creates error
[Bug][Dashboard]                     Widget "my changed objects" builds incorrect link when using a proxy configuration
[Bug][Dashboard]                     Calendar widget only considers the first and last date of a maintenance
[Bug][CMDB settings]                 Dialogue-Field of attribute "service category" can not be edited in dialogue admin
[Bug][CSV Import]                    Import of warranty via CSV not possible
[Bug][CSV Import]                    Attaching a layer-2-net to a layer-3-net is not possible via CSV-import
[Bug][OCS]                           OCS-Import of domain not possible
[Bug][OCS]                           OCS import updates hostaddress, but this is explicitly disabled
[Bug][OCS]                           Empty serial numbers in OCS-import mistakenly match objects
[Bug][Licence settings]              Umlauts are not displayed correctly in the license overview
[Bug][Licence settings]              Data of a newly added i-doit licence are not correct
[Bug][Notifications]                 Notifications also check archived/deleted objects
[Bug][Notifications]                 Notifications for 'Expiration of a notice period': Custom object types not selectable
[Bug][Search]                        Incorrect suggestion filtering for object lists
[Bug][Systemtools]                   After Clicking Two Times on "Clear complete Cache" Login Mask Is Displayed
[Bug][Import]                        The cabling import always creates a output by mistake
[Change][System settings]            Save smarty cache files to the i-doit cache directory

1.10
--------------------------------------------------------------------------------
[Task][Maintenance]              Remove maintenance Add-on from the core
[Task][Code (internal)]          Improve dashboard charts with new javascript library
[Improvement][CMDB-Explorer]     CMDB-Explorer: Option for setting the service filter on any step
[Improvement][CMDB-Explorer]     CMDB-Explorer Object information header scrolls away when scrolling down in object information
[Improvement][CMDB]              Archiving/deletion of objects enforces archiving/deletion of connected category entries (isys_connection)
[Improvement][Report-Manager]    Report manager: condition with placeholder for object-id
[Improvement][Installation]      Replaced INSTALL and UPDATE with README.md
[Improvement][Cabling view]      Allow cabling loops
[Improvement][Cabling view]      Old cabling views are replaced
[Improvement][Cabling view]      New cabling view
[Improvement][Console]           New console interface as replacement for the "controller"
[Improvement][Custom categories] Custom categories: Field report-browser
[Bug][LOGINventory]              Remove Loginventory Import
[Bug][Report-Manager]            DB Error Message Appears Executing A Report With Placeholder And ReportField
[Bug][Report-Manager]            Missing Flag Variable Report After Saving The Report
[Bug][Report-Manager]            Button To Export Report Results Missing
[Bug][Report-Manager]            Right "Create" does not work with report categories
[Bug][Report-Manager]            Field "variable report" in conditions should be hidden and set automatically
[Bug][Report-Manager]            The checkbox for variable report should be removed
[Bug][Report-Manager]            Variable placeholder in conditions is not translated
[Bug][Report-Manager]            Improved performance when creating PDFs
[Bug][CMDB settings]             Dialog + Warnhinheis for non-erasable attributes is missing if this is to be cleaned up
[Bug][Code (internal)]           Avast finds a virus in i-doit Install and Update packages
[Bug][Categories]                Archived/Deleted contacts (objects) do not appear in contact assignment (category) but the relation still existis
[Bug][Categories]                Description is not saved in category "Network" => "Interface"
[Bug][Categories]                With Category Persons - Authorization Config Created Rights Are Not Correct And Displayed Contradictive In Rightsystem
[Bug][Categories]                Incorrect sorting in multi value categories
[Bug][CMDB]                      Related objects are not being displayed correctly in the rack view
[Bug][List editing]              Calendar field is not working in list edit
[Bug][List editing]              List editing Sim card status Twin card is displayed incorrectly
[Bug][List editing]              List editing in the category "Veträge" erroneous
[Bug][Dashboard]                 Dashboard widget CMDB Status Lifecycle "No Data" does not appear
[Bug][Custom categories]         In custom categories exists the field report browser two times
[Bug][Custom categories]         In custom categories report browser should be named report instead
[Bug][Custom categories]         Dialog + fields can not be added to the administration
[Bug][Authorization system]      Checkboxes in the auth system GUI remain enabled even though they should not be
[Bug][Authorization system]      List editing in custom categories is not possible
[Bug][Authorization system]      Authorization error message refers to object type and not object type configuration
[Bug][QR-Codes]                  QR Code Printer 1.2.4 Incorrect URL in the QR Code Value field
[Bug][Events]                    Events are not triggered when saving with list edit
[Bug][Logbook]                   Logbook: Due to changes to ports, the destination is no longer displayed correctly
[Bug][CMDB-Explorer]             CMDB Explorer - No virtual server connection to their ESX hosts
[Bug][Objects]                   Members are not assigned to a group of people when duplicated
[Bug][Objects]                   Object database schema is already filled with incorrect data
[Bug][Objects]                   Formatting the description changed for duplicate objects
[Bug][Import]                    Invalid XML files are uploaded but no error shows up
[Bug][Import]                    Cabling import loses a connector
[Bug][Search]                    Workload of a 100% and increased duration
[Bug][Admincenter]               After Deletion of Licence Files The Save Button Is MIssing
[Bug][Admincenter]               Multi Tenant Buyers Licence Without Expiration Date Displays Current Date In Administration Instead
[Bug][Admincenter]               Add-on handling not understandable and to few notices
[Bug][Installation]              Apache configuration in src/.htaccess not suitable for version 2.4
[Bug][Check_MK]                  Livestatus-Check will only be refreshed after deleting the cache
[Bug][Mass editing]              Mass changes always change the object type group to "infrastructure"

1.9.4
--------------------------------------------------------------------------------
[Verbesserung]  Neue TTS Schnittstelle zu Zammad
[Verbesserung]  Massenlöschung in der Massenänderung
[Verbesserung]  Das Check_MK transfer Skript erzeugt Änderungen in Check_MK 1.4
[Verbesserung]  Anzeige von "Layer-3 Netzen" in Listenansicht
[Bug]           Ändern des Passworts für das Admin-Center im Admin-Center selbst führt zu fehlerhafter Darstellung von Passwörtern
[Bug]           Kategorie "Gruppenmitgliedschaft": In der Suchleiste wird der Objekttyp-Filter anstatt der Kategorie-Filter verwendet
[Bug]           idoit.search liefert keine Ergebnisse
[Bug]           OCS-Import: Bei bestimmten Hostadressen wurde eine falsche Netzadresse kalkuliert
[Bug]           Listeneditierung: Validierung in Kategorie "Hostadresse" schlägt fehl, obwohl es FQDN nur einmal global gibt
[Bug]           Beim ausführen eines Reports wird eine Datenbankfehlermeldung ausgegeben wenn die Attribute "Anschlussart" und "Verbunden mit" aus der Kategorie "Anschlüsse" verwendet werden.
[Bug]           Falsche Validierung beim Speichern von Kategorien in der Listeneditierung fordert Ganzzahl
[Bug]           Schaltfläche "Neues Recht" in Kategorie "Rechtevergabe" unter "Personengruppen" hat keine Funktion
[Bug]           Falscher Standard-Filter in Objektlisten ausgewählt
[Bug]           Patchlevel wird in Kategorie "Softwarezuweisung" nicht angezeigt
[Bug]           Versionen: Patchlevel wird bei "Installationen" nicht angezeigt
[Bug]           Performanceprobleme in der Listeneditierung
[Bug]           Kategorie "Monitoring" nicht im Abfrage-Editor verfügbar
[Bug]           JDISC: Clusterdienstzuweisungen werden nicht komplett importiert
[Bug]           CheckMK: Hosttags UTF8/ASCII Fehlermeldung in CheckMK-Instanz
[Bug]           Sortierung nach Objektanzahl in Listenansicht der Objekttypen inkorrekt
[Bug]           Allgemeine Einstellungen werden nicht korrekt angezeigt
[Bug]           Mehrfache Objekt Browser in einzelner Kategorie führen zu überschriebenen Werten
[Bug]           Anzeige eines Bindestrichs in der Objektliste bei mehrfachauswahl Dialog+feldern
[Bug]           CMDB-Explorer Personengruppenmitgliedschaften werden nicht aktualisiert
[Bug]           Einträge im Dialog-Admin können nicht gespeichert werden wenn der Name nicht geändert wird
[Bug]           Hostadresse-Alias kann nicht gelöscht werden
[Bug]           JDISC Import: IP-Adressen werden nicht korrekt aktualisiert
[Bug]           Filtern bei Reportausgaben mit den Buchstaben "B", "N", "P" und "S" nicht möglich
[Bug]           Objektbrowser: Der "Alle" Auswahl Button fehlt
[Bug]           Sortierung der Verfügbaren Slots in einem Chassis fehlerhaft
[Bug]           Benutzerdefinierte Kategorien können mit Dialog+ Feldtypen in der Listenansicht der Objekttypen nicht sortiert werden
[Bug]           Objektliste springt auf anderen Objekttypen wenn mehr als 50 Objekte angezeigt werden sollen
[Bug]           Mouseover-Text für Löschen-Button in Layer 3-Netz IP-Liste wird falsch dargestellt
[Bug]           In workflows wird statt einer Url die IP-Adresse der I-Doit installation eingetragen
[Bug]           Sortierung nach CMDB-Status in Objektlisten nur möglich wenn es an letzter Stelle steht
[Bug]           Bei Benutzerdefinierte Kategorien werden immer Logs aus dem Rechtesystem geschrieben.
[Bug]           Beim Login wird PHP-Fehlermeldung zu LDAP angezeigt
[Bug]           Wechsel von statischer auf dynamische Objektgruppe schlägt fehl
[Bug]           Modell-Hersteller kann nicht via Dialog-Admin geändert werden
[Bug]           CSV Import: Nicht möglich, zugewiesene Objekte über spezifische Kategorie "Chassis" hinzuzufügen
[Bug]           Benachrichtigungen an Kontakten mit zugewiesener Rolle nicht möglich
[Bug]           Service Logbuch: Option "Gruppieren nach" liefert falsche Ergebnisse
[Bug]           CSV-Import: Objekte mit gleichen Objekttitel in verschieden Objekttypen werden nicht korrekt zugewiesen
[Bug]           Archivierte Räumlich zugeordnete Objekte werden in der Listenansicht angezeigt
[Bug]           Chassis in einem Rack fehlerhafte Darstellung in der Raumansicht
[Bug]           Verbinden von Anschlüssen über "Einzelnen Anschluss verbinden" nicht möglich
[Bug]           Verkabelungsbrowser kann nicht über Recht "Kategorien in Objekttyp" verrechtet werden
[Bug]           CSV Import: Spezifische Unter-Kategorie "Installation" wurden nicht alle Eltern-Kategorien aufgelistet.
[Bug]           Verbinden von Anschlüssen über den Button in der Übersicht der Anschlüsse nicht möglich.
[Bug]           Im Rechtesystem werden bestimmte Rechte übernommen, wenn man die Bedingung ändert
[Bug]           Kein Zugriff auf "Rechtesystem zurücksetzen" nach Installation mit install.sh
[Bug]           Kategorie "Ports": Titel mit Überlänge werden abgeschnitten und können nicht mehr gefiltert werden
[Bug]           Einträge im Dialog-Admin mit Sonderzeichen können nicht editiert werden
[Bug]           Sync von LDAP-Daten archiviert Benutzer "admin"
[Bug]           Objekte werden mit einer falschen Sperrzeit aufgelistet.
[Bug]           Leerer Objekttitel bei Personen-Objekten aus dem CSV-Import unter bestimmten Bedingungen
[Bug]           Fehlendes Recht Einzelverkabelungen führt in eine Fehlermeldungs-Loop
[Bug]           Fehlerhafte URL beim Abmelden aus der Raumplanung
[Bug]           Horizontale Scrollleiste in Kategorie "Rechnung" fehlt
[Bug]           Im QCW werden bei der Suggestion Search Ordnerkategorien (Netzwerk) nicht angezeigt
[Bug]           Verzögerungseinstellung unter Quickinfo funktioniert nicht
[Bug]           Attribut "Kontaktzuweisung" gibt in Benachrichtigungen lediglich die ID aus
[Bug]           Angegebenes Upload-Verzeichnis wird nicht berücksichtigt
[Bug]           Links verweisen auf das Objekt und nicht auf den Link
[Bug]           Beziehungen in der Kategorie "Prüfung" werden doppelt vergeben
[Bug]           CSV-Import: DBMS nicht verfügbar
[Bug]           [open] Quickinfo wird beim Drüberfahren nicht angezeigt
[Bug]           Link mit Fragezeichen im AdminCenter führt zu Verlust der Menüleiste nach erneutem Login
[Bug]           Dialog-Admin: Benutzerdefinierte Attribute werden nicht in Objektliste angezeigt
[Bug]           Setting-Bezeichnung "maxlengths" bei System-wide setting unklar
[Bug]           JDISC-Option "Erstellen" setzt die bereits verwendeten Custom Identifier nicht auf "Obsolete"
[Bug]           Import von mehreren IP-Adressen über den CSV-Import nicht möglich

1.9.3
--------------------------------------------------------------------------------
[Verbesserung]  Option zum UTF8 dekodieren exportierter Check_MK Dateien
[Verbesserung]  Neue Konfiguration für den Umgang bei Validierungsfehlern während der Duplizierung von Objekten
[Verbesserung]  Verbesserung der Suchindexierung zur Erhöhung der Performance
[Verbesserung]  Neue Systemeinstellung hinzugefügt "Interaktion zwischen 'Logischer Standort' und 'Standort' aktivieren?"
[Verbesserung]  Erweiterung der Kategorie Zertifikat
[Bug]           Stacking: Stacks mit nur einem Mitglied können nicht ausgelesen werden
[Bug]           Objektliste: Das Attribut "Läuft auf" aus der Kategorie "Clusterdienstzuweisung" verursacht eine Fehlermeldung
[Bug]           Datumsfelder können nicht gespeichert werden wenn kein Datumsformat in den Benutzereinstellungen definiert ist
[Bug]           Fehlerhafte Sortierung bei zuweisen von Servern in einem Rack
[Bug]           Überschrift von Datumsfeldern in einer Benutzerdefinierten Kategorie werden bei einem Export nicht korrekt ausgegeben
[Bug]           Lösen des Attributs DNS-Server in der Kategorie Netz führt zu MySQL Syntax error im Objekt Browser
[Bug]           Layer-3 Netz, Statische IP-Addressvergabe inkorrekt wenn ein Reservierter DHCP-Bereich konfiguriert ist
[Bug]           Listen: Archivierte Nutzer werden in Kontaktzuweisungen angezeigt
[Bug]           Sortieren nach Modell in Objektlisten nicht möglich
[Bug]           OCS-Import: Import Abbruch nach ersten nicht validen Objekt
[Bug]           Fehler beim Import via CSV einer IP-Adresse mit führender Nullstelle in beliebigem Oktett
[Bug]           Rechtesystem: Bei den Rechten "Kategorie in Objekt", "- Objekttyp" und "- in Objekten unterhalb eines Standortes" ist die Auswahl für die Kategorien bei Änderung nicht aktiv
[Bug]           Kategorie "LDAP" wird im Menübaum trotz bestehenden Daten als inaktiv dargestellt
[Bug]           Automatisches Löschen des physikalischen Standorts bei Vergabe eines logischen Standorts
[Bug]           Kategorie Buchhaltung: Das ersetzen der Automatischen Inventarnummer bei mehreren Objekttypen wird beim importieren nicht korrekt ausgeführt
[Bug]           Kategorie Clustermitgliedschaften: Wird eine Zuweisung entfernt wird die dazugehörige Beziehung nicht mit entfernt
[Bug]           Admin-Center: Beim hinzufügen eines neuen Mandanten werden Umlaute nicht korrekt dargestellt
[Bug]           Suche findet nach Massenänderung Inhalte aus dem Logbuch
[Bug]           Präfix für automatisch erstellte Kabel wird ignoriert
[Bug]           CSV-Import: Import der Kategorie Kontaktzuweisung erzeugt einen leeren Eintrag wenn dieser in der CSV-Datei nicht gesetzt ist
[Bug]           Validierung: Besteht eine Validierung für die Kategorie Stammdaten (Personen), wirkt diese nur für die Ordnerkategorie Personen
[Bug]           LDAP-Sync setzt alle gefundenen User bei jedem Durchlauf kurzzeitig in den Zustand "Normal"
[Bug]           Fehler beim Verrechten der Kategorie "Gastsysteme"
[Bug]           Verschieben des Objekttyps "Kabel" in eine andere Objekttypgruppe bewirkt, dass Kabel im Kabelbrowser nicht mehr ausgewählt werden können
[Bug]           Import aller Ports über den JDisc-Import, selbst bei konfiguriertem Port Filter
[Bug]           Fehler bei der Verwendung eines Portfilters im JDisc-Profil
[Bug]           Fusszeile des AdminCenters vor und nach dem Login nicht identisch
[Bug]           Kategorie Passwort wird in einem duplizierten Objekt nicht entschlüsselt
[Bug]           Standort von duplizierten Objekten wird nicht korrekt übertragen
[Bug]           WYSIWYG-Funktionen stehen innerhalb der Kategorien nur teilweise zur Verfügung
[Bug]           Benutzerdefinierte Kategorien: Feldtyp "Dateibrowser" funktioniert nicht
[Bug]           Report Manager: Bei bestimmten Zeichenanordnungen innerhalb des Attributes "Standortpfad" kommt es zu keinem Ergebnis
[Bug]           Inkonsistentes Verhalten bei Eingabe und Auswahl und Anzeige von Suchergebnissen
[Bug]           Objektliste: Falsche Zählung von vergebenen IP-Adressen
[Bug]           Verwendung von Inhalten mit [...]LC_[...] nicht möglich
[Bug]           Benachrichtigungen: Lizenzen werden trotz archiviertem oder gelöschtem Lizenzschlüssel in E-Mails angezeigt
[Bug]           Logbuch: Listenansicht zeigt Alarmlevel hoch (3) nicht an
[Bug]           CSV Import: Import per Controller schlägt fehl, wenn MultiValue-Option "comma" verwendet wird
[Bug]           Löschen von geteiltem Dialog+ in benutzerdefinierten Kategorien löscht Einträge für alle anderen Kategorien
[Bug]           Backslash aus Objekttiteln wird oft falsch ausgegeben
[Bug]           Objektliste: Fehler beim Sortieren des Attributs "Kategorie"
[Bug]           Beim Aufruf von Extras > CMDB > Import erscheint eine Fehlermeldung
[Bug]           Report Manager erzeugt falsche Abfragen zu Objektbeziehungen
[Bug]           Objekt-Browser öffnet unter bestimmten Voraussetzungen einen inaktiven Tab
[Bug]           Verwendung von bestehenden Kabeln im Verkabelungsimport nicht möglich
[Bug]           Fehler bei Herunterladen von Online Reports auf mehreren Mandanten
[Bug]           Format von Beschreibungen wird trotz WYSIWYG-Editor nicht gespeichert
[Bug]           Listeneditierung - Kategorie "Port": Kabel-ID kann nicht geändert werden
[Bug]           Leerauswahl der HE in einem Schrank über Standort nicht möglich
[Bug]           Fehlerhafte Kontaktzuweisungsmaske nach Klick auf Übernehmen
[Bug]           Bearbeiten der Kategorie Hostadresse aufgrund von Meldung zur IP-Adresse nicht möglich
[Bug]           Validierung: Doppelte Inventarnummer nach Duplizierung eines Objektes
[Bug]           Feldtyp in benutzerdefinierten Kategorien für Verknüpfungen mit mehreren Objekten wird beim xml-export nicht korrekt übernommen
[Bug]           Icon zur Visualisierung des Ping-Status in IP-Liste in Spalte "Objekt" verschoben
[Bug]           Kategorie DBMS-Zugeordnete Cluster hat keine Button und keine Attribut-Liste
[Bug]           Notizen verlieren Formatierung beim Bearbeiten
[Bug]           Matching von Systemdiensten beim JDisc-Import funktioniert nicht
[Bug]           Logischer Standort wird nicht in Objektliste angezeigt, wenn die Auswahl nicht aus dem Objekttyp "Personen" stammt
[Bug]           CSV Import: Import von Datumswerten in benutzerdefinierten Kategorien wird immer mit Uhrzeit ausgegeben
[Bug]           Logbuch-Konfiguration: Doppelte Einstellung "Maximalanzahl kombinierter Änderungen (pro Kategorie)" entfernt
[Bug]           Highlighting von gefundenen Suchbegriffen funktioniert in Beschreibungsfeldern nicht
[Bug]           Eigene Sprachkonstanten werden nicht überall übernommen
[Bug]           Datum der Anschaffung ohne Uhrzeit in Listen anzeigen
[Bug]           Event-Log zeigt nicht das jeweils verwendete sondern das aktuelle Kommando
[Bug]           Ressourcen in Clustervitalität zeigen falsche Werte an
[Bug]           Dialog-Admin: Die Spalte "Löschbar" für benutzerdefinierte "Dialog+"-Felder entfernt
[Bug]           Kategorie Beziehungen: Beim erstellen einer Expliziten Beziehung wird die Richtung zwischen Master und Slave Objekt nicht berücksichtigt

1.9.2
--------------------------------------------------------------------------------
[Verbesserung]  Neues Feld in Kategorie "Vertrag" zur Angabe der Kostenberechnung
[Verbesserung]  Optionale Aktualisierung des Objekttyps von Modulen im JDisc-Import
[Verbesserung]  Suche: Einstellung zur Änderung des Highlightings
[Verbesserung]  Add-on Versions Check im Update Prozess immer aktivieren
[Verbesserung]  Zusammenspiel zwischen Kategorie Logischer Standort und Standort beim Objekttyp Arbeitsplatz
[Verbesserung]  install.sh bekommt den Parameter -u zur Angabe des MySQL Benutzernamens
[Verbesserung]  Spezifische Kategorie Netz: Numerische Sortierung von IP-Adressen in Feld Standardgateway
[Bug]           Fehlerhafte Darstellung von Chassis in Schränken bei der Darstellung in der Raumübersicht
[Bug]           Standortvergabe für ein neues Objekt lädt nicht die Felder zur Platzierung im Schrank
[Bug]           Formfaktor in der Schrankvisualisierung ist immer "undefined".
[Bug]           Fehler bei der Verwendung einer Bedingung auf das Attribut Rolle, wenn nur ein Attribut ausgegeben wird
[Bug]           Feld Anschlussart nicht mehr in Listenansicht nutzbar
[Bug]           Information "To be filled by O.E.M." befindet sich nicht auf der Blacklist des H-Inventory Imports und verursacht falsches Matching
[Bug]           Report Manager: Buchhaltung - Investitionskosten nicht in Bedingungen vorhanden
[Bug]           Objekt-IDs werden teilweise in Reports als Datum ausgegeben
[Bug]           Listen: Datumswerte aus benutzerdefinierten Kategorien werden immer im englischen Format angezeigt
[Bug]           Verwendung einer Bedingung mit dem Attribut "Rolle" führt gelegentlich zu mehrfachen Ausgaben von Objekten
[Bug]           Attribute aus spezifischen Kategorien werden nicht für die Listenansicht übernommen
[Bug]           Aufruf eines Objekts in neuem Tab nicht möglich, wenn der Titel ein Komma enthält
[Bug]           Erste Hostadresse eines Objekts wird nicht automatisch als primär gekennzeichnet
[Bug]           Schrankansicht hat keine Definition zur Sortierung der Höheneinheiten (Aufsteigend/Absteigend)
[Bug]           Import der Position im Schrank über den CSV-Import nicht möglich
[Bug]           Fehler bei der Verwendung der Bereinigungsfunktionen unter "Cache / Datenbank"
[Bug]           Report Manager: Attribute "Bezeichnung" und "Beschreibung" aus Logbuch-Kategorie nicht auswählbar
[Bug]           "IP-Netz laden" aus Kategorie Hostadresse gibt unvollständige Daten aus.
[Bug]           Firma eines Kontakts wird gelöscht, wenn ein Objekt mit der Zuweisung dieses Kontakts dupliziert wird
[Bug]           Infoleiste am unteren Bildschirmrand zeigt immer das Datum "01.01.1970 01:00 [..]"
[Bug]           Verwendung des Attributs "Ereignis" in Kategorie "Logbuch" im Report-Manager nicht möglich
[Bug]           Suche: QuickView von Relationsobjekten funktioniert nicht
[Bug]           CSV-Dateien mit einem + im Titel können nicht wieder heruntergeladen werden
[Bug]           Fehler beim Speichern der Kategorie "Port" über die Listeneditierung
[Bug]           Zusätzliche Spalten in der Ausgabe eines Reports bei der Verwendung verknüpfter Attribute
[Bug]           Restgarantie lässt sich in Objektlisten nicht anzeigen
[Bug]           Inhalte in "Instanz / Oracle Datenbank" können unter bestimmten Umständen nicht gespeichert werden
[Bug]           Fehler beim Bearbeiten von Anschlüssen in der Listeneditierung
[Bug]           Titel eines Reports im PDF-Export lautet "i", wenn der Report Sonderzeichen im Titel verwendet
[Bug]           DropDown für Rolle in Kontaktzuweisung stellt längere Bezeichnungen nicht vollständig dar
[Bug]           Unterkategorien aus Ordnerkategorien können nicht verrechtet werden
[Bug]           i-doit verwendet falschen Unix Socket
[Bug]           XML-Import: Experteneinstellung "system.dir.import-uploads" ohne Wirkung
[Bug]           Kategorie Virtuelle Switche: Gastsysteme werden unter den Portgruppen nicht angezeigt
[Bug]           Listen: Anzeige von Servicezuweisungen ist nicht möglich
[Bug]           CSV-Import: Import und Zuweisung von mehreren Attributen gleichzeitig nicht möglich (Dialog + Mehrfachauswahl)
[Bug]           Einige Language-Konstanten werden unter JDisc-Profile angezeigt
[Bug]           Report Manager: Falsche Konstante bei Nutzung von Beschreibungen aus benutzerdefinierten Kategorien
[Bug]           Kabellänge wird nicht über den CSV-Import importiert
[Bug]           Zuweisung von Service-Komponenten über die Listeneditierung nicht möglich.
[Bug]           Recht "Kategorien in Objekttyp" ermöglicht nicht den Zugriff auf die Übersichtseite
[Bug]           Dashboard-Rechner zählt bei der Netzwerk-Bandbreite falsch
[Bug]           Mehrfache software zuweisung leitet nicht auf Listenansicht um, nachdem gespeichert wurde
[Bug]           Inhalte im Feld Beschreibung im Logbuch-Eintrag lassen sich über den Report Manager nicht auswerten
[Bug]           Logging-Einstellungen haben keine Auswirkungen, wenn das Logging deaktiviert wird
[Bug]           Bei Eingabe eines Leerzeichens unter "Export Vorlagen" verschwindet die Anzeige im Hauptbereich
[Bug]           Höheneinheit im Report falsch
[Bug]           Horizontale Scrollleiste fehlt in Kategorie "Anschlüsse"
[Bug]           Vergleichsoperatoren nicht korrekt erfasst bei ersten Hinzufügen in Report-Definition
[Bug]           Listeneditierung - Kategorie "Verträge" gibt Fehlermeldung beim Speichern aus
[Bug]           JDisc Import: Bestehende Betriebssysteme werden nicht überprüft und werden bei jedem Import neu erstellt

1.9.1
--------------------------------------------------------------------------------
[Verbesserung]  Ermöglichen des Editieren eines neuen Eintrags im DialogPlus-Feld direkt nach dem Hinzufügen
[Verbesserung]  Berücksichtigung der Stromkreisrekursion
[Verbesserung]  Horizontale Scrollbar in JDisc Profilen sofort sichtbar
[Verbesserung]  Switch Stacking: Portübersicht über alle mitglieder hinweg
[Verbesserung]  Switch Stacking: Logische Ports über mehrere Switche hinweg
[Verbesserung]  Export der Host-Aliasse beim Check_MK Export
[Verbesserung]  JDisc-Import aktualisert Objekt-Titel nicht
[Verbesserung]  Segmentierung von HEs in Racks
[Verbesserung]  Attribut "E-Mail-Adresse" aus Kategorie "Personen" nicht im CSV-Import verknüpfbar
[Verbesserung]  Neu erzeugte Einträge über den Dialog-Admin werden validiert
[Verbesserung]  Massenänderung: Konfiguration von Logging
[Verbesserung]  Listeneditierung: Option "Alle Objekte" in "Alle Einträge" umbenannt
[Verbesserung]  Globale Suche: Höherwertige Darstellung von Objekttitel und Objekte im Zustand Normal
[Verbesserung]  Einstellung zur Festlegung der maximalen Anzahl an Attributen in Objekt-Listen
[Verbesserung]  Möglichkeit zur Administration von Tags im Dialog-Admin
[Verbesserung]  Benachrichtigung bei bereits vergebenen Konstanten bei der Erstellung einer neuen benutzerdefinierten Kategorie
[Verbesserung]  Neue View: Offene und ungenutzte Kabel
[Verbesserung]  In der Kategorie "Betriebssystem" können nur noch Betriebssysteme zugewiesen werden
[Verbesserung]  "Lösen"-Button in "Listenansicht Logbuch"
[Änderung]      Entfernen der Sprachauswahl in der Single-Sign-On Konfiguration
[Änderung]      Mehrfach-Auswahl in Report-Views entfernen
[Änderung]      "Objekttyp-Gruppen" ist unter "Dialog-Admin" falsch
[Bug]           Duplizieren eines Objekts mit Kontaktzuweisung kann Informationen aus Stammdaten des Kontakts leeren
[Bug]           Abbrechen-Button in Kategorie SIM-Karte ruft unbekannten Link auf
[Bug]           Profile können im QCW nicht hochgeladen werden wenn zuvor alle anderen Profile gelöscht wurden
[Bug]           Ändern einer nicht-selbst-definierten Objekttyp-Gruppe im QCW ist möglich
[Bug]           Fehlerhafte Darstellung von Objekt-Links im Safari
[Bug]           Rechte auf "Objekt-Listen definieren" greifen nicht bei allen Objekttypen
[Bug]           Transfer der exportierten Check_MK-Konfiguration bricht mit Fehlermeldung ab
[Bug]           Relation von Ein- und Ausgang geht beim Duplizieren verloren
[Bug]           Fehler beim Speichern der Kategorie "Buchhaltung"
[Bug]           Einige Kategorien werden im Objekttree aber nicht im QCW angezeigt
[Bug]           Ausgeblendete Kategorie im QCW wird auch für andere Objekttypen nicht mehr angezeigt
[Bug]           Bearbeiten von Service-Filtern mit ID > 10 nicht möglich
[Bug]           Objekterkennung im CSV-Import funktioniert nicht mit casesensitivity
[Bug]           Listeneditierung - Kategorie "Betriebssystem": Zugewiesene Lizenzen können nicht geändert werden
[Bug]           Kategorie "Servicezuweisung": Es ist nicht möglich Selbstdefinierte Objekttypen auszuwählen mit der Kategorie "Service"
[Bug]           Attribut "Auf Gerät" beim CSV-Import mehrfach vorhanden
[Bug]           LC__UNIVERSAL__USED_BY ist nicht übersetzt
[Bug]           Report Manager: View "Geräte in einem Standort (Listenformat)" kann nicht heruntergeladen werden
[Bug]           Listeneditierung - Kategorie "Buchhaltung": Rechnungsdatum gibt "Feldwert ist ungültig." aus
[Bug]           Sprachkonstanten werden in der englischen Version unter Systemeinstellungen angezeigt
[Bug]           Bearbeiten eines Anschlusses ohne Verbindung erzeugt automatisch ein Kabel
[Bug]           Sprachkonstante in der englischen Version unter Cable in der Kategorie Fiber/lead
[Bug]           Kategorie Beziehung: Beziehungsrichtung verändert sich wenn ein Eintrag gespeichert wird ohne die Richtung zu ändern.
[Bug]           Kategorie "Standort" / "Betriebssystem" / "Buchhaltung": Objekte, welche über die Suche aufgerufen werden, geben den Standort falsch aus
[Bug]           Read-only Funktion zur Farbauswahl im CMDB-Explorer Profil fehlerhaft
[Bug]           Kategorie Hostadresse: Wird das zugeordnete Netz gelöst wird nicht das Globale v4/v6 Netz automatisch ausgewählt
[Bug]           Geräte werden im linken Menübaum in der Kombinierten Ansicht nicht immer angezeigt
[Bug]           Javascript Fehler bei der Darstellung großer Netze
[Bug]           Auswahl für die Standort Ansichten wird nach einloggen nicht dargestellt.
[Bug]           Editieren-Button unter LDAP-Directories funktioniert nicht
[Bug]           Gemischte Sprachanzeige unter LDAP-Directories
[Bug]           Der Standardfilter einer Objektliste wird nicht angewendet sobald die Liste aufgerufen wird.
[Bug]           OCS-Import: Kategorie Modell wird bei Switch Geräten innerhalb eines Stacks nicht aktualisiert
[Bug]           Import: Modell und Hersteller aus der Kategorie Modell werden nicht korrekt miteinander verbunden
[Bug]           Settings für das Anzeigen von Kategorien auf der Übersichtsseite werden durch Nein-Ja-Setzen gelöscht
[Bug]           Zuweisung eines Raums zu einem LDAP-User funktioniert nicht
[Bug]           Startdatum und Enddatum von Lizenzen werden nicht in Objektlisten angezeigt
[Bug]           Report Manager: Bedingung mit einer Einheit verursacht Fehlermeldung wenn diese als erste Bedingung definiert ist
[Bug]           ZenDesk Testbug 0815
[Bug]           View "CMDB-Status Änderungen" arbeitet nicht korrekt
[Bug]           Überschreiben-Modus im CSV-Import bewirkt die mehrfache Anlage von Kabeln
[Bug]           Referenzierung eines Controllers einer Festplatte über den CSV-Import nicht möglich
[Bug]           KabelVerbindung wird nicht angezeigt, wenn keine Kabellänge angegeben ist
[Bug]           Import von Ja/Nein-Feldern über den CSV-Import nicht möglich.
[Bug]           install.sh funktioniert nicht
[Bug]           In JDisc-Profilen kann der CMDB-Status "i-doit Status" ausgewählt werden
[Bug]           Attribut "Faser / Wellenlänge" ist falsch und sollte "Farbe / Wellenlänge" heißen
[Bug]           Verbindungen manuell erzeugter Kabel werden nicht in der Liste angezeigt
[Bug]           Duplizieren von Kategorien mit Dialog-Plus Inhalten, die auf eine Sprachkonstante verwenden führt zu doppelten Dialog-Plus Einträgen.
[Bug]           Duplizieren von Inhalten aus benutzerdefinierten Kategorien bei Verwendung von Sprachkonstanten erzeugt ein Duplikat der Kategorie
[Bug]           Report Manager: Spezifische Kategorie "Zugewiesene Objekte" vom Objekttypen "Organisation" ist nicht auswählbar
[Bug]           Doppelte ID-Anzeige in Widget "Objektliste" wenn ID als Attribut gewählt ist
[Bug]           Objekttyp wird trotz Abbrechen erstellt.
[Bug]           Kabellänge wird in Listeneditierung falsch umgerechnet
[Bug]           Hostadresse wird nicht als primär importiert
[Bug]           Listen: Numerisches Format hat keine Auswirkungen
[Bug]           Lizenzen: Gesamtkosten in Listenansicht mit zu vielen Nachkommastellen
[Bug]           Fehlermeldung nach dem Login in Kategorie mit Währungsfeld
[Bug]           Suche findet keine Begriffe aus WYSIWYG Feldern in Benutzerdefinierten Kategorien
